2009-05-27  Andre Spiegel  <spiegel@gnu.org>

	* Version 2.3.1 released.

2009-05-25  Andre Spiegel  <spiegel@gnu.org>

	* config/JacORBConfiguration.java (ctor): Don't call initLogging()
	for the singleton ORB.

2009-05-24  Andre Spiegel  <spiegel@gnu.org>

	* orb/giop/GIOPConnection.java (getMessage, sendMessage): Add
	debug logging statements.

	* orb/etf/StreamConnectionBase.java (read, write): Add debug
	logging statements.

	* config/JdkLoggingInitializer.java (init): Set the log level on
	the handler as well.

2009-05-22  Andre Spiegel  <spiegel@gnu.org>

	* config/JacORBConfiguration.java (ctor): Change initialization
	order so attributes are always set.
	(getLogger): Add logic for splitting subloggers based on implname.

	* config/JacORBConfiguration.java (initLogging): Call
	LoggingInitializer.init() with a single parameter only.

	* config/JdkLoggingInitializer.java (init): Remove ORB parameter.
	Call substituteImplname().

	* config/LoggingInitializer.java (substituteImplname): New method
	for subclass use.
	(init): Remove ORB parameter, that's included in the
	configuration.

2009-05-20  Andre Spiegel  <spiegel@gnu.org>

	* config/JacORBConfiguration.java: Code for initializing the
	logging backend has been externalized.

	* config/JdkLoggingInitializer.java, config/LoggingInitializer.java:
	Initial revision.

2009-05-18  Andre Spiegel  <spiegel@gnu.org>

	* config/JacORBConfiguration.java: Use logging even for the
	initial messages during property-loading.

2009-05-15  Andre Spiegel  <spiegel@gnu.org>

	* orb/CDROutputStream.java (write_value, write_repository_id,
	write_codebase, write_value_internal): Use size() rather than pos
	for indirection markers, accounting for deferred writes.
	Suggested by Rob Ratcliff.

2009-05-14  Andre Spiegel  <spiegel@gnu.org>

	* config/JacORBLogFormatter.java: Remove some 1.5-specific code.

	* config/ConsoleLogger.java, config/LogKitLogger.java,
	config/LogKitLoggerFactory.java, config/LoggerFactory.java,
	config/NullLogger.java, util/ConsoleLoggerFactory: Removed, these
	files are obsolete with SLF4J.

	* config/JacORBConfiguration.java (getLogger): Add a comment
	explaining use of the different log levels.
	(usingJdkLogging): Use ObjectUtil.classForName().

	* config/JacORBConfiguration.java (logger, loggerFactory,
	loggerFactoryClzName): Removed, these fields were no longer used.

2009-05-13  Andre Spiegel  <spiegel@gnu.org>

	* config/JacORBConfiguration.java (initLogging): Rewritten to
	configure JDK logging.
	(ctor): Use it.

	* config/JacORBLogFormatter.java: Initial revision.

2009-05-06  Alexander Bykov  <alexander.bykov@prismtech.com>

	* config/ConsoleLogger.java, config/LogKitLogger.java,
	config/LogKitLoggerFactory.java, config/NullLogger.java,
	util/ConsoleLoggerFactory.java: Added default implementations for
	LogKit and Console loggers. Fixed compilation errors.

2009-05-05  Alexander Bykov  <alexander.bykov@prismtech.com>

	* config/LoggerFactory.java, orb/listener/SSLListenerUtil.java.ssl:
	Changed Logger to org.slf4j.Logger

2009-05-03  Andre Spiegel  <spiegel@gnu.org>

	* config/Configuration.java (getLogger): Renamed from
	getNamedLogger(), changed to return an SLF4J logger.

	* config/JacORBConfiguration.java (getLogger): Implement new
	interface method.
	(getNamedLogger): Removed.
	(initLogging): Commented out for now, we don't intend to configure
	the backend logging system from within JacORB at all.

	* Everywhere else: Change imports to use SLF4J instead of Avalon,
	replace fatalError() with error().
	
2009-04-30  Alexander Bykov  <alexander.bykov@prismtech.com>

	* idl/Method.java, idl/OpDecl.java: RTJ#476/JAC#410: Enhance
	generation to close streams

2009-04-29  Alexander Bykov  <alexander.bykov@prismtech.com>

	* config/JacORBConfiguration.java: Use default value for numeric
	parameters when empty string was used as parameter's value

2009-04-28  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/Delegate.java, orb/giop/RequestOutputStream.java:
	JAC#410: fixes for stream closure with sync scope none

2009-04-25  Andre Spiegel  <spiegel@gnu.org>

	Changes to remove dependency on Avalon for configuration.

	* config/JacORBConfiguration.java: Remove Avalon superclass; this
	class is now self-contained.

	* config/Configuration.java (getAttribute*): New methods which
	were formerly defined in the Avalon superinterface.

	* config/Configurable.java, config/ConfigurationException.java:
	Initial revision.

	* Everywhere else: Change imports to use only JacORB's own
	configuration classes.
	
2009-04-24  Alexander Bykov  <alexander.bykov@prismtech.com>

	* poa/POA.java: JAC#415: let POA.reference_to_servant raise
	BAD_PARM if a null reference is passed in

2009-04-08  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/util/PrintIOR.java: JAC#380: issue test and documentation update

2009-04-07  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/factory/AbstractSocketFactory.java,
	orb/factory/SocketFactory.java: JAC#376: enhanced socket factory
	documentation

2009-04-06  Alexander Bykov  <alexander.bykov@prismtech.com>

	* config/JacORBConfiguration.java,
	config/LogKitLoggerFactory.java, config/LoggerFactory.java:
	JAC#384: fix for bug during logfile initialization routine

2009-03-30  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/factory/AbstractSocketFactory.java,
	orb/factory/DefaultSocketFactory.java,
	orb/factory/FixedAddressSocketFactory.java,
	orb/factory/PortRangeSocketFactory.java,
	security/ssl/sun_jsse/SSLSocketFactory.java: JAC#375: fix for
	broken socket connect timeout mechanism

	* orb/Delegate.java, orb/giop/GIOPConnection.java: JAC#359: fix
	for deadlock caused by fix for bugzilla #708 (addition from
	JAC#609)

2009-03-27  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/etf/ConnectionBase.java, orb/etf/StreamConnectionBase.java,
	orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPConnection.java,
	orb/iiop/IIOPLoopbackConnection.java,
	orb/iiop/ServerIIOPConnection.java: JAC#358: fixed exception
	handling to ensure that the SSLListener is always invoked

2009-03-26  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/giop/GIOPConnection.java,
	security/ssl/sun_jsse/SSLServerSocketFactory.java,
	security/ssl/sun_jsse/SSLSocketFactory.java: JAC#359: fix for
	deadlock caused by fix for bugzilla #708

2009-03-23  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/CDROutputStream.java: Jac#369 Make compactTypecodes a
	boolean option

2009-03-06  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/CDRInputStream.java, orb/CDROutputStream.java: JAC#352
	PrismTech patch back - fixes for wstring valuetype
	interoperability issue with the sun orb

2009-03-04  Andre Spiegel  <spiegel@gnu.org>

	* orb/iiop/IIOPProfile.java (addNetworkAddresses): New function,
	adds the addresses of all known network interfaces on this machine.
	(addAlternateAddresses): Use it, if
	jacorb.iiop.alternate_addresses=auto.

2009-03-03  Andre Spiegel  <spiegel@gnu.org>

	* orb/iiop/IIOPProfile.java (addAlternateAddresses): New method,
	reads new configuration option jacorb.iiop.alternate_addresses and
	adds TAG_ALTERNATE_IIOP_ADDRESS values to the profile for it.
	(configure): Use it.

2009-01-27  Alexander Bykov  <alexander.bykov@prismtech.com>

	* ir/RepositoryID.java, orb/CDRInputStream.java,
	orb/CDROutputStream.java: Fixed wstring valuetype interoperability
	issue with the sun orb (JAC#352)

2009-01-16  Alexander Bykov  <alexander.bykov@prismtech.com>

	* orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPConnection.java:
	Fix for IIOPConenction - Test failures (JAC#329)

	* orb/CDRInputStream.java: More strict checking of correct string
	sizes during demarshalling of CDR streams (JAC#288) has been added

	* orb/giop/ClientConnectionManager.java: Fix for iteration during
	shutdown (JAC#264)

	* orb/ORB.java,
	security/ssl/sun_jsse/ServerInvocationInterceptor.java: Security
	Classes Cleanup (JAC#190) - commented code has been removed

2009-01-08  Andre Spiegel  <spiegel@gnu.org>

	* orb/giop/ServerGIOPConnection.java (tryClose, tryDiscard):
	Fix javadoc.

2008-12-17  Ciju John  <johnc@ociweb.com>

        * orb/ParsedIOR.java: Parser was discarding additional profiles
	  during Object creation. Modified to create multi-profile
	  Objects.

2008-11-25  Nick Cross  <nick.cross@prismtech.com>

	* ir/IRServer.java, ir/RepositoryImpl.java, ir/TypeCodeUtil.java:
	Remove #ifjdk markers

2008-11-21  Nick Cross  <nick.cross@prismtech.com>

	* idl/AliasTypeSpec.java, idl/FixedPointType.java,
	idl/JacIDL.java, idl/OpDecl.java, idl/StructType.java,
	idl/ValueBoxDecl.java, idl/parser.cup, orb/Any.java,
	orb/CDRInputStream.java, orb/CDROutputStream.java,
	orb/dsi/ServerRequest.java, orb/dynany/DynAnyFactoryImpl.java,
	orb/dynany/DynFixed.java:
	PrismTech patch JAC144/JAC516/JAC443. Fixes/changes for
	propagation of userexception message detail in service
	contexts. Fixes for read/write fixed types.

2008-11-18  Nick Cross  <nick.cross@prismtech.com>

	* imr/ImplementationRepositoryImpl.java, orb/build.xml:
	PrismTech patch: JAC72 Remove redundant code.

	* Fix XML include file referencing to remove warning.

	* idl/JacIDL.java, idl/ScopedName.java, idl/parser.cup,
	ir/Contained.java, ir/RepositoryImpl.java:
	Patch from PrismTech:
	JAC72 Remove -omg flag from IDL compiler and solely use i2jpackage.
	JAC367 Fixes for loading IDL into InterfaceRepository with pragma
	prefix and i2jpackage.

2008-11-14  Nick Cross  <nick.cross@prismtech.com>

	*  Eclipse clean imports.

2008-11-11  Andre Spiegel  <spiegel@gnu.org>

	* BufferManager.java (singletonConfigure): Synchronize, as
	suggested by Simar Paul Singh in bug #834.

2008-10-09  Phil Mesnier  <mesnier_p@ociweb.com>

	* imr/ImplementationRepositoryImpl.java, imr/ServerTable.java:
	Fix for bug 845 - IMR reconnect trouble

2008-09-22  Alphonse Bendt  <bendt@macnews.de>

	* notification/filter/EvaluationResult.java
	(extractIntoEvaluationResult): add more switch cases. fixes #748

	* notification/jmx/jboss/JBossCOSNotificationService.java (members):
	add defaults values. fix for #803

	* notification/filter/EvaluationResult.java (compareTo): fix for #790

2008-08-11  Andre Spiegel  <spiegel@gnu.org>

	* orb/iiop/IIOPProfile.java (getSSLPort): Add a null pointer check.

2008-05-05  Andre Spiegel  <spiegel@gnu.org>

	* orb/giop/GIOPConnection.java (getMessage, sendMessage):
	Remove direct calls to close() in error
	conditions.  It is enough to call this.streamClosed() and let outer
	objects do the real close().  This is the final patch for bug #708 as
	suggested by Marc Heide on 2006-12-11.

2008-04-04  Andre Spiegel  <spiegel@gnu.org>

	* orb/Delegate.java (request): Call
	CDROutputStream.setCodeSets() instead of setCodeSet().  Part of
	Russell Gold's patch for bug #305, had not been checked in by
	mistake.

2008-03-24  Andre Spiegel  <spiegel@gnu.org>

	* orb/giop/GIOPConnection.java, orb/CDROutputStream.java,
	orb/giop/ClientConnection.java, orb/giop/CodeSet.java,
	orb/giop/ServerRequestListener.java,
	orb/standardInterceptors/CodeSetInfoInterceptor.java,
	orb/CDRInputStream.java: Patch by Russell Gold that refactors
	CodeSet logic, adding support for UCS-2.  Bug #305.

2008-03-24  Andre Spiegel  <spiegel@gnu.org>

	* IIOPProfile.java, ClientIIOPConnection.java:
	Patch by Russell Gold to fix CSIv2 recognition, bug #832.

2007-11-29  Nick Cross  <nick.cross@prismtech.com>

	* security/sas/GSSUPContextSpi.java: bug#800 - fix for JDK1.6 port
	- add isInitiator

2007-11-19  Ciju John  <johnc at ociweb dot com>

        * orb/Delegate.java: When ServantManager is a ServantLocator the
	  POA's local request count needs to be decremented only in the
	  case of an exception.

        * poa/RequestController.java: A negative POA's local request count
	  is invalid.

2007-08-17  Phil Mesnier  <phil.mesnier@ociweb.com>

	* orb/Delegate.java: Fix for excessive locking during remote
	invocations. This impacts multithreaded applications that need to
	use the Delegate for non-invocation tasks such as identity
	comparisons while simultaniously making invocations. See
	test/delegateSync for an example scenario.

2007-06-06  Francisco Reverbel <reverbel@ime.usp.br>

	* orb/iiop/IIOPListener.java: Fix for bug #771 in JacORB's
	bugzilla system.

2007-06-01  Francisco Reverbel <reverbel@ime.usp.br>

	* orb/iiop/IIOPProfile.java: Fix for bug #783 in JacORB's bugzilla
	system.

2007-05-31  Francisco Reverbel <reverbel@ime.usp.br>

	* security/ssl/sun_jsse/JSSEUtil.java: Fix for bug #782 in
	JacORB's bugzilla system.

2007-04-27  Francisco Reverbel <reverbel@ime.usp.br>

	* orb/CDRInputStream (handle_chunking): Do not confuse a null
	value tag with a chunk size tag; the latter must be positive.
	(read_untyped_value, readChunkSizeTag): changes for
	correctness (to ensure that chunk_end_pos is set to -1 if we are
	not within a chunk) and for clarity.

2007-04-26  Francisco Reverbel <reverbel@ime.usp.br>

	* orb/CDROutputStream (write_value_header(String[], String),
	write_value_header(String), write_value_internal,
	write_value(Serializable, BoxedValueHelper)): The size of a chunk
	should not include any bytes of padding that might have been added
	after the chunk for alignment purposes. These changes allow JacORB
	to interoperate with the ORB in Sun's JDK 1.5 with chunking of
	custom RMI valuetypes enabled, as it should be (no need to set
	jacorb.interop.chunk_custom_rmi_valuetypes=off for
	interoperability with the ORB in Sun's JDK 1.5).

2007-04-18  Phil Mesnier  <phil.mesnier@ociweb.com>

	* config/JacORBConfiguration.java: Fix to allow the processing of
	nested properties during orb initialization. See test case
	test/nestedproperties. Thanks to Andy Ling <andy dot ling at
	quantel dot com> for this patch

2007-02-20  Gerald Brose  <gerald.brose@acm.org>

	* Version 2.3.0 released.

2007-02-17  Gerald Brose  <gerald.brose@acm.org>

	* util/Version.java: (modified) new version number and date

2007-02-15  Andre Spiegel  <spiegel@gnu.org>

	* orb/Delegate.java, orb/ServantDelegate.java,
	orb/portableInterceptor/RecursionAwareCI.java,
	poa/RequestProcessor.java: Patch by Jacek Cala to implement
	get_component(), submitted in bug #744.

2007-02-14  Andre Spiegel  <spiegel@gnu.org>

	* orb/ORB.java (string_to_object): If an exception occurs, log
	that at ERROR level and with a better message.

	* orb/policies/RelativeRequestTimeoutPolicy.java,
	orb/policies/RelativeRoundtripTimeoutPolicy.java: Add convenience
	constructors back in.  Add Javadoc.

	* orb/etf/ProfileBase.java (encapsulation): Fix typo in Javadoc.

	* orb/DefaultProfileSelector.java: Add some Javadoc.

2007-02-10  Gerald Brose  <gerald.brose@acm.org>

	* build.xml: Removed Trading

	* trading/db/DatabaseMgr.java, trading/db/OfferDatabase.java,
	trading/db/TypeDatabase.java, trading/db/build.xml,
	trading/db/pse/PSEDatabaseMgr.java,
	trading/db/pse/offers/AnyValue.java,
	trading/db/pse/offers/DynPropValue.java,
	trading/db/pse/offers/Offer.java,
	trading/db/pse/offers/OfferDatabaseImpl.java,
	trading/db/pse/offers/OfferList.java,
	trading/db/pse/offers/OfferProperty.java,
	trading/db/pse/offers/ProxyOffer.java,
	trading/db/pse/offers/ProxyPolicy.java,
	trading/db/pse/offers/README,
	trading/db/pse/offers/TypeCodeValue.java,
	trading/db/pse/util/TransactionMgr.java, trading/CHANGES,
	trading/INSTALL, trading/NOTES, trading/README,
	trading/README.PROPERTIES, trading/TradingService.java,
	trading/build.xml: *** empty log message ***

2007-02-07  Andre Spiegel  <spiegel@gnu.org>

	* idl/parser.cup: New option -addbackend, suggested by Juergen
	Weber in bug #754.

2007-02-06  Andre Spiegel  <spiegel@gnu.org>

	* imr/ImplementationRepositoryImpl.java,
	imr/ServerStartupDaemonImpl.java: Increase the level of some of
	the log messages. In response to bug #752.

	* idl/ArrayTypeSpec.java, idl/FixedPointType.java,
	idl/IDLTreeVisitor.java, idl/SimpleTypeSpec.java,
	idl/StringType.java, idl/StructType.java, idl/TypeSpec.java,
	idl/VectorType.java, idl/VoidTypeSpec.java,
	idl/javamapping/JavaMappingGeneratingVisitor.java: Complete
	elements of the visitor pattern. Patch by Juergen Weber, submitted
	in bug #751.

	* orb/portableInterceptor/InterceptorManager.java (destroy):
	Patch to prevent a ThreadLocal leak, fixing bug #747.

	* orb/giop/Messages.java (matchGIOPMagic): New method, suggested
	by Juergen Weber in bug #745.

	* orb/giop/GIOPConnection.java (getMessage): Use it.

	* orb/giop/GIOPConnection.java: Use this.toString() in all log
	messages, so that a particular connection can be identified.
	Fix for bug #744.

	* orb/giop/ServerGIOPConnection.java (sendCloseConnection):
	Augment log message.

	* orb/giop/GIOPConnection.java: Moved class
	StatisticsProviderAdapter into a separate file.

	* orb/giop/StatisticsProviderAdapter.java: Initial revision,
	separated from GIOPConnection.java.

	* orb/etf/StreamConnectionBase.java (read): Change signature to
	return the number of bytes actually read. Use max_length
	parameter, which was previously ignored.
	(flush, read, write): Add javadoc.

2007-02-02  Andre Spiegel  <spiegel@gnu.org>

	* orb/ORB.java (getGIOPConnectionManager, getImR, getPOACurrent,
	getRootPOA, getServerAddress, getTransportManager): Synchronized,
	to avoid a race condition that was spotted by Mike Olivieri.

2007-01-26  Alphonse Bendt  <bendt@prismtech.com>

	* util/BuildVersion.template: made versionInfo public to allow
	others to reference it

2007-01-17  Alphonse Bendt  <bendt@prismtech.com>

	* util/BuildVersion.template, util/Version.java, util/Version.template:
	renamed Version.template to Version.java
	added BuildVersion.template which is patched during build
	add version.tpl script template

2007-01-09  Alphonse Bendt  <bendt@prismtech.com>

	* util/Version.java, util/Version.template: added a template for
	Version.java to allow Version.java to be changed from within the
	build

2007-01-08  Alphonse Bendt  <bendt@prismtech.com>

	* orb/CDRInputStream.java: fixed regression bug

2006-12-06  Alphonse Bendt  <bendt@prismtech.com>

	* orb/rmi/PortableRemoteObjectDelegateImpl.java (toTie):
	retry in case of classnotfound

2006-11-30  Alphonse Bendt  <bendt@prismtech.com>

	* orb/CDROutputStream.java, util/IdentityHashMap.java,
	util/ObjectUtil.java: more cleanup

	removed pre JDK1.4 code

2006-11-27  Alphonse Bendt  <bendt@prismtech.com>

	* notification/build.xml:
	removed pre jdk1.4 specific support in the build.xml

	* orb/Any.java, orb/CDRInputStream.java, orb/CDROutputStream.java:
	fix fixed_value related tests

2006-11-24  Alphonse Bendt  <bendt@prismtech.com>

	* security/ssl/sun_jsse/SSLSocketFactory.java,
	orb/factory/AbstractSocketFactory.java,
	orb/factory/DefaultSocketFactory.java,
	orb/factory/FixedAddressSocketFactory.java,
	orb/factory/PortRangeSocketFactory.java (createSocket): fix to
	ensure that factory classes honour the timeout setting

	* notification/util/GNUPatternWrapper.java,
	notification/util/JakartaRegexpPatternWrapper.java,
	notification/util/PatternWrapper.java: removed unused classes (we
	can assume JDK1.4)

	* ir/Container.java (loadContents): convert / to .

	* config/JacORBConfiguration.java (init):
	only print a warning when loglevel > 0

2006-11-15  Alphonse Bendt  <bendt@prismtech.com>

	* orb/Delegate.java: bugzilla #735

	test and fix

2006-10-31  Andre Spiegel  <spiegel@gnu.org>

	* orb/giop/GIOPConnection.java (sendMessage):
	Call releaseWriteLock() before calling streamClosed() in
	in error situations. Patch by Marc Heide, fixing bug #708.

2006-10-25  Alphonse Bendt  <bendt@prismtech.com>

	* orb/util/PrintIOR.java (printIOR): fetch object key from the
	profile not from the pior as its otherwise the same everytime

2006-10-14  Gerald Brose  <gerald.brose@acm.org>

	* Version 2.3.0 beta 2 released.

2006-10-14  Andre Spiegel  <spiegel@gnu.org>

	* idl/Interface.java (hasAbstractBase): Add missing recursive check.

2006-10-13  Andre Spiegel  <spiegel@gnu.org>

	* idl/parser.cup: Changes to implement attribute exceptions.

	* idl/lexer.java (init): Add "getraises" and "setraises" keywords.

	* idl/AttrDecl.java (getRaisesExpr, setRaisesExpr): New fields.
	(parse, setEnclosingSymbol, setPackage): Make sure to
	update the above when appropriate.

	* idl/Method.java (raisesExpr): New field.
	(ctor): Initialize it from new argument.
	(printDelegatedMethod, printInvocation, printMethod,
	printSignature): Generate the appropriate code for attribute
	exceptions.

	* idl/AttrRaisesExpr.java: Initial revision.

	* idl/SymbolList.java (ctor): New constructor that initializes the
	list with a single declarator, used for attribute exceptions.

	* idl/RaisesExpr.java (ctor): Two new versions that are called
	directly from the parser.

2006-10-13  Andre Spiegel  <spiegel@gnu.org>

	* idl/ArrayTypeSpec.java, idl/FixedPointType.java,
	idl/OctetType.java, idl/SwitchBody.java, idl/UnionType.java: Made
	several fields public, responding to bug #714.

	* idl/Interface.java (printNarrow): Remove the supposed
	optimization of testing obj.getClass() == <stubclass>.  It does
	not seem to improve anything.

2006-10-12  Andre Spiegel  <spiegel@gnu.org>

	* config/JacORBConfiguration.java (init):
	Correct property-loading order: Load custom.props after orbid
	properties have been loaded from all locations.

2006-10-11  Iliyan Jeliazkov  <iliyan@ociweb.com>

	* ir/ConstantDef.java: Introduced additional ctor parameter (poa)
	to be able to properly initialize the class instances in Contained
	(below).

	* ir/Contained.java: Passing the poa reference to the ConstantDef
	ctor.

	* ir/IDLType.java: Adding a missing return out of a switch statement.

2006-10-11  Andre Spiegel  <spiegel@gnu.org>

	* idl/Interface.java (printNarrow, hasAbstractBase,
	printStubInterposition, printElseNarrowFailed): New methods.
	(printHelper): Use them to generate all the appropriate narrow
	methods.

2006-09-10  Andre Spiegel  <spiegel@gnu.org>

	* orb/ORBSingleton.java (getLogger): New method, for testing.

2006-09-04  Alphonse Bendt  <bendt@prismtech.com>

	* orb/CDRInputStream.java, orb/CDROutputStream.java: bugzilla #667

	added test and fix. thanks to Rich Doyle for reporting and
	providing a fix.

2006-09-01  Alphonse Bendt  <bendt@prismtech.com>

	* orb/CDROutputStream.java: bugzilla #722

	testcase and fix
	thanks to Scott Melby for reporting and providing a fix

2006-08-29  Andre Spiegel  <spiegel@gnu.org>

	* poa/policy/IdAssignmentPolicy.java,
	poa/policy/IdUniquenessPolicy.java,
	poa/policy/ImplicitActivationPolicy.java,
	poa/policy/LifespanPolicy.java,
	poa/policy/RequestProcessingPolicy.java,
	poa/policy/ServantRetentionPolicy.java,
	poa/policy/ThreadPolicy.java: Remove private no-arg constructors.
	They are not necessary, since each class does have a public
	non-default constructor.  This brings test coverage for this
	package up into the 80% range.

2006-08-29  Alphonse Bendt  <bendt@prismtech.com>

	* orb/giop/ReplyPlaceholder.java (getInputStream):
	simplified synchronization code a bit

	this fixes bugzilla #721 reported by Piotr Bazan

	* orb/ReplyReceiver.java (configure):
	use type specific accessor to get configuration

	* orb/Delegate.java (invoke_internal): (invoke_oneway):

	configure ReplyReceiver after creation.
	this is a fix for bugzilla #721 reported by Piotr Bazan

2006-08-16  Iliyan Jeliazkov  <iliyan@ociweb.com>

	* orb/giop/TransportListener.java, orb/giop/TransportManager.java:
	Updated to silence warnings from pmd and findbugs

	* build.xml:
	Moved TransportCurent-related stuff to its own dedicated build.xml

	* transport/build.xml:
	Adding a dedicated build file for the transport current stuff

2006-08-11  Iliyan Jeliazkov  <iliyan@ociweb.com>

        Introducing the Transport Current (TC) implementation. TC is an
        interface that gives interceptors and servants access to
        information about the Transport, which has been selected by the
        current thread, running the ORB. TC is designed for providing
        access to Transport-specific information for statistical and
        measurement purposes (read-only). The idea is to provide users
        with an extensible, interface-based facility for obtaing
        information about the bytes or messages exchanged, specific
        endpoints details like ports, hosts, etc.

        The associated unit tests are available at
        $JACORB_HOME/test/regression/src/org/jacorb/test/transport,
        including the test/regression/idl/TransportCurrentServer.idl.

        * idl/jacorb/IIOPTransportCurrent.idl: The IDL interface for an
        IIOP-specific Transport Current object.

        * idl/jacorb/TransportCurrent.idl: The IDL interface for a generic
        Transport Current object.

        * idl/build.xml: Fixed the parser.notRequired property, which was
        giving me hell. The change is most likely not necessary for the
        final change set.

        * orb/Delegate.java:
        * poa/RequestProcessor.java: Added a call to
        orb.notifyTransportListeners(GIOPConnection) on the request
        processing path in order to be able to provide the TC
        infrastructure with information about the Transport. This covers
        respectively the client- and the server-side part of the
        processing.

        * orb/ORB.java: Added notifyTransportListeners (GIOPConnection)
        method to provide a shortcut to the hook, required by the
        Transport Current functionality.

        * orb/giop/GIOPConnection.java: Added new member;
        statistics_provider_adapter, implementing a simple Chain of
        Responsibility pattern for reacting to I/O events.  Interested
        parties would register a StatisticsProvider implementation to
        receive the corresponding notifications.  The TransportCurrent
        feature does just that.  This is a generalization of the existing
        statistics_provider usage, which I nevertheless left in to avoid
        disturbing any selection strategies that may use it at
        present. Added a package-level (default) accessor for the
        protected profile member. This makes it possible to query the
        GIOPConnection's profile from the TC feature.

        * src/org/jacorb/orb/giop/ServerGIOPConnection.java: Updated to
        use the new StatisticsProviderAdapterfor Transport-related
        notifications.

        * orb/giop/TransportListener.java: Introduced a GIOP-level
        Listener interface to enable TC (and similar) to be able to
        register for Transport selection events.

        * orb/giop/TransportManager.java: Added members
        (notifyTransportListeners, addTransportListener, listener) in
        support of a lightweight framework - the foundation upon which the
        TC functionality is built.

        * orb/iiop/IIOPConnection.java:
        * orb/iiop/ServerIIOPConnection.java: Pulled getSocket accessor up
        the hierarchy to make the information available to the Transport
        Current implementation.

        * src/org/jacorb/transport/AbstractTransportCurrentInitializer.java:
        An ORB initializer base class for a Transport Current.

        * src/org/jacorb/transport/DefaultCurrentImpl.java: A default
        Transport Current implementation.

        * src/org/jacorb/transport/DefaultStatisticsProvider.java:
        Implementation of the interface to enable the TC to receive the
        necessary notifications.

        * src/org/jacorb/transport/IIOPCurrentImpl.java: An IIOP-specific
        implementation of a Transport Current.

        * src/org/jacorb/transport/IIOPTransportCurrentInitializer.java:
        The corresponding initializer.

        * src/org/jacorb/transport/TransportCurrentInitializer.java
        The corresponding initializer.


2006-08-08  Gerald Brose  <gerald.brose@acm.org>

        * util/Version.java: Bump to version 2.3-Beta.

2006-08-04  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/CDROutputStream.java: Do not clear the buffer padding
        when (re)writing the chunk size tag. In the case of a
        non-sequential write, clearing buffer positions after the data
        just written is likely to erase data prevously written. (This was
        indeed happening!)

2006-08-03  Alphonse Bendt  <bendt@prismtech.com>

        * imr/ImplementationRepositoryImpl.java, orb/CDRInputStream.java,
        orb/Delegate.java, orb/ORB.java, orb/ParsedIOR.java,
        orb/util/FixIOR.java, orb/util/PrintIOR.java: simplified c'tor of
        ParsedIOR

        * idl/Interface.java (printImplSkeleton): cosmetics
        (printHelper): enhance code generation
        (stubName): new method

        * idl/IdlSymbol.java (printClassComment): don't use tabs in comment

        * orb/factory/PortRangeServerSocketFactory.java: made
        PortRangeServerSocketFactory implement Configurable again.  thanks
        to Gábor Sziklai for reporting.

        * idl/OpDecl.java (print_sendc_Method): minor enhancement to
        generated code to prevent compiler warnings

        * idl/Interface.java: (printImplSkeleton)
        (printLocalTie): minor enhancement to generated code to prevent
        compiler warnings

2006-08-02  Alphonse Bendt  <bendt@prismtech.com>

        * orb/CDRInputStream.java: added doc for new property
        jacorb.interop.sun

2006-08-01  Andre Spiegel  <spiegel@gnu.org>

        * orb/giop/GIOPConnection.java (sendMessage): Close connection if
        there is a COMM_FAILURE.  Suggested and implemented by Marc Heide,
        in bug #708.

        * orb/giop/GIOPConnection.java (getMessage): Close on garbage.
        Suggested and implemented by Marc Heide.

2006-07-28  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/CDROutputStream.java: - Fix the
        ArrayIndexOutOfBoundsException thrown by write_string() when the
        codeset is UTF-8.  - Remove calls to write_octet() from
        write_char_i(), to avoid superfluous check(1) calls.

2006-07-28  Nick Cross  <nick.cross@prismtechnologies.com>

        * build.xml: Remove unused target

2006-07-27  Alphonse Bendt  <bendt@prismtech.com>

        * notification/container/RepositoryComponentAdapter.java
        (getComponentInstance): fixed typo

2006-07-27  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/ORB.java, orb/ParsedIOR.java,
        orb/giop/MessageReceptorPool.java, orb/iiop/IIOPFactories.java,
        poa/AOM.java: PMD fixes

        * security/build.xml, security/sas/build.xml, security/ssl/build.xml:
        Remove IAIK support

2006-07-27  Alphonse Bendt  <bendt@prismtech.com>

        * util/tracing/ClientTraceInterceptor.java,
        util/tracing/ServerTraceInterceptor.java, util/tracing/Timer.java,
        util/tracing/TraceInitializer.java,
        util/tracing/TraceTreeNode.java,
        util/tracing/TracingServiceImpl.java: cosmetics

        * orb/portableInterceptor/RecursionAwareCI.java:
        cosmetics. added javadoc header

        * orb/factory/DefaultSocketFactory.java,
        orb/factory/FixedAddressSocketFactory.java,
        orb/factory/PortRangeSocketFactory.java,
        security/ssl/sun_jsse/SSLSocketFactory.java: cosmetics

        * orb/listener/TCPConnectionListener.java: javadoc

2006-07-27  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/factory/SSLServerSocketFactory.java,
        orb/factory/SocketFactoryManager.java,
        security/ssl/sun_jsse/SSLServerSocketFactory.java: Remove
        orb/factory/SSLServerSocketFactory. Made
        orb/factory/SocketFactoryManager be more generic and change
        inheritance for ssl/sun_jsse/SSLServerSocketFactory.java

2006-07-27  Alphonse Bendt  <bendt@prismtech.com>

        * orb/iiop/IIOPAddress.java: test and fix for "OAAddress property
        can't parse IPv6 addresses" (bugzilla #711).  thanks to Adam Mitz
        for supplying the patch

        * orb/factory/DefaultSocketFactory.java,
        orb/factory/FixedAddressSocketFactory.java: javadoc

        * orb/factory/SocketFactoryManager.java: minor cleanup

2006-07-26  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/giop/CodeSet.java: Change warn to debug level

2006-07-26  Alphonse Bendt  <bendt@prismtech.com>

        * orb/giop/CodeSet.java (configure): fix so that logger is never null

2006-07-26  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/CDRInputStream.java, orb/CDROutputStream.java,
        orb/giop/ClientConnection.java, orb/giop/CodeSet.java,
        orb/giop/RequestOutputStream.java,
        orb/standardInterceptors/CodeSetInfoInterceptor.java:
        RT889/RT1056/RT1229/RT1274 Codeset changes. Fixes for char
        transmission. Add tests. Move configuration for codeset to
        codeset. Merge jacorb.codeset and ignoreComponentInfoProfiles.

2006-07-26  Alphonse Bendt  <bendt@prismtech.com>

        * orb/factory/AbstractSocketFactory.java,
        security/ssl/sun_jsse/SSLSocketFactory.java: related to scarab
        JAC340.

        provided timeout implementation in SSLSocketFactory that
        uses the Socket API.

        removed thread based timeout implementation

        adapted tests

        * orb/factory/AbstractSocketFactory.java,
        orb/factory/FixedAddressSocketFactory.java,
        orb/factory/PortRangeFactory.java,
        orb/factory/PortRangeSocketFactory.java,
        orb/factory/SocketFactory.java: added javadoc.  minor code cleanup

2006-07-26  Nick Cross  <nick.cross@prismtechnologies.com>

        * util/Version.java: Update version information to 2.3

2006-07-26  Alphonse Bendt  <bendt@prismtech.com>

        * orb/rmi/PortableRemoteObjectDelegateImpl.java,
        orb/CDROutputStream.java, orb/ParsedIOR.java,
        orb/dii/Request.java, orb/giop/NoBiDirClientRequestListener.java,
        orb/giop/NoBiDirServerReplyListener.java: cosmetics. fixed some
        pmd warnings

        * orb/giop/ClientConnectionManager.java: cosmetics

        * orb/giop/ClientConnectionManager.java (shutdown):
        made method synchronized as all others are also synchronized

2006-07-25  Alphonse Bendt  <bendt@prismtech.com>

        * orb/factory/DefaultSocketFactory.java,
        orb/factory/FixedAddressSocketFactory.java,
        orb/iiop/ClientIIOPConnection.java,
        security/ssl/sun_jsse/SSLSocketFactory.java,
        orb/factory/AbstractSocketFactory.java,
        orb/factory/PortRangeFactory.java,
        orb/factory/PortRangeServerSocketFactory.java,
        orb/factory/PortRangeSocketFactory.java,
        orb/factory/SocketFactory.java: fix for scarab JAC340.

        interrupting a thread during PlainSocketImpl.socketConnect()
        does not work correctly across all JDK/OS versions.

        use jdk methods that accept a timeout

        see also
        http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6315293

2006-07-21  Alphonse Bendt  <bendt@prismtech.com>

        * orb/ORB.java (shutdown): need to set shutdown_in_progress to
        false again on method exit

2006-07-20  Nick Cross  <nick.cross@prismtechnologies.com>

        * poa/RequestProcessor.java: Pass exception object in rather than
        stringify to get stacktrace.

2006-07-20  Alphonse Bendt  <bendt@prismtech.com>

        * orb/giop/CodeSet.java: cosmetics: added javadoc class comment

        * orb/BufferManager.java (getBuffer): added more details to exception

        * idl/parser.cup: removed commented out code as there are no more
        problems during the nightly build. cleaned code up a bit

        * orb/dsi/ServerRequest.java (get_out): pass in the current status
        to the created OutputStream

2006-07-19  Alphonse Bendt  <bendt@prismtech.com>

        * orb/listener/TCPConnectionEvent.java: removed extra header

        * orb/listener/TCPConnectionEvent.java: javadoc

        * poa/RequestQueue.java: changed queue from ArrayList to
        LinkedList. should be more performant

        scarab JAC119

        * orb/iiop/IIOPListener.java, orb/listener/TCPConnectionEvent.java:
        removed TCPConnectionEvent's deprecated c'tor

2006-07-19  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/giop/GIOPConnection.java: Change default connect timeout to 90000

2006-07-19  Alphonse Bendt  <bendt@prismtech.com>

        * idl/InterfaceBody.java, idl/parser.cup: JAC#248 simplified
        handling of parse threads.

        * orb/ORB.java, security/ssl/sun_jsse/ServerInvocationInterceptor.java:
        commented out security level2 related stuff

        * idl/parser.cup, idl/lexer.java: backed out last change

2006-07-18  Alphonse Bendt  <bendt@prismtech.com>

        * idl/AbstractBase.java, idl/lexer.java, idl/parser.cup:
        added support for the IDL keyword AbstractBase (fixed #653).
        thanks to Anders Hessellund Jensen for providing the patch.

        * idl/ValueDecl.java: fix for "IDL compiler fails for typedef
        within valuetype declaration" #601. thanks to Thomas Leineweber
        for providing the patch.

        * idl/StructType.java (print): simplified boolean expression

        * orb/dii/Request.java: fixed synchronization

2006-07-17  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/lexer.java: RT1525 Swallow whitespace on include.

2006-07-17  Alphonse Bendt  <bendt@prismtech.com>

        * orb/iiop/ClientIIOPConnection.java, orb/giop/ReplyPlaceholder.java:
        cosmetics. pmd/findbugs warnings

        * orb/giop/GIOPConnection.java (getMessage):
        convert byte[] to String before logging it

        * orb/EncapsInfo.java, orb/ReplyReceiver.java, orb/dii/Request.java:
        cosmetics. pmd/findbugs warnings

        * orb/ORB.java (HandlerWrapper): made wrappedHandler final

        * orb/Any.java (writeComplexValue): close inputstream after use

        * orb/ORB.java (getORBInitializers): enhanced
        log output

        * imr/ImplementationRepositoryImpl.java (main): added cmd line
        param -printIOR for use within the test regression framework

2006-07-17  Nick Cross  <nick.cross@prismtechnologies.com>

        * imr/ImplementationRepositoryImpl.java: Throw TRANSIENT not
        OBJECT_NOT_EXIST.

2006-07-17  Alphonse Bendt  <bendt@prismtech.com>

        * config/LogKitLoggerFactory.java (getPriorityForNamedLogger):
        pmd warnings

2006-07-14  Alphonse Bendt  <bendt@prismtech.com>

        * orb/BufferManager.java (configure, getInstance): made methods
        synchronized to prevent race issues when creating multiple orbs
        concurrently. this should fix #638

        * orb/iiop/ClientIIOPConnection.java (close): don't log close
        event if connection was closed already. this fixes #693

        * notification/AbstractMessage.java: cosmetics

2006-07-14  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/dii/Request.java,
        orb/portableInterceptor/IORInterceptorIterator.java,
        orb/portableInterceptor/InterceptorManager.java,
        orb/portableInterceptor/RequestInterceptorIterator.java,
        orb/portableInterceptor/ServerRequestInfoImpl.java,
        orb/standardInterceptors/CodeSetInfoInterceptor.java,
        orb/standardInterceptors/IORInterceptorInitializer.java,
        orb/standardInterceptors/SASComponentInterceptor.java,
        orb/util/CorbaLoc.java, orb/util/FixIOR.java,
        orb/util/PrintIOR.java: Add logging. PMD fixes. Exclude some rules
        in pmd.

2006-07-14  Alphonse Bendt  <bendt@prismtech.com>

        * trading/TradingService.java (main): pass in the properties to
        ORB.init(...). this fixes #704

        * imr/ImRServerInfo.java (toServerInfo): fixed wrong array
        type. thanks to Gabor Sziklai for reporting

        * notification/filter/DefaultFilterFactoryDelegate.java,
        notification/filter/etcl/BoolValue.java,
        imr/ServerStartupDaemonImpl.java,
        collection/util/ArrayFactory.java,
        collection/util/SortedVector.java,
        concurrency/LockCoordinatorImpl.java,
        concurrency/LockSetFactoryImpl.java, concurrency/Request.java,
        concurrency/TransactionLocks.java,
        concurrency/TransactionalLockSetImpl.java: cosmetics

2006-07-13  Alphonse Bendt  <bendt@prismtech.com>

        * ir/RepositoryID.java: cosmetics

        * orb/giop/ClientConnection.java: added new property to ignore
        codeset information in profiles

        * orb/Delegate.java: fix for bugzilla #400

        * idl/SequenceType.java, orb/ParsedIOR.java: Fix OutOfMemory issue
        when parsing invalid IOR's.

        scarab JAC38

2006-07-13  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/Delegate.java, orb/ServantDelegate.java,
        orb/SpecificProfileSelector.java, orb/SystemExceptionHelper.java,
        orb/BasicAdapter.java, orb/CDRInputStream.java,
        orb/ExceptionHolderImpl.java, orb/ParsedIOR.java,
        orb/iiop/IIOPAddress.java: PMD fixes

        * idl/AliasTypeSpec.java, idl/EnumType.java, idl/IdlSymbol.java,
        idl/Interface.java, idl/SequenceType.java, idl/StructType.java,
        idl/UnionType.java, idl/ValueAbsDecl.java: JAC#141 Minor class
        comment improvement. Forward decl on struct

        * orb/factory/SocketFactoryManager.java: Use getCause

        * orb/iiop/IIOPListener.java: JAC#141 Pass ex as object not string

        * poa/POA.java: JAC#141 Add debug statement

2006-07-12  Alphonse Bendt  <bendt@prismtech.com>

        * orb/factory/SocketFactoryManager.java (newFactory): in case of a
        InvocationTargetException use the nested exception for
        logging/throwing

        related to scarab JAC128

        * orb/giop/ClientConnectionManager.java,
        orb/giop/MessageReceptorPool.java,
        util/threadpool/ThreadPool.java: throw NO_RESOURCES if during bind
        no ClientMessageReceptor Thread can be created due to a configured
        limit

2006-07-12  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/util/PrintIOR.java: Use autoflush on printwriter. Don't
        close as that will close system.out. Slight output format fixes.

2006-07-12  Alphonse Bendt  <bendt@prismtech.com>

        * orb/util/PrintIOR.java (printIOR): added extra linebreak

        * orb/util/PrintIOR.java (main): don't forget to flush printwriter

        * orb/listener/TCPConnectionEvent.java (c'tor):
        new c'tor should be used instead of the old one

        related to scarab JAC336

        * orb/util/PrintIOR.java: changed the class so that all print
        operations work on a PrintWriter thats passed in. this way the
        class can be better reused

        * orb/dii/Request.java: added logger and some debug statements

        * orb/ORB.java (configure): don't dispose pool (see inline comment)

2006-07-11  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/NameTable.java, idl/OpDecl.java: JAC#332 Fix for invalid idl
        compilation.

2006-07-11  Alphonse Bendt  <bendt@prismtech.com>

        * orb/iiop/IIOPProfile.java (decode_corbaloc):
        GIOP version should default to 1.0 if not specified

        part of fix for #702

        * orb/giop/BiDirConnectionClientInterceptor.java (send_request):
        use CDROutputStream c'tor that accepts an orb whereever possible

        * orb/dsi/ServerRequest.java (createExceptionDetailMessage):
        use CDROutputStream c'tor that accepts an orb whereever possible

        * orb/dii/Environment.java: sychronize access to member

        * orb/ORB.java: code cleanup.
        (configure): dispose poolmanager if orb is re-configured

        * orb/BufferManager.java (singletonConfigure): dispose reaper if
        buffermanager is re-configured

        * poa/POA.java: cosmetics. pmd warnings

        * orb/ORBSingleton.java: cosmetics. more logging

        * config/JacORBConfiguration.java: cosmetics. pmd warnings

        * orb/Delegate.java: throw internal instead of runtimexception

        * orb/ORBSingleton.java (checkTCName): bugfix for bug introduced
        yesterday

        * orb/ExceptionHolderImpl.java: restored no-args c'tor

2006-07-10  Alphonse Bendt  <bendt@prismtech.com>

        * orb/dii/ContextListImpl.java, orb/dii/Request.java: provided
        empty implementation for ContextList instead of returning null

        * orb/Any.java, orb/NVList.java, orb/SystemExceptionHelper.java,
        orb/TypeCode.java, orb/ORBSingleton.java: cosmetics. pmd warnings

        * orb/NamedValue.java, orb/LocateReplyReceiver.java,
        orb/DataInputStream.java, orb/ExceptionHolderImpl.java,
        orb/ReplyReceiver.java: cosmetics

        * orb/CDRInputStream.java, orb/CDROutputStream.java,
        orb/Delegate.java, orb/IORMutator.java,
        orb/dsi/ServerRequest.java, orb/giop/ServerRequestListener.java:
        new feature: added IORMutator plugin.

        scarab JAC319

2006-07-07  Alphonse Bendt  <bendt@prismtech.com>

        * notification/engine/DefaultTaskProcessor.java,
        notification/engine/TaskProcessor.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/PullMessagesUtility.java: cosmetics

        * notification/container/PicoContainerFactory.java: removed unused
        imports

        * notification/servant/ProxyPullSupplierImpl.java:
        don't use the singleton orb

        * poa/RPPoolManager.java, poa/RPPoolManagerFactory.java:
        extracted the warning about the empty pool in its own method and
        override that empty for the single threaded poa

        * idl/parser.cup (init): removed double intializatino of
        pending_interfaces

        added extra debug statements

        * util/Time.java (toCDR): return buffer copy

        * security/ssl/sun_jsse/SSLSocketFactory.java (createSocketFactory):
        enhanced log message

        * orb/portableInterceptor/AbstractInterceptorIterator.java,
        orb/portableInterceptor/ClientInterceptorIterator.java,
        orb/portableInterceptor/ClientRequestInfoImpl.java,
        orb/portableInterceptor/CodecFactoryImpl.java,
        orb/portableInterceptor/CodecImpl.java,
        orb/portableInterceptor/Codec_CDR_1_0_Impl.java,
        orb/portableInterceptor/DefaultClientInterceptor.java,
        orb/portableInterceptor/DefaultServerInterceptor.java,
        orb/portableInterceptor/IORInfoExt.java,
        orb/portableInterceptor/IORInfoImpl.java,
        orb/portableInterceptor/IORInterceptorIterator.java,
        orb/portableInterceptor/InterceptorManager.java,
        orb/portableInterceptor/ORBInitInfoImpl.java,
        orb/portableInterceptor/PICurrentImpl.java,
        orb/portableInterceptor/RecursionAwareCI.java,
        orb/portableInterceptor/RequestInfoImpl.java,
        orb/portableInterceptor/RequestInterceptorIterator.java,
        orb/portableInterceptor/ServerInterceptorIterator.java,
        orb/portableInterceptor/ServerRequestInfoImpl.java,
        orb/policies/BiDirPolicyFactoryImpl.java,
        orb/policies/BiDirPolicyImpl.java,
        orb/policies/ClientProtocolPolicy.java,
        orb/policies/MaxHopsPolicy.java, orb/policies/PolicyManager.java,
        orb/policies/PolicyUtil.java, orb/policies/QueueOrderPolicy.java,
        orb/policies/RebindPolicy.java,
        orb/policies/RelativeRequestTimeoutPolicy.java,
        orb/policies/RelativeRoundtripTimeoutPolicy.java,
        orb/policies/ReplyEndTimePolicy.java,
        orb/policies/ReplyPriorityPolicy.java,
        orb/policies/ReplyStartTimePolicy.java,
        orb/policies/RequestEndTimePolicy.java,
        orb/policies/RequestPriorityPolicy.java,
        orb/policies/RequestStartTimePolicy.java,
        orb/policies/RoutingPolicy.java,
        orb/policies/SyncScopePolicy.java, orb/iiop/IIOPAddress.java:
        cosmetics, pmd warnings

        * orb/SpecificProfileSelector.java: cosmetics

        * orb/ReplyReceiver.java: cosmetics, pmd warnings

        * orb/ParsedIOR.java, orb/ORB.java, orb/BufferManager.java: cosmetics

        * notification/engine/PullFromSupplierTask.java (doWork): removed
        dispose as this is done in superclass

2006-07-06  Alphonse Bendt  <bendt@prismtech.com>

        * orb/iiop/ClientIIOPConnection.java (checkSSL): close stream after use

        * orb/CDRInputStream.java (loadClass):
        extracted method to avoid duplicated code

        * orb/ORB.java (getTransportManager): changed type of exception

2006-07-05  Alphonse Bendt  <bendt@prismtech.com>

        * orb/factory/FixedAddressSocketFactory.java: added new socket
        factory impl

        scarab JAC295

        * idl/IdlSymbol.java (printClassComment): changed format a bit

        * orb/ORB.java, orb/giop/ServerRequestListener.java: Fix for
        POAs/transient objects

        scarab JAC278

        * config/JacORBConfiguration.java (getConfiguration/initApplet):
        added patch from Gabor Sziklai to fix applet support

        * orb/ORB.java: throw BAD_PARAM if something goes wrong during
        string_to_object

        * orb/CDRInputStream.java, orb/CDROutputStream.java:
        further cleanup of typecode marshalling

        scarab JAC277

        * orb/TypeCode.java (id):  cleaned up switch statement. code cleanup

        * orb/giop/CodeSet.java (createCodesetContext): close stream after use

        * orb/util/FixIOR.java (main): close stream after use

        * orb/iiop/IIOPProfile.java (createCodesetContext):
        close stream after use

        * orb/giop/BiDirConnectionClientInterceptor.java (send_request):
        close stream after use

        * orb/etf/ProtocolAddressBase.java (toCDR): close stream after use

        * orb/dynany/DynArray.java, orb/dynany/DynEnum.java,
        orb/dynany/DynSequence.java, orb/dynany/DynStruct.java,
        orb/dynany/DynUnion.java (to_any): use CDROutputStream c'tor that
        accepts an ORB

        * orb/ExceptionHolderImpl.java (c'tor): close outputstream after use

        * orb/Any.java (create_input_stream): close outputstream after use

        * orb/CDRInputStream.java, orb/CDROutputStream.java: changes to
        make CDRInputStream and CDROutputStream more symmetric

        scarab JAC262

        * orb/TypeCode.java: cosmetics

2006-07-04  Alphonse Bendt  <bendt@prismtech.com>

        * orb/EncapsInfo.java: cosmetics

        * orb/ORB.java, orb/policies/PolicyManager.java:
        removed orb parameter from PolicyManager c'tor

        * idl/StructType.java: improved generation of IDL exceptions

        scarab JAC267

        * orb/policies/PolicyManager.java (set_policy_overrides):
        bugfix as ADD_OVERRIDE was broken

        * idl/parser.cup (init): sorted member initialization. do extra
        cleanup for ParseThreads

        * idl/Interface.java: fixed idl compiler bug related to forward
        declarations.

        scarab JAC285

        * orb/TypeCode.java (create_tc): fixed possible NPE
        code cleanup

        * orb/CDRInputStream.java (read_value): reordered switch
        statement. code cleanup

        * orb/ExceptionHolderImpl.java (raise_exception): remove senseless
        orb parameter

        * ir/ConstantDef.java (define): remove senseless parameter

        * orb/Any.java (checkNull): new method that checks if value is not null
        (insert_object): removed method

2006-07-03  Alphonse Bendt  <bendt@prismtech.com>

        * orb/util/PrintIOR.java: also decode realtime policies

        * idl/AliasTypeSpec.java, idl/ObjectTypeSpec.java,
        idl/ValueBoxDecl.java, orb/Any.java: better support for
        streamables, bugfixes, change generated helper code

        changes related to scarab JAC280, 281, 282

        * orb/TypeCode.java, orb/CDRInputStream.java,
        orb/giop/MessageReceptor.java: cosmetics

        * notification/AbstractMessage.java,
        notification/StructuredEventMessage.java,
        notification/container/LocalParameterComponentAdapter.java,
        notification/filter/impl/DefaultETCLEvaluator.java,
        notification/impl/DefaultMessageFactory.java: do not use the
        singleton orb

2006-06-30  Alphonse Bendt  <bendt@prismtech.com>

        * orb/Delegate.java (invoke_internal): invoke checkORB before
        anything is done

        * orb/ORB.java (perform_work/work_pending): removed redundant code

        * orb/giop/ClientConnection.java: javadoc

        * orb/giop/MessageReceptor.java, orb/giop/MessageReceptorPool.java:
        new property: allows to enhance threadnames

        scarab JAC228

        * orb/factory/DefaultServerSocketFactory.java,
        orb/factory/PortRangeFactory.java,
        orb/factory/PortRangeServerSocketFactory.java,
        orb/factory/PortRangeSocketFactory.java,
        orb/factory/SSLServerSocketFactory.java,
        orb/factory/ServerSocketFactory.java,
        orb/factory/SocketFactory.java,
        orb/factory/SocketFactoryManager.java: code cleanup. fixed pmd
        warnings, added missing javadoc headers

2006-06-29  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/BasicAdapter.java: Add include

2006-06-29  Alphonse Bendt  <bendt@prismtech.com>

        * orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPListener.java,
        orb/iiop/ServerIIOPConnection.java,
        orb/listener/NullTCPConnectionListener.java,
        orb/listener/TCPConnectionListener.java: wrap tcp listener in
        check if listener is really active

        * orb/listener/SSLHandshakeListener.java: removed todo comment

        * orb/iiop/IIOPListener.java: cosmetics

        * orb/iiop/IIOPConnection.java, orb/iiop/ClientIIOPConnection.java:
        removed unused code

        * orb/Delegate.java (invoke_internal): added extra check for
        interceptors

        * orb/ORBSingleton.java: extracted string constants

        * orb/CDRInputStream.java, util/Stack.java:
        replaced java.util.Stack with an unsychronized implementation

        * orb/BasicAdapter.java, orb/ORB.java, orb/iiop/IIOPListener.java,
        orb/listener/DefaultAcceptorExceptionListener.java,
        orb/listener/NullAcceptorExceptionListener.java: add
        acceptorexception listener feature, docs and tests

        scarab JAC200

        * config/JacORBConfiguration.java (newInstance):
        configure new Instance if it needs configuration

        * orb/ClientInterceptorHandler.java: further fixes and
        documentation for PI exception handling.

        from scarab 192/194.

        * orb/Delegate.java, orb/ORB.java: fixed findbugs/pmd warnings
        replaced redundant method checkIsRunning with perform_work

        * orb/portableInterceptor/ClientRequestInfoImpl.java,
        orb/portableInterceptor/RequestInfoImpl.java: cosmetics

        * orb/dii/Request.java (_invoke): close stream after use

        * orb/CDRInputStream.java (close): do not return the buffer to the
        BufferManager as 1) it did not come from there 2) it was passed in
        through the c'tor so we cannot assume ownership of it

2006-06-28  Alphonse Bendt  <bendt@prismtech.com>

        * util/ObjectUtil.java, orb/util/CorbaLoc.java,
        orb/util/FixIOR.java, orb/util/PrintIOR.java,
        orb/standardInterceptors/CodeSetInfoInterceptor.java,
        orb/standardInterceptors/SASComponentInterceptor.java,
        orb/iiop/IIOPConnection.java, orb/iiop/ClientIIOPConnection.java,
        orb/iiop/IIOPFactories.java, orb/iiop/IIOPListener.java,
        orb/iiop/IIOPProfile.java,
        orb/giop/BiDirConnectionClientInterceptor.java,
        orb/giop/LocateRequestInputStream.java,
        orb/giop/ServerGIOPConnection.java,
        orb/giop/BiDirConnectionInitializer.java,
        orb/giop/BiDirConnectionServerInterceptor.java,
        orb/giop/BiDirPolicy.java, orb/giop/BiDirPolicyFactory.java,
        orb/giop/ClientConnection.java,
        orb/giop/ClientConnectionManager.java,
        orb/giop/ClientGIOPConnection.java, orb/giop/GIOPConnection.java,
        orb/giop/GIOPConnectionManager.java,
        orb/giop/LFUStatisticsProviderImpl.java,
        orb/giop/LocateReplyInputStream.java,
        orb/giop/LocateRequestOutputStream.java,
        orb/giop/MessageReceptorPool.java, orb/giop/ReplyInputStream.java,
        orb/giop/ReplyOutputStream.java,
        orb/giop/RequestOutputStream.java,
        orb/giop/ServerRequestListener.java,
        orb/giop/TransportManager.java, orb/etf/ProfileBase.java,
        orb/dii/ExceptionList.java, orb/dii/Request.java,
        orb/dsi/ServerRequest.java, orb/diop/DIOPFactories.java,
        orb/Any.java, orb/ApplicationExceptionHelper.java,
        orb/BasicAdapter.java, orb/CDRInputStream.java,
        orb/DefaultProfileSelector.java, orb/ORB.java,
        orb/ProfileSelector.java, orb/ServantDelegate.java,
        idl/AliasTypeSpec.java, idl/EnumType.java, idl/IdlSymbol.java,
        idl/Interface.java, idl/StructType.java, idl/UnionType.java,
        idl/ValueAbsDecl.java, idl/ValueDecl.java: code cleanup. fixed
        pmd/findbugs warnings

2006-06-27  Alphonse Bendt  <bendt@prismtech.com>

        * util/threadpool/ThreadPool.java, util/ObjectUtil.java:
        fixed pmd warnings

        * orb/ORB.java (run, shutdown):
        simplified use of runSync and shutdownSync

        cosmetics

        * orb/CDROutputStream.java: cosmetics

        * imr/ImRAccessImpl.java, imr/ImRHostInfo.java,
        imr/ImRPOAInfo.java, imr/ImRServerInfo.java: fixed pmd warnings

        * orb/SpecificProfileSelector.java: (selectProfile) use & instead of |

        * orb/util/PrintIOR.java, poa/RequestController.java,
        orb/factory/SocketFactoryManager.java,
        orb/TaggedComponentList.java, orb/ParsedIOR.java,
        orb/Delegate.java, orb/ORB.java: fixed findbugs warnings

        * orb/BasicAdapter.java:
        (deliverRequest) removed unnecessary synchronization

        fixed findbugs warnings

        * orb/iiop/IIOPConnection.java, orb/giop/GIOPConnection.java:
        fixed findbugs warnings

        * poa/POA.java: cosmetics

        * orb/factory/SocketFactoryManager.java,
        imr/util/AddServerWindow.java, imr/util/ConnectWindow.java,
        imr/util/ImRManagerGUI.java: fixed findbugs warnings

        * orb/util/FixIOR.java (main): better error handling

        * orb/portableInterceptor/CodecImpl.java,
        orb/portableInterceptor/Codec_CDR_1_0_Impl.java,
        orb/giop/ReplyOutputStream.java, orb/giop/RequestInputStream.java,
        orb/giop/ServerGIOPConnection.java, orb/dynany/DynAny.java,
        orb/dynany/DynArray.java, orb/dynany/DynEnum.java,
        orb/dynany/DynSequence.java, orb/dynany/DynStruct.java,
        orb/dynany/DynUnion.java, orb/dsi/ServerRequest.java,
        orb/SystemExceptionHelper.java, orb/Any.java,
        orb/ExceptionHolderImpl.java, orb/ORB.java, orb/ParsedIOR.java:
        fixed findbugs warnings

        * orb/CDROutputStream.java (getBufferCopy): pass in size of our
        buffer into ByteArrayOutputStream c'tor

        * imr/ImplementationRepositoryImpl.java: fixed findbugs warnings

        * orb/portableInterceptor/PICurrentImpl.java, orb/ORB.java: cosmetics

2006-06-26  Alphonse Bendt  <bendt@prismtech.com>

        * idl/JacIDL.java, idl/ParamDecl.java, idl/StructType.java,
        idl/IllegalRedefinition.java, idl/Interface.java, idl/Member.java,
        idl/PosIntConst.java, idl/ValueAbsDecl.java, idl/parser.cup: Fixes
        for line numbering (reset lexer), better error propagation, only
        print stack trace from Ant task if debuglevel >= 3

        scarab JAC214

        * orb/Delegate.java, poa/AOM.java, poa/POA.java:
        logging and more exceptions

        scarab jac287

        * orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPListener.java:
        allow SO_KEEPALIVE to be set on sockets

        scarab JAC172

        * imr/ImplementationRepositoryImpl.java, orb/BasicAdapter.java,
        orb/build.xml, orb/etf/ConnectionBase.java,
        orb/etf/FactoriesBase.java, orb/etf/ListenerBase.java,
        orb/factory/SocketFactoryManager.java,
        orb/giop/TransportManager.java,
        orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPConnection.java,
        orb/iiop/IIOPFactories.java, orb/iiop/IIOPListener.java,
        orb/iiop/IIOPLoopbackConnection.java,
        orb/iiop/ServerIIOPConnection.java,
        security/ssl/sun_jsse/SSLServerSocketFactory.java.patch,
        security/ssl/sun_jsse/SSLSocketFactory.java,
        security/ssl/sun_jsse/SSLSocketFactory.java.patch: refactorings
        for and implementation of tcp listener feature

        * orb/listener/AcceptorExceptionEvent.java,
        orb/listener/AcceptorExceptionListener.java,
        orb/listener/DefaultAcceptorExceptionListener.java,
        orb/listener/NullSSLSessionListener.java,
        orb/listener/NullTCPConnectionListener.java,
        orb/listener/SSLHandshakeListener.java,
        orb/listener/SSLListenerUtil.java.nossl,
        orb/listener/SSLListenerUtil.java.ssl,
        orb/listener/SSLSessionEvent.java.nossl,
        orb/listener/SSLSessionEvent.java.ssl,
        orb/listener/SSLSessionListener.java,
        orb/listener/TCPConnectionEvent.java,
        orb/listener/TCPConnectionListener.java: added new package for tcp
        listener feature

        * orb/giop/GIOPConnection.java,
        orb/factory/DefaultSocketFactory.java,
        orb/factory/PortRangeSocketFactory.java,
        orb/etf/StreamConnectionBase.java, orb/ParsedIOR.java: cosmetics

        * orb/build.xml, orb/.cvsignore: Reference is generated to
        src/generated now

        * config/Configuration.java,
        config/JacORBConfiguration.java (getAttributeAsObject): new method

2006-06-22  Alphonse Bendt  <bendt@prismtech.com>

        * orb/giop/ClientGIOPConnection.java: cosmetics

        * notification/AbstractChannelFactory.java: removed unused import

        * idl/build.xml: temporarily disable deletion of generated
        parser/sym as this currently breaks the PT build

2006-06-21  Alphonse Bendt  <bendt@prismtech.com>

        * util/ConsoleLoggerFactory.java: simple logger factory example

        * config/LogKitLoggerFactory.java: set visibility of various
        methods to private

        * idl/ValueDecl.java: fixed valuetype inheritance

        scarab JAC305/JAC318

        * idl/StringType.java (getSize): new method

        * idl/ConstExpr.java (pos_int_const): is now public

        * idl/LongLongType.java, idl/LongType.java, idl/ShortType.java:
        getIDLTypeName() now returns the type like it'S written in IDL.

        scarab JAC196

        * util/threadpool/ThreadPool.java (getJob): decrement thread
        counters even during pool shutdown

        * orb/Any.java: replaced Integer.valueOf(int) with new
        Integer(int) as this method is only available in JDK 1.5

2006-06-20  Alphonse Bendt  <bendt@prismtech.com>

        * util/threadpool/ConsumerTie.java: cosmetics

        * util/Time.java: code cleanup to fix pmd warnings
        (waitUntil): rewrote using Thread.sleep

        * idl/ExceptionHolderTypeSpec.java: test and fix for bugzilla #687.

        thanks to thomas leineweber for reporting it and providing the patch.

        * orb/Delegate.java: code cleanup: chain c'tors
        (threadlocals): made static

        * orb/giop/MessageReceptorPool.java: cosmetics

        * build.xml, idl/build.xml: added clean target to idl/build.xml

        * idl/ScopedName.java: added test and fix for bugzilla #429/scarab
        JAC297

        * idl/ConstDecl.java (print): use printClassComment method

        * orb/Delegate.java (invoke_internal): enhanced comment

        * idl/UnionType.java (parse): added isParsed flag to ignore
        multiple calls to parse.  this fixes #697

        * idl/Module.java: added toString method to ease debugging

        * orb/ClientInterceptorHandler.java, orb/Delegate.java,
        orb/portableInterceptor/ClientRequestInfoImpl.java: further
        interceptor fixes

        scarab JAC192/JAC192b

        * idl/parser.cup: renamed member in ElementSpec

        * orb/LocateReplyReceiver.java, orb/ReplyReceiver.java,
        orb/giop/ReplyPlaceholder.java: tests and fix for bugzilla
        #611/scarab JAC235

        * orb/dynany/DynValue.java: fix cvs id

2006-06-19  Alphonse Bendt  <bendt@prismtech.com>

        * orb/CDROutputStream.java: fixed CDROutputStream to correctly
        handle RMI object replacement

        scarab JAC212

        * orb/ClientInterceptorHandler.java, orb/Delegate.java:
        Fix for interceptor service context propagation.

        related to scarab JAC194

        * idl/TypeMap.java, idl/ValueBody.java, idl/AddExpr.java,
        idl/AndExpr.java, idl/ArrayDeclarator.java, idl/BaseType.java,
        idl/BooleanType.java, idl/Case.java, idl/CharType.java,
        idl/ConstDecl.java, idl/ConstExpr.java, idl/ConstType.java,
        idl/DoubleType.java, idl/ElementSpec.java,
        idl/FixedArraySize.java, idl/FixedPointConstType.java,
        idl/FloatPtType.java, idl/FloatType.java,
        idl/IllegalRedefinition.java, idl/InitDecl.java,
        idl/InitParamDecl.java, idl/IntType.java, idl/Literal.java,
        idl/LongLongType.java, idl/LongType.java, idl/MultExpr.java,
        idl/NameAlreadyDefined.java, idl/NameTable.java,
        idl/OctetType.java, idl/OpDecl.java, idl/OrExpr.java,
        idl/PosIntConst.java, idl/PrimaryExpr.java, idl/RaisesExpr.java,
        idl/ShiftExpr.java, idl/ShortType.java, idl/SimpleTypeSpec.java,
        idl/SwitchBody.java, idl/TemplateTypeSpec.java,
        idl/Truncatable.java, idl/TypeDeclarator.java, idl/TypeDef.java,
        idl/UnaryExpr.java, idl/UnionType.java, idl/ValueBase.java,
        idl/ValueInheritanceSpec.java, idl/XorExpr.java: Most classes of
        the IDL compiler only have default access, i.e. aren't accessible
        from other packages. changed that so the AST can be traversed in
        full.

        related to scarab JAC155

        * orb/Any.java, orb/TypeCode.java: code cleanup (pmd/findbugs) warnings

        * poa/RPPoolManagerFactory.java: renamed variable

2006-06-16  Alphonse Bendt  <bendt@prismtech.com>

        * util/threadpool/ThreadPool.java,
        util/threadpool/ConsumerTie.java, orb/giop/MessageReceptor.java:
        cosmetics

        * orb/giop/GIOPConnection.java (fragments): as all accesses to
        fragments are inside the same synchronized block its safe to
        replace Hashtable with HashMap

        * notification/servant/AbstractProxyPushSupplier.java: added debug

        * idl/.cvsignore, idl/build.xml: temporarily revert location of
        parser/sym.java. however no need to check them in

        * poa/AOM.java, poa/POA.java, orb/policies/PolicyUtil.java,
        orb/ParsedIOR.java, orb/ReplyReceiver.java: fixed findbugs
        warnings. unused code

        * imr/util/ImRPOATableModel.java, imr/util/ImRServerTableModel.java:
        fixed some findbugs warnings

2006-06-16  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/build.xml: Add a progress flag to java_cup and remove the
        summary statement.

        * orb/BasicAdapter.java, orb/ORB.java,
        imr/ServerStartupDaemonImpl.java,
        orb/giop/ClientConnectionManager.java,
        orb/giop/MessageReceptorPool.java,
        util/threadpool/ConsumerTie.java, util/threadpool/ThreadPool.java:
        JAC#111 / OS#459 Fix for applet reload / shutdown of receptor
        pools.

2006-06-15  Alphonse Bendt  <bendt@prismtech.com>

        * idl/build.xml: (all) remove unless

        * ir/ConstantDef.java, ir/Container.java, ir/IRObject.java,
        ir/IRServer.java, ir/InterfaceDef.java, ir/ModuleDef.java,
        ir/RepositoryImpl.java, ir/StructDef.java, ir/UnionDef.java: fix
        related to scarab JAC165: This and the related bugs seem to
        indicate that a change was made in JDK1.4.2_05. The classloader
        will not accept classnames with / in it.

        see http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4986512

        * idl/StringType.java: code cleanup

        * security/ssl/sun_jsse/SSLRandom.java (configure): debug code

        * orb/portableInterceptor/ClientRequestInfoImpl.java
        (forward_reference): allow other interceptors to access the
        forward destination

        * orb/iiop/ClientIIOPConnection.java (checkSSL): code cleanup

        * orb/giop/LocateRequestInputStream.java,
        orb/giop/ReplyInputStream.java,
        orb/giop/RequestInputStream.java (close): removed unnecessary
        exception from signature

        * orb/etf/ProfileBase.java (initFromProfileData): better error handling

        * orb/dsi/ServerRequest.java: cosmetics

        * orb/ParsedIOR.java: code cleanup

        * orb/Delegate.java (bind): removed unused method
        (invokeInterceptors): fix for local objects

        * orb/ClientInterceptorHandler.java (invokeInterceptors):
        add forward destination to requestInfo

        * orb/CDRInputStream.java (close):
        removed unnecessary exception from signature

        * orb/Delegate.java, orb/ParsedIOR.java,
        orb/iiop/IIOPProfile.java,
        orb/portableInterceptor/ClientInterceptorIterator.java,
        orb/portableInterceptor/InterceptorManager.java: ParsedIOR.equals
        checks effectiveProfile. Rebind checks clientProtocols. Error
        checking on IIOPProfile. Debug improvement on
        ClientInterceptorIterator.java

        related to scarab JAC160

        * orb/CDROutputStream.java: fixed CDROutputStream to correctly
        handle RMI object replacement

        scarab JAC149

        * idl/StructType.java: added todo

        * idl/JacIDL.java, idl/StructType.java, idl/parser.cup:
        added support for generating toString and equals methods in structs

        * idl/build.xml, idl/parser.java, idl/sym.java:
        generate parser into src/generated

2006-06-14  Alphonse Bendt  <bendt@prismtech.com>

        * security/build.xml: enhance buildfile

        * orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPListener.java,
        orb/iiop/IIOPProfile.java: allow to restart the ssl listen port at
        runtime

        * security/ssl/sun_jsse/JSRandom.java,
        security/ssl/sun_jsse/JSRandomImpl.java,
        security/ssl/sun_jsse/JSRandomImplThread.java,
        security/ssl/sun_jsse/JSSEUtil.java,
        security/ssl/sun_jsse/KeyStoreUtil.java,
        security/ssl/sun_jsse/SSLRandom.java,
        security/ssl/sun_jsse/SSLServerSocketFactory.java,
        security/ssl/sun_jsse/SSLSocketFactory.java,
        security/ssl/sun_jsse/SecurityServiceInitializer.java,
        security/ssl/sun_jsse/ServerInvocationInterceptor.java: new plugin
        mechanism to allow customization of SecureRandom

        * util/ObjectUtil.java (getResource): added new utility method

        * orb/BasicAdapter.java, orb/Delegate.java, orb/ORB.java,
        orb/ORBConstants.java, orb/ParsedIOR.java, orb/RTORB.java,
        orb/SpecificProfileSelector.java,
        orb/policies/ClientProtocolPolicy.java: added ProfileSelector that
        allows to match a specific profile.  added error checking: after
        ORB::shutdown most ORB operations should throw BAD_INV_ORDER

        * orb/CDROutputStream.java: fix for typecode indirection.

        related to scarab JAC110

        * orb/BufferManager.java (release, Reaper):
        reworked synchronization code

        * idl/util/PrettyPrinter.java: optional prettyprinter

        * idl/ValueAbsDecl.java, idl/ValueDecl.java,
        idl/UnionType.java (printClassComment): enhance javadoc generation

        * idl/TypeDeclaration.java: cosmetics, fixed javadoc warnings,
        removed unused code

        * idl/StructType.java (printClassComment): enhance javadoc generation

        * idl/SequenceType.java (printClassComment): enhance generation of
        javadoc
        (printReadStatement, printWriteStatement): generated code for
        sequence types is now more efficient

        * idl/parser.cup (getLogger): made method public
        added generation date

        * idl/ParamDecl.java:
        cosmetics, fixed javadoc warnings, removed unused code

        * idl/OpDecl.java (printStreamBody):
        beautify generated java code (less warnings in eclipse)

        * idl/Interface.java, idl/IDLTreeVisitor.java:
        cosmetics, fixed javadoc warnings, removed unused code

        * idl/IdlSymbol.java, idl/EnumType.java,
        idl/AliasTypeSpec.java (printClassComment): fix generated javadoc

        * orb/ORBSingleton.java: extra error handling during typecode creation.

        related to scarab JAC117

        * idl/lexer.java, poa/gui/beans/PopupMenu.java,
        poa/gui/pm/POAManagerFrame.java, poa/util/POAUtil.java,
        security/sas/ATLASPolicyFactory.java,
        security/sas/SASPolicyFactory.java: cosmetics, fixed javadoc
        warnings, removed unused code

        * orb/standardInterceptors/IORInterceptorInitializer.java (post_init):
        clarify javadoc

        * orb/policies/PolicyManager.java, orb/iiop/IIOPAddress.java,
        orb/giop/GIOPConnection.java, orb/giop/ServerGIOPConnection.java:
        cosmetics, fixed javadoc warnings, removed unused code

        * orb/giop/TransportManager.java (configure):
        throw INITIALIZE instead of RuntimeException

        * orb/factory/ServerSocketFactory.java,
        orb/factory/SocketFactoryManager.java, orb/etf/ProfileBase.java:
        cosmetics: fixed javadoc warnings, removed unused code

        * orb/dsi/ServerRequest.java (reply): don't explicitely write out
        the exceptions type as otherwise it'll end up twice in the stream

        this fixes bugzilla #696

        * orb/diop/DIOPFactories.java, orb/dii/ExceptionList.java,
        orb/dii/Request.java, orb/dii/Environment.java,
        notification/util/AbstractObjectPool.java,
        notification/queue/AbstractBoundedEventHeap.java,
        notification/filter/EvaluationContext.java,
        naming/namemanager/NSTableModel.java: cosmetics: fixed javadoc
        warnings, removed unused code

        * naming/NamingContextImpl.java (init):
        removed unneccessary delegate initialization (its done in AOM)

        * naming/Name.java, ir/gui/typesystem/remote/IRContainer.java,
        ir/gui/typesystem/remote/IRInterface.java,
        ir/gui/typesystem/remote/IRLeaf.java,
        ir/gui/typesystem/remote/IRNode.java,
        ir/gui/typesystem/remote/IRParameter.java,
        ir/gui/typesystem/remote/IRStructMember.java,
        ir/gui/typesystem/remote/IRUnionMember.java,
        ir/gui/typesystem/remote/IRValue.java,
        ir/gui/typesystem/remote/RemoteTypeSystem.java,
        ir/gui/typesystem/AbstractContainer.java,
        ir/gui/typesystem/Interface.java,
        ir/gui/typesystem/ModelBuilder.java,
        ir/gui/typesystem/ModelParticipant.java,
        ir/gui/typesystem/NodeMapper.java,
        ir/gui/typesystem/TypeSystem.java,
        ir/gui/typesystem/TypeSystemNode.java,
        ir/gui/remoteobject/ObjectRepresentant.java,
        ir/gui/remoteobject/ObjectRepresentantFactory.java,
        ir/gui/remoteobject/RemoteObject.java, ir/gui/IRBrowser.java,
        ir/RepositoryID.java, ir/RepositoryImpl.java,
        imr/util/AddServerWindow.java, imr/util/ConnectWindow.java,
        imr/util/ImRModel.java, imr/util/ImRServerTableModel.java:
        cosmetics: fixed javadoc warnings, removed unused code

        * imr/ImRHostInfo.java, imr/ImRServerInfo.java,
        imr/ImplementationRepositoryImpl.java: cosmetics: fixed javadoc
        warnings

        * dds/DomainParticipantImpl.java: fixed javadoc warnings

2006-06-04  Andre Spiegel  <spiegel@gnu.org>

        * poa/RequestQueue.java (configure): Add support for new property
        jacorb.poa.queue_listeners, allowing users to add their own queue
        listeners.
        (queueListeners): New field, supporting the above.
        (c'tor): Removed private no-arg constructor, it is unused.

2006-06-02  Alphonse Bendt  <bendt@prismtech.com>

        * idl/ConstExprEvaluator.java, orb/iiop/IIOPFactories.java,
        orb/iiop/IIOPConnection.java: cosmetics

        * orb/etf/StreamConnectionBase.java (flush): only access byteArray
        if it is really used

        * orb/etf/ListenerBase.java (c'tor): removed deprecated, unused c'tor

2006-06-01  Alphonse Bendt  <bendt@prismtech.com>

        * orb/ORB.java: startup: stricter error handling during
        startup. don't swallow exceptions. instead raise
        INITIALIZE (configurable).

        related to scarab JAC#105

        * orb/portableInterceptor/ORBInitInfoImpl.java (merge): don't
        modify the target list. otherwise multiple calls to
        getXXXInterceptors() will mess up the internal state of the
        object.

        * orb/ORB.java (_getObject): removed senseless debug output

        startup: stricter error handling during startup. don't swallow
        exceptions. instead raise INITIALIZE.

        related to scarab JAC#105

2006-06-01  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/ORB.java: JAC#115 Check serverIdStr as well.

2006-06-01  Alphonse Bendt  <bendt@prismtech.com>

        * idl/Interface.java (printHelper): changed generated narrow
        method to use instanceof operator instead of relying on
        classcastexceptions

        see http://lists.spline.inf.fu-berlin.de/pipermail/jacorb-developer/2006-March/008109.html

2006-05-31  Alphonse Bendt  <bendt@prismtech.com>

        * orb/CDRInputStream.java (read_untyped_value):
        delegate calculation of chunkSize to new method readChunkSizeTag()

        (readChunkSizeTag): new method that speculatively reads in the
        chunksize but pushes back the result if it looks like a
        valuetag. fix for better rmi/iiop-interoperability with the sun
        orb

2006-05-30  Nick Cross  <nick.cross@prismtechnologies.com>

        * config/JacORBConfiguration.java: Add handling for singleton
        logfile with implname set.

2006-05-29  Alphonse Bendt  <bendt@prismtech.com>

        * idl/UnionType.java: fix union IDL bugs. added test and fix.

        related to scarab JAC#104

        * orb/ORB.java, orb/portableInterceptor/InterceptorManager.java,
        orb/portableInterceptor/ORBInitInfoImpl.java: split
        ORBInitializer.pre_init and post_init:

        to be able to resolve a current object registered via an
        ORBInitializer, pre_init() must be called prior to creating the
        ClientConnectionManager, post_init should still not be called
        until the ORB is done with all other internal initialization.

        code cleanup & refactoring

        related to scarab JAC#96

        * notification/filter/DefaultFilterFactoryDelegate.java
        (getAttributeNamesWithPrefix): moved method to JacORBConfiguration

        * config/Configuration.java,
        config/JacORBConfiguration.java (getAttributeNamesWithPrefix): new
        method

        * idl/Module.java: test and fix for issue when using JacIDL with
        the -ir and the -i2jpackage option

        related to JAC#101

        * orb/giop/ClientConnectionManager.java: removed unused code

        * orb/giop/MessageReceptorPool.java (c'tor): fixed boolean expression

        * imr/ImplementationRepositoryImpl.java, orb/BasicAdapter.java,
        orb/giop/ClientConnectionManager.java,
        orb/giop/MessageReceptorPool.java: added extra properties to
        configure the MessageReceptorPool

        related to JAC#89

        * security/ssl/sun_jsse/README.jsse1_0_2,
        security/ssl/sun_jsse/README.jsse1_0_3: enhanced SSL doc

        related to JAC#25

        * config/JacORBConfiguration.java: logfile for the singleton ORB

        related to JAC#3

2006-05-24  Alphonse Bendt  <bendt@prismtech.com>

        * config/JacORBConfiguration.java (initLogging):
        improve handling for orbsingleton logger

        * config/JacORBConfiguration.java (initLogging):
        extra handling for orbsingleton logger

        * config/JacORBConfiguration.java (loadPropertiesFromClasspath):
        bugfix as the context CL might be null

        * orb/ORBSingleton.java (c'tor): added debug output

        * config/JacORBConfiguration.java (initLogging):
        append .log to the serverId/orbsingleton logfilename

        * poa/RPPoolManager.java: cosmetics

        * poa/RPPoolManagerFactory.java: test

        * orb/ORB.java, poa/POA.java, poa/RPPoolManager.java,
        poa/RPPoolManagerFactory.java, poa/RequestController.java:
        introducing property "jacorb.poa.thread_pool_shared" error
        checking for props thread_pool_max and thread_pool_min refactored
        code a bit

        these changes are related to scarab JAC#88

        * poa/POAMonitorLightImpl.java: fixed small bug

        * poa/POAMonitorImpl.java: cosmetics

2006-05-23  Alphonse Bendt  <bendt@prismtech.com>

        * orb/ORB.java, poa/Current.java: current now uses jdk 1.2
        collectionclasses internally

        * config/JacORBConfiguration.java, orb/ORBSingleton.java:
        cleaned up configuration

        * config/JacORBConfiguration.java, orb/ORB.java,
        orb/ORBSingleton.java, poa/POA.java: moved serverId from POA to
        ORB

        if the property jacorb.logfile is set to the value $implname and
        no implname is set the serverId will be used to name the logfile

        special handling for the singleton orb

2006-05-23  Nick Cross  <nick.cross@prismtechnologies.com>

        * poa/AOM.java: Patch for ServantActivator local object invocation
        and AOM from prismtech for bug314 (JAC2).

2006-05-23  Alphonse Bendt  <bendt@prismtech.com>

        * notification/servant/AbstractProxySupplier.java: added debug

        * notification/AbstractChannelFactory.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventChannelImpl.java,
        notification/TypedEventChannelImpl.java,
        notification/container/PicoContainerFactory.java,
        notification/filter/EvaluationContext.java,
        notification/servant/AbstractAdmin.java: fixed test failures under
        eclipse

        * notification/AbstractEventChannel.java: cosmetics

2006-05-23  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/ORB.java, orb/ORBSingleton.java: Tweak previous
        configuration change to Singleton to prevent wierd class
        construction errors.

2006-05-22  Alphonse Bendt  <bendt@prismtech.com>

        * orb/BasicAdapter.java, orb/BufferManager.java,
        orb/Delegate.java, orb/ReplyReceiver.java,
        orb/giop/ClientConnectionManager.java,
        orb/giop/MessageReceptorPool.java,
        orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPListener.java,
        util/threadpool/ThreadPool.java,
        imr/ImplementationRepositoryImpl.java,
        imr/ServerStartupDaemonImpl.java, poa/POA.java,
        poa/POAManager.java: named threads.

        this fixes
        http://www.jacorb.org/cgi-bin/bugzilla/show_bug.cgi?id=472 and is
        also related to scarab JAC#91

        * orb/Delegate.java (is_a): loading of stub class would not work
        as the classname wasn't composed correctly

        * orb/Delegate.java: cosmetics

        * orb/CDRInputStream.java: tests and extra logging for JAC#45

        * orb/ORBSingleton.java: fix: orbsingleton would not load its
        configuration

        * config/JacORBConfiguration.java: cosmetics

2006-05-19  Alphonse Bendt  <bendt@prismtech.com>

        * orb/dynany/DynValue.java: fix cvs id

        * orb/dynany/DynAny.java, orb/dynany/DynAnyFactoryImpl.java,
        orb/dynany/DynArray.java, orb/dynany/DynEnum.java,
        orb/dynany/DynSequence.java, orb/dynany/DynStruct.java,
        orb/dynany/DynUnion.java, orb/dynany/DynValue.java: cosmetics

        * orb/NVList.java, orb/dii/Request.java, orb/dsi/ServerRequest.java:
        changed NVList.list from Vector to ArrayList

        * orb/iiop/ClientIIOPConnection.java (connect): added debug information

        * orb/dsi/ServerRequest.java, orb/dii/Request.java,
        orb/diop/DIOPFactories.java, poa/Current.java: cosmetics

        * idl/StringType.java, idl/TemplateTypeSpec.java, idl/parser.cup:
        fix for scarab JAC#81: JacORB ignores the length parameter in
        bounded string typedefs.

        * idl/JacIDL.java: cosmetics

        * naming/NamingContextImpl.java, naming/Name.java,
        naming/NameServer.java: more logging enhancement.

        replace ex.printStackTrace() with logger.error("", ex)

        * orb/ORB.java: fix for bugzilla 689

        introduced a new sublogger that is only used for printing out the
        version number.  added a custom configuration in jacorb.properties
        that sets the loggers level to INFO

        http://www.jacorb.org/cgi-bin/bugzilla/show_bug.cgi?id=689

2006-05-18  Alphonse Bendt  <bendt@prismtech.com>

        * poa/RequestProcessor.java: changed RequestProcessor to use
        exception.toString() instead of exception.getMessage as this shows
        more information.

        * orb/iiop/IIOPListener.java (createAddressProfile):
        scarab JAC#75 Improve debug - add fixed port debug

        * orb/ParsedIOR.java: better error checking for parsing invalid iors

        related to scarab JAC#69

        * idl/parser.cup:
        http://www.jacorb.org/cgi-bin/bugzilla/show_bug.cgi?id=688

        include "-diistub" in Programming Guide and help output of idl compiler
        patch by thomas leineweber

        * orb/Any.java, orb/CDRInputStream.java, orb/dynany/DynArray.java,
        orb/dynany/DynEnum.java, orb/dynany/DynStruct.java,
        orb/dynany/DynUnion.java: fix for using an Object Reference inside
        a DynAny

        related to scarab JAC#62

        * idl/ObjectTypeSpec.java, idl/VectorType.java: IDL compiler
        generates code that requires objecthelper.java - that only exists
        in rt.jar, doesn't exist in IBM J9 which therefore
        chokes. According to http://www.omg.org/issues/issue1536.txt it
        shouldn't be doing this.

        related to scarab JAC#42

        * naming/NamingContextImpl.java (init): set delegate during
        initialization

2006-05-17  Alphonse Bendt  <bendt@prismtech.com>

        * naming/NameServer.java: fixed test

        * poa/POA.java,
        orb/standardInterceptors/IORInterceptorInitializer.java,
        orb/standardInterceptors/SSLComponentInterceptor.java,
        orb/portableInterceptor/ClientRequestInfoImpl.java,
        orb/iiop/IIOPFactories.java, orb/iiop/IIOPListener.java,
        orb/iiop/IIOPProfile.java, orb/giop/ClientConnectionManager.java,
        orb/giop/GIOPConnectionManager.java,
        orb/giop/TransportManager.java,
        orb/factory/SocketFactoryManager.java, orb/etf/FactoriesBase.java,
        orb/dynany/DynAny.java, orb/dynany/DynArray.java,
        orb/dynany/DynEnum.java, orb/dynany/DynFixed.java,
        orb/dynany/DynStruct.java, orb/CDRInputStream.java,
        orb/CDROutputStream.java, orb/ORB.java, orb/ReplyReceiver.java,
        orb/Any.java, notification/util/GNUPatternWrapper.java,
        notification/util/JakartaRegexpPatternWrapper.java,
        notification/util/PatternWrapper.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java,
        notification/impl/DefaultMessageFactory.java,
        notification/filter/impl/DefaultETCLEvaluator.java,
        notification/filter/etcl/DivOperator.java,
        notification/filter/etcl/DomainNameShorthandNode.java,
        notification/filter/etcl/ETCLFilterConstraint.java,
        notification/filter/etcl/EventNameShorthandNode.java,
        notification/filter/etcl/StaticTypeChecker.java,
        notification/filter/etcl/TCLCleanUp.java,
        notification/filter/etcl/TypeNameShorthandNode.java,
        ir/WstringDef.java, ir/StringDef.java, ir/IdlWriter.java,
        ir/FixedDef.java:

        related to scarab JAC#35:

        change

        throw new <Exception> (OldException.getMessage())

        to

        throw new <Exception> (OldException.toString())

        toString provides more than getMessage

        * imr/util/ImRManager.java, imr/util/ImRModel.java:
        related to scarab JAC#35:

        improve logging: do not log to STDOUT. use logger instead error
        handling: throw INTERNAL if exception occurs that "should not
        happen" cosmetics: indentation, removed unused code, etc.

        * idl/ReplyHandler.java: related to scarab JAC#35:

        change

        throw new <Exception> (OldException.getMessage())

        to

        throw new <Exception> (OldException.toString())

        toString provides more than getMessage

        * ir/RepositoryImpl.java, idl/parser.cup, idl/parser.java,
        idl/sym.java, orb/ORB.java, orb/BasicAdapter.java, orb/Any.java,
        ir/ConstantDef.java, ir/Contained.java, ir/FixedDef.java,
        ir/IdlWriter.java, ir/InterfaceDef.java, ir/QueryIR.java,
        ir/StringDef.java, ir/WstringDef.java, idl/TypeSpec.java,
        idl/ConstExprEvaluator.java: related to scarab JAC#35:

        improve logging: do not log to STDOUT. use logger instead error
        handling: throw INTERNAL if exception occurs that "should not
        happen" cosmetics: indentation, removed unused code, etc.

        * idl/javamapping/JavaMappingGeneratingVisitor.java:
        cosmetics: remove debug code

        * orb/giop/BiDirConnectionInitializer.java,
        orb/iiop/IIOPProfile.java,
        orb/portableInterceptor/ServerInterceptorIterator.java,
        orb/rmi/PortableRemoteObjectDelegateImpl.java,
        orb/standardInterceptors/IORInterceptorInitializer.java,
        orb/standardInterceptors/SSLComponentInterceptor.java: related to
        scarab JAC#35:

        improve logging: do not log to STDOUT. use logger instead error
        handling: throw INTERNAL if exception occurs that "should not
        happen" cosmetics: indentation, removed unused code, etc.

        * orb/dynany/DynSequence.java: replaced Vector with List

        * orb/dynany/DynAny.java, orb/dynany/DynAnyFactoryImpl.java,
        orb/dynany/DynArray.java, orb/dynany/DynEnum.java,
        orb/dynany/DynFixed.java, orb/dynany/DynSequence.java,
        orb/dynany/DynStruct.java, orb/dynany/DynUnion.java,
        orb/dynany/DynValue.java: related to scarab JAC#35:

        improve logging: do not log to STDOUT. use logger instead error
        handling: throw INTERNAL if exception occurs that "should not
        happen" cosmetics: indentation, removed unused code, etc.

2006-05-16  Alphonse Bendt  <bendt@prismtech.com>

        * idl/InterfaceBody.java, idl/ScopedName.java, orb/Any.java,
        orb/TypeCode.java: some changes related to scarab JAC#34 and
        JAC#33: Modification of equal() operation in TypeCode Modification
        of equal() operation on Any plus some extra checks for error
        conditions

        * orb/dynany/DynAnyFactoryImpl.java, orb/dynany/DynValue.java:
        scarab JAC#32: Add DynamicAny DynValue idl, dummy impl class and
        factory.

        * idl/build.xml: revert last checkin as 11a isn't backward
        compatible. instead some ant magic that check if parser really
        needs to regenerated

2006-05-16  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/build.xml: Upgrade cup to 11a from
        http://www2.cs.tum.edu/projects/cup/

2006-05-16  Alphonse Bendt  <bendt@prismtech.com>

        * idl/IdlSymbol.java (getFullName): added javadoc

        * idl/SequenceType.java (printWriteStatement): removed unused variable

        * idl/IdlSymbol.java (getFullName): this is a fix for bugzilla
        #686. correct boolean logic

        * idl/ValueDecl.java (printClass): (printFactory):
        (printHelper):
        (printHolder): IDL Compilation - Value Types

        With a forward declared valuetype which has a factory the forceOverwrite
        option (even if set default) will cause the Valuetype generation to be
        incorrect e.g. in the helper the factory methods won't exist.

        * orb/ORB.java: cosmetics

        * orb/ORB.java (create_operation_list): bugfix. index off by one error

2006-05-15  Alphonse Bendt  <bendt@prismtech.com>

        * idl/AliasTypeSpec.java, idl/ConstrTypeSpec.java,
        idl/FixedPointType.java, idl/IdlSymbol.java, idl/Interface.java,
        idl/ScopedName.java, idl/SequenceType.java, idl/ValueAbsDecl.java:
        test and fix for JAC#307:

        The CORBA valuetypes StringValue and WStringValue are defined in
        the file orb.idl. Now when we used these value types in other IDL
        files, the generated output is 'omg.org.java.lang.String' which
        causes compilation errors.

        * imr/ImplementationRepositoryImpl.java: fix for RT#1312: Problems
        with locate forward request

        When creating the replyoutputstream need to denote whether we got a
        request or locaterequest. Modified ImplementationRepositoryImpl.

        * ir/gui/IRBrowser.java,
        ir/gui/typesystem/remote/RemoteTypeSystem.java: RT#1296:
        InterfaceRepository

        run out of box, error checking in browser, doc update, added irbrowser
        script.

        * orb/CDROutputStream.java: related to RT#1278: fix orb determination

        * ir/RepositoryID.java: RT#1278: better error handling in RepositoryID

        * orb/util/PingObject.java: changed cmd line option format for pingo

        * orb/giop/ClientConnection.java: RT#1229: extra debug information
        when codeset negotiation fails

        * orb/giop/CodeSet.java, orb/util/PrintIOR.java: RT#1056: Codeset issue

        the problem occurs due to the fact that System.getProperties returns a
        different value depending on *both* the value of the native encoding
        (e.g. LC_ALL=UTF8) and the operating system.

        For instance for Linux it may return ISO-8859-1 while for HP it returns
        8859_1. This may be shown by running CodeSet.main(). We are going
        to modify how it retrieves the encoding name so it uses the canonical
        name (ISO8859_1 on linux, hp and solaris).

        Modified:
        CodeSet.java to use canonical name
        PrintIOR.java to output encoding details if in debug mode and tidied
        output format up a bit

        * orb/build.xml, orb/diop/DIOPFactories.java,
        orb/giop/TransportManager.java: RT#1022: The JacORB dior utility
        should be able to decode DIOP IORs. This is a TAO protocol which
        is essentially GIOP/UDP

        * orb/ParsedIOR.java: code cosmetics

2006-05-14  Alphonse Bendt  <bendt@prismtech.com>

        * idl/build.xml: added target to generate idl parser

2006-05-13  Gerald Brose  <gerald.brose@acm.org>

        JacORB Version 2.2.4 released.

2006-05-12  Alphonse Bendt  <bendt@prismtech.com>

        * orb/CDRInputStream.java, orb/DataInputStream.java,
        orb/DataOutputStream.java, orb/Delegate.java, orb/ORB.java,
        orb/dsi/ServerRequest.java, orb/CDROutputStream.java,
        orb/giop/MessageOutputStream.java,
        orb/giop/ReplyOutputStream.java,
        orb/giop/RequestOutputStream.java,
        orb/giop/ServiceContextTransportingOutputStream.java: changes
        related to scarab RT#992: cannot unmarshal embedded valuetypes

        enhanced handling of factories and add
        implementations for DataOutput/InputStreams.

        * idl/parser.cup, idl/parser.java (init): not all static variables
        were reset properly. this caused the test suite to fail as some
        tests had side-effects on others.

        scarab ticket: JAC#289 Add thread reset to parser.init. Allows
        JacIDL to start from a clean (rather than having leftovers from
        previous runs).  src/org/jacorb/idl/parser.java
        src/org/jacorb/idl/parser.cup

2006-05-11  Alphonse Bendt  <bendt@prismtech.com>

        * idl/Interface.java (printInterface, printOperations,
        unwindTypedefs): another patch related to #643 from thomas
        leineweber. here is his comment:

        When AMI is used, the AMI-Interface- and -Operations-Class both inherit
        from the special org.omg.Messaging.ReplyHandler. The IDL-compiler
        internally can not unwind this type, as the internal representation as
        org.jacorb.idl.ReplyHanderlTypeSpec does not inherit from
        ConstrTypeSpec.

        So, I patched the calls to unwindTypedef within Interface.java
        to exclude this type from being unwound.

2006-05-11  Andre Spiegel  <spiegel@gnu.org>

        * naming/NameServer.java (main): Add shutdown hook as suggested by
        David Rodenbaugh in bug #605.

2006-05-11  Alphonse Bendt  <bendt@prismtech.com>

        * orb/dsi/ServerRequest.java (createReply): configure the outputstream
        related to JAC#10

        * orb/ORBSingleton.java (create_*_tc): added methods that take an
        extra boolean parameter to specify if the members should be
        checked. user invocations will always be checked.

        this is to allow interoperability with orbs that send compact typecodes.
        scarab id: JAC#10.
        this may be also an fix for bugzilla #375

        * orb/Delegate.java (request): configure the outputstream after
        creation.  related to JAC#10

        * orb/CDROutputStream.java (configure): made method public
        related to scarab id: JAC#10.

2006-05-11  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/parser.cup, idl/parser.java: JAC#325 Update yearString from
        2004 to 2006

2006-05-11  Alphonse Bendt  <bendt@prismtech.com>

        * orb/CDRInputStream.java (read_Typecode): do not validate members
        and invoke the newly added orb methods to create typecodes.  this
        is to allow interoperability with orbs that send compact
        typecodes.  scarab id: JAC#10.  this may be also an fix for
        bugzilla #375

2006-05-11  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/parser.cup: Update copyright string to match
        parser.java. Removed company/university reference.

2006-05-10  Andre Spiegel  <spiegel@gnu.org>

        * naming/NamingContextImpl.java (configuration):
        Made transient, as suggested by David Rodenbaugh in bug #605.

2006-05-09  Alphonse Bendt  <bendt@prismtech.com>

        * orb/dsi/ServerRequest.java, poa/POA.java:
        patch for bug 378 (JAC3) from prismtech

        * poa/RequestProcessor.java:
        patch from prismtech for bug314 (JAC2). testcase

        * poa/POA.java (_incarnateServant):
        patch from prismtech for bug314 (JAC2). new method

        * orb/Delegate.java (servant_preinvoke):
        patch from prismtech for bug314 (JAC2).

2006-05-04  Alphonse Bendt  <bendt@prismtech.com>

        * orb/ParsedIOR.java (parse_stringified_ior): throw BAD_PARAM in
        case the supplied stringified object reference cannot be decoded.

        see http://www.omg.org/issues/issue4128.txt and page 1121 in CORBA
        Spec 04-03-12

2006-05-02  Alphonse Bendt  <bendt@prismtech.com>

        * orb/CDRInputStream.java:
        (read) throw checked IOException instead of unchecked
        runtimeexceptions

        cosmetics

2006-05-02  Andre Spiegel  <spiegel@gnu.org>

        * orb/iiop/IIOPAddress.java: Patch by David Hartman to allow
        hiding of zone IDs.
        (hideZoneID): New field.
        (configure): Set it from property jacorb.ipv6.hide_zoneid.
        (write): Hide the zone ID if the property is on.
        (init_host): Reformat.

2006-04-26  Andre Spiegel  <spiegel@gnu.org>

        * idl/EnumType.java (printEnumClass): Add a toString() method.
        Suggested by Richard Hash in bug #535.

        * orb/TypeCode.java (originalType, resolveRecursion): Correctly
        resolve indirect recursion for TypeCodes of valuetypes. Patch by
        Thomas Leineweber, fixing bug #677.

2006-03-19  Andre Spiegel  <spiegel@gnu.org>

        * idl/Environment.java: Improve recognition of JDK version,
        add check for jdk 1.5.  Patch by Leon Rosenberg.

2006-03-18  Andre Spiegel  <spiegel@gnu.org>

        * orb/rmi/PortableRemoteObjectDelegateImpl.java (newRMIClassName):
        Restore pre-1.5 compatibility.

        * orb/iiop/ClientIIOPConnection.java (createSocket):
        Correct indentation.

        Changes by David Hartman to support IPv6:

        * orb/iiop/IIOPAddress.java (init_host): Handle IPv6. Rewritten to
        work without isIP().
        (isIP): Method removed.
        (getConfiguredHost): Cosmetic change.

        * orb/iiop/ClientIIOPConnection.java (createSocket): Properly
        initialize connection_info for IPv6.

        * orb/iiop/IIOPProfile.java (clone): Configure the new
        primaryAddress. This fixes bug #660.
        (decode_corbaloc): Changes to support IPv6.

2006-03-16  Andre Spiegel  <spiegel@gnu.org>

        * orb/Delegate.java (get_client_policy): Optimized so that it does
        almost nothing when policies are not in use.

        * orb/ORB.java (internalInit): Don't create the PolicyManager yet.
        (resolve_initial_references): Create the PolicyManager on demand.
        (getPolicyManager): Add Javadoc to explain that it may return null.

2006-03-08  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/AbstractMessage.java: fix for #672

        * notification/TypedEventMessage.java,
        notification/filter/EvaluationResult.java,
        notification/filter/etcl/CurrentTimeNode.java: fix for #671

2006-03-07  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/engine/TaskProcessorRetryStrategy.java,
        notification/interfaces/IProxyPushSupplier.java,
        notification/servant/AbstractProxyPushSupplier.java,
        notification/servant/SequenceProxyPushSupplierImpl.java:
        cosmetics
        restrict number of concurrent push operations to 1

2006-03-06  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/engine/TaskProcessorRetryStrategy.java,
        notification/interfaces/IProxyPushSupplier.java,
        notification/interfaces/JMXManageable.java,
        notification/jmx/BroadcastSupportMBeanDecorator.java,
        notification/jmx/jboss/JMXManageableXMBeanProvider.java,
        notification/jmx/mx4j/JMXMain.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyPushSupplier.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java: cosmetics &
        changed order of events in case of an error

2006-03-05  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/filter/bsh/BSHFilter.java: cosmetics

2006-03-04  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/queue/AbstractBoundedEventHeap.java,
        notification/queue/BoundedReceiveTimeEventQueue.java,
        notification/queue/HeapEntry.java,
        notification/queue/QueueUtil.java: remove superfluous class
        HeapEntry

        * notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java (pushPendingData):
        process notifications in a loop to maintain order

        * notification/AbstractChannelFactory.java (c'tor): don't wait for
        completion while poa.destroy

2006-03-03  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java (getJMXObjectName): change
        order of name

        * notification/jmx/mx4j/JMXMain.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/AbstractProxyPushSupplier.java,
        notification/queue/RWLockEventQueueDecorator.java: cosmetics

2006-02-25  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/AbstractMessage.java,
        notification/impl/DefaultMessageFactory.java,
        notification/interfaces/Message.java,
        notification/queue/AbstractBoundedEventHeap.java,
        notification/queue/AbstractBoundedEventQueue.java,
        notification/queue/BasicMessageQueueAdapter.java,
        notification/queue/BoundedDeadlineEventQueue.java,
        notification/queue/BoundedFifoEventQueue.java,
        notification/queue/BoundedPriorityEventQueue.java,
        notification/queue/BoundedReceiveTimeEventQueue.java,
        notification/queue/DefaultMessageQueueAdapter.java,
        notification/queue/EventQueueFactory.java,
        notification/queue/EventQueueOverflowStrategy.java,
        notification/queue/HeapEntry.java,
        notification/queue/QueueUtil.java,
        notification/queue/RWLockEventQueueDecorator.java: added a
        receivetimestamp to all messages. the fifo event queue will sort
        incoming messages on the basis of this timestamp.

        * notification/StructuredEventMessage.java,
        notification/container/BiDirGiopPOAComponentAdapter.java:
        cosmetics

2006-02-20  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/mx4j/JMXMain.java (main): allow to choose to
        run under jdk jmx or mx4j jmx

        * notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/lifecycle/ServantLifecyleControl.java,
        notification/EventChannelImpl.java,
        notification/AbstractEventChannel.java: cosmetics

2006-02-06  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * orb/Delegate.java (servant_preinvoke, is_local): if
        servant_preinvoke fails to return a servant the next call to
        is_local must return false. this behaviour is required by the
        java to idl language mapping spec. cosmetics

        * poa/RequestProcessor.java (specialOperations): changed Map to
        Set as it was only used that way

        * orb/rmi/PortableRemoteObjectDelegateImpl.java (toStub, toTie):
        load stub and tie classes

2006-02-05  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * poa/RequestProcessor.java: applied patch for bug #540.

        this is a slightly modified version of the suggested fix.

        it is also necessary to check the value of terminate *after* the
        wait as the thread may be terminated by invoking end().

        thanks to Enul Fekushi for reporting the bug and providing a fix

        * idl/Interface.java: applied patch for bug #643.

        thanks to thomas leineweber for reporting the bug and supplying a patch.

        * notification/jmx/jboss/build.xml: skip targets if jboss.home is
        not set

2006-02-02  Phil Mesnier  <phil.mesnier@ociweb.com>

        * trading/test/ExceptionTest.java, trading/test/LoadTest.java,
        trading/util/QueryPropagator.java: Updated tests and demos to be
        consistent with other environment changes

        * orb/iiop/ClientIIOPConnection.java: Allow a custom jacorb.jar to
        exclude sas and other security classes.

2006-01-31  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/AbstractChannelFactory.java,
        notification/ConsoleMain.java (registerName): remove name binding
        if supplied name is null or empty string

        * notification/FilterManager.java (add_filter): reduce log level
        to info.

2006-01-29  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/filter/CallbackManager.java (actionSetChanged):
        change log level

        * notification/servant/AbstractProxySupplier.java (registerListener):
        change log level

        * notification/OfferManager.java,
        notification/SubscriptionManager.java (actionSetChanged): change
        log level

2006-01-21  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/AbstractEventChannel.java,
        notification/conf/Attributes.java, notification/conf/Default.java,
        notification/filter/AbstractFilter.java,
        notification/filter/FilterFactoryImpl.java,
        notification/lifecycle/ServantLifecyleControl.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java: related to
        #654. optionally run System.gc/System.runfinalization on
        deactivation of servants.

        thanks to David Rodenbaugh for suggesting this

2006-01-12  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/AbstractChannelFactory.java,
        notification/AbstractEventChannel.java,
        notification/EventChannelImpl.java,
        notification/TypedEventChannelImpl.java,
        notification/filter/AbstractFilter.java,
        notification/filter/FilterFactoryImpl.java,
        notification/filter/bsh/BSHFilter.java,
        notification/filter/etcl/ETCLFilter.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/ManageableServant.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java,
        notification/lifecycle/IServantLifecyle.java,
        notification/lifecycle/ManageableServant.java,
        notification/lifecycle/ServantLifecyleControl.java: refactored
        servant lifecycle. created own package that contains the logic to
        activate and deactivate the notify servants.

2006-01-11  Andre Spiegel  <spiegel@gnu.org>

        * util/threadpool/ThreadPool.java (getJob, putJob): Rewritten so
        that it properly handles the case when max_idle_threads is
        reached. This fixes bug #652, thanks to Oguzhan Eris for the
        patch.

        * orb/Delegate.java (release): Implement to do roughly what
        finalize() was doing before.  This allows clients to let go of a
        Delegate programmatically.
        (finalize): Rewritten to call the above. Thanks to Cliff Zhao for
        suggesting the patch.

2006-01-10  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/servant/AbstractProxy.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java (activate):
        pulled implementation to baseclass and fixed it. it was buggy as
        the wrong poa was used for activation.

        * notification/servant/SupplierAdminImpl.java: cosmetics

        * notification/servant/ConsumerAdminImpl.java (actionProxyDisposed):
        refresh list of proxies to allow non used servants to be gc'ed

        * notification/servant/FilterStageListManager.java (refresh):
        added new method that refreshes the list to allow gc to run

        * notification/interfaces/ProxyEventAdapter.java:
        added listener adapter

        * notification/servant/AbstractProxy.java (tryDisconnectClient):
        set client_ to null even if an exception gets thrown thanks to
        David Rodenbaugh for suggesting that fix.

2006-01-09  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/servant/AbstractProxySupplier.java,
        notification/servant/AbstractProxyConsumer.java: this is a bugfix
        for bugzilla #654
        (clientDisconnected): set client reference to null after client
        disconnect to allow gc'ing of the stub

        * notification/servant/AbstractProxy.java: this is a bugfix for
        bugzilla #654:
        (clientDisconnected): new abstract callback method
        (dispose): invoke clientDisconnected after client has been
        disconnected
        (tryDisconnectClient): set member client_ to null after client has
        been disconnected

2006-01-09  Andre Spiegel  <spiegel@gnu.org>

        * orb/giop/GIOPConnection.java (sendMessage): Don't close on
        transport connect failure, since the connection may be reused
        later.  Thanks to Cliff Zhao for the analysis.

2006-01-06  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/servant/TypedProxyPullConsumerImpl.java (pullMessages):
        return unmodifiable map

        * notification/servant/PullMessagesOperation.java (runPullInternal):
        reordered operations so that lock is always released

        * notification/servant/AbstractProxy.java (tryDisconnectClient):
        changed loglevel of statement

        * notification/servant/AbstractAdmin.java: cosmetics

        * notification/jmx/mx4j/JMXMain.java (main): set system property
        javax.management.builder so that mx4j is always used. this is
        necessary on jdk1.5 as it brings its own implementation of jmx

        * notification/jmx/UnregisterObjectNameProviderDecorator.java,
        notification/interfaces/NotifyingDisposable.java: javadoc

        * notification/engine/DefaultPushTaskExecutorFactory.java:
        cosmetics

2005-12-31  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/servant/AbstractAdmin.java: whitespace

2005-12-12  David R Robison  <drrobison@openroadsconsulting.com>

        * trading/db/simple/types/TypeDatabaseImpl.java,
        trading/db/simple/offers/OfferDatabaseImpl.java: Sync access to DB

        * trading/impl/RepositoryImpl.java: Sync access to type

        * trading/TradingService.java: Use POA for Trader

2005-12-10  Gerald Brose  <gerald.brose@acm.org>

        * Version 2.2.3 released.

2005-12-10  Gerald Brose  <gerald.brose@acm.org>

        * idl/parser.java: updated copyright string: removed
        company/university reference

2005-12-08  Phil Mesnier  <phil.mesnier@ociweb.com>

        * orb/iiop/IIOPAddress.java, orb/iiop/IIOPProfile.java: Fixed
        errors found by unit test related to hashing of IIOPAddress and
        cloning of profiles.

        * orb/policies/PolicyManager.java: toned down excessive debug
        output by only printing policy retrival metrics when length > 0

2005-12-07  Andre Spiegel  <spiegel@gnu.org>

        * orb/giop/ServerGIOPConnection.java (toString): Be robust if for
        some reason we don't have a profile (happens only in testing, I
        believe).

        * orb/SystemExceptionHelper.java (read): If we cannot instantiate
        the received exception, return an UNKNOWN SystemException, rather
        than throwing it.  This fixes bug #627.

        * orb/BufferManager.java (singletonConfigure, release):
        Synchronize, fixing bug #646.

        * config/JacORBConfiguration.java (loadPropertiesFromFile,
        loadPropertiesFromClassPath): Close the input streams after
        loading the properties. Don't use buffering, because the
        Properties class does that already.  Improve exception handling.

2005-12-04  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/jboss/build.xml: delete .jar after build of .sar

        * notification/TypedEventChannelFactoryImpl.java
        (get_typed_event_channel): bugfix. access corba reference instead
        of servant

2005-12-02  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/jboss/build.xml: renamed targets

        * notification/util/PropertySet.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java: minor
        refactorings and code cleanup

        * notification/queue/RWLockEventQueueDecorator.java: javadoc

2005-12-01  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/build.xml, notification/jmx/jboss/build.xml:
        cleaned up build

        * notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/FilterStageListManager.java,
        notification/servant/IProxyConsumer.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/TypedSupplierAdminImpl.java: minor
        refactorings and code cleanup

        * notification/interfaces/FilterStage.java: javadoc

        * notification/impl/DefaultMessageFactory.java,
        notification/engine/FilterConsumerAdminTask.java: code cosmetics

        * notification/conf/Default.java (DEFAULT_LAZY_DEFAULT_ADMIN_INIT):
        is boolean now

        * notification/TypedEventChannelImpl.java: code cosmetics

        * notification/StructuredEventMessage.java (parseQoSSettings):
        option StopTime only has an effect if consumer supports stopTime

        * notification/EventChannelImpl.java (c'tor): create admin lazily
        unless configuration is set

        * notification/AbstractMessage.java: code cosmetics

        * notification/AbstractEventChannel.java:
        (getDefaultConsumerAdminServant, getDefaultSupplierAdminServant):
        always set InterFilterGroupOperator

        code cleanup

2005-11-26  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/filter/ParseException.java (c'tor):
        add etcl expression that caused the parse failure

        * notification/filter/etcl/grammar/tcl.g,
        util/threadpool/ThreadPool.java: code cosmetics

2005-11-25  Phil Mesnier  <phil.mesnier@ociweb.com>

        * orb/iiop/IIOPAddress.java: Fix to allow for assignment from a
        string with an empty hostname

2005-11-21  Phil Mesnier  <phil.mesnier@ociweb.com>

        * orb/ORB.java, orb/iiop/IIOPAddress.java,
        orb/iiop/IIOPProfile.java: One more round of fixes to ensure
        complete backwards compatibility for IIOP Address use

        * orb/ORB.java, orb/iiop/IIOPAddress.java: Fixed problems related
        to use of unresolvable names in ior proxy configuration

2005-11-20  Andre Spiegel  <spiegel@gnu.org>

        * transaction/TransactionInitializer.java (post_init):
        Pass a Logger to the ClientContextTransferInterceptor.

        * transaction/ClientContextTransferInterceptor.java (logger):
        New instance var.
        (c'tor): Add parameter to pass the logger in.
        (send_request): Log service context creation at debug level.

2005-11-19  Gerald Brose  <gerald.brose@acm.org>

        * idl/ValueDecl.java:
        (print) applied patch by Thomas Leinweber for bug #539

        * idl/ValueDecl.java: applied patch for #492 by Thomas Leineweber

        * idl/ScopedName.java: (escapeName) fix for bug #610

        * idl/NameTable.java: cosmetics only

        * idl/IdlSymbol.java: new method isEscaped()

2005-11-17  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/build.xml: cleaned up dependencies

2005-11-16  Phil Mesnier  <phil.mesnier@ociweb.com>

        * idl/parser.java: Refactored static initialization to accomodate
        Blackdown's 1.4.2-02 JVM on AMD 64-bit host running linux 2.4
        kernel

2005-11-15  Andre Spiegel  <spiegel@gnu.org>

        * orb/giop/TransportManager.java (getFactories, getFactoriesList):
        Synchronized, fixing bug #642.  Thanks to Justin Permar for the
        report.

2005-11-15  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * idl/ValueDecl.java: this is a fix for bug #512. unwind
        valuetype inheritance specifications which have been
        typedef'd. thanks to thomas leineweber for providing the patch

2005-11-13  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * naming/namemanager/ContextNode.java: feature request #427
        populate 5th row with port number

        * naming/namemanager/NSTableModel.java: feature request #427
        (getColumnCount, c'tor): added a 5th row (Portnumber)

2005-11-11  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * orb/factory/DefaultServerSocketFactory.java,
        orb/factory/PortRangeFactory.java,
        orb/factory/PortRangeServerSocketFactory.java:
        this is a fix for #645
        if the specified port param lies within the port range of
        the Factory it first tries to open this port. If this fails
        another port from the port range is tried.  i have also
        refactored PortRangeServerSocketFactory to delegate the actual
        creation to an instance of DefaultServerSocketFactory and added a
        testcase.

        * notification/impl/PoolingEvaluationContextFactory.java,
        notification/util/AbstractObjectPool.java,
        notification/util/AbstractPoolablePool.java: renamed template
        methods to begin with do...

        * notification/impl/DefaultMessageFactory.java: code cleanup

        * notification/util/LogUtil.java: renamed class Configuration to
        JacORBConfiguration and extracted the interface Configuration.

        * notification/container/PicoContainerFactory.java,
        notification/engine/AbstractFilterTask.java,
        notification/engine/DefaultTaskExecutor.java,
        notification/engine/DefaultTaskFactory.java,
        notification/engine/DefaultTaskProcessor.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/TaskExecutor.java,
        notification/engine/TaskFactory.java,
        notification/engine/TaskProcessor.java: removed isTaskQueued logic
        as it is not supported by the underlying util.concurrent lib

        * notification/container/LocalParameterComponentAdapter.java,
        notification/NotifyServer.java: code cleanup

        * notification/EventChannelImpl.java,
        notification/TypedEventChannelImpl.java (getIOR): new channel
        specific implementation

        * notification/AbstractMessage.java, notification/AnyMessage.java,
        notification/StructuredEventMessage.java,
        notification/TypedEventMessage.java (reset): method is final and
        invokes template method doReset which may be subclassed

        * notification/AbstractEventChannel.java: code cleanup

        * orb/etf/ConnectionBase.java (configure): renamed class
        Configuration to JacORBConfiguration.

        * orb/ORB.java (set_parameters): renamed class Configuration to
        JacORBConfiguration.

        * config/Configuration.java, config/JacORBConfiguration.java:
        renamed class Configuration to JacORBConfiguration and extracted
        the interface Configuration.

        * notification/filter/etcl/grammar/comp-lexer.g,
        notification/filter/etcl/grammar/tcl.g: code cleanup

        * notification/jmx/jboss/JBossCOSNotificationService.java: javadoc

        * notification/servant/AbstractProxySupplier.java
        (clearPendingMessageQueue): new management operation

2005-11-07  Gerald Brose  <gerald.brose@acm.org>

        * build.xml: Added rules to build DDS

        * dds/DomainParticipantFactoryImpl.java,
        dds/DomainParticipantImpl.java, dds/EntityImpl.java,
        dds/PublisherImpl.java, dds/SubscriberImpl.java,
        dds/Supplier.java, dds/ThreadSubscriber.java, dds/TopicImpl.java,
        dds/build.xml: *** empty log message ***

2005-10-31  Andre Spiegel  <spiegel@gnu.org>

        * orb/giop/ClientConnection.java (closeConnectionReceived):
        Include connection id in debug message.

        * orb/giop/GIOPConnectionManager.java (createServerGIOPConnection):
        Add debug logging.

        * orb/giop/ServerGIOPConnection.java (toString): Overridden to
        display target profile and hex id of the object.
        (readTimedOut, streamClosed, tryClose): Improve debug logging.

        * orb/giop/GIOPConnection.java (logger): Protected instead of private.
        (profile): Add javadoc.
        (close, getMessage, sendMessage, waitUntilConnected): Improve
        debug logging.

        * orb/giop/ClientGIOPConnection.java (toString):
        Overridden to display target profile and hex id of the object.
        (closeAllowReopen, readTimedOut, streamClosed): Improve debug logging.

        * orb/giop/ClientConnectionManager.java:
        (addConnection(GIOPConnection)): Method removed, was unused.
        Debug logging enhanced in several methods.

2005-10-28  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/jboss/JBossCOSNotificationService.java:
        MBean uses persistent storage now to control initial notfiy settings

        * notification/ConsoleMain.java (help): don't invoke System.exit

        * notification/build.xml, notification/jmx/jboss/build.xml:
        inverted build file dependency. main notify build now invokes sar
        build file

        * notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java:
        reference inner class full qualified

        * notification/jmx/COSNotificationService.java (getEventChannelFactory):
        new method

        * notification/ConsoleMain.java (splitArgs): new method

2005-10-27  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/filter/etcl/ArrayOperator.java,
        notification/filter/etcl/AssocOperator.java,
        notification/filter/etcl/DomainNameShorthandNode.java,
        notification/filter/etcl/ETCLFilterConstraint.java,
        notification/filter/etcl/EventNameShorthandNode.java,
        notification/filter/etcl/NeqOperator.java,
        notification/filter/etcl/PropertyShorthandNode.java,
        notification/filter/etcl/TypeNameShorthandNode.java: code
        cleanup (compiler warnings)

        * notification/MessageFactory.java,
        notification/impl/DefaultMessageFactory.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxyConsumerI.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/FilterStageListManager.java,
        notification/servant/IProxyConsumer.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java: renamed
        interface AbstractProxyConsumerI => IProxyConsumer

        * notification/jmx/COSNotificationService.java (c'tor):
        renamed variables

        * notification/util/QoSPropertySet.java (checkPropertyValues):
        renamed variables

        * notification/AbstractEventChannel.java: renamed Interface

        * notification/WrapperMain.java (start): print out exception
        during start using wrapper logger

        * notification/AnyMessage.java,
        notification/NoTranslationException.java,
        notification/StructuredEventMessage.java: changed Exception c'tor

        * notification/EventChannelImpl.java: renamed xdoclet tag

        * orb/TypeCode.java (c'tor): invoke resolveRecursion
        (resolveRecursion): resolve actual typecode if this is an
        recursive typecode. this fixes bug #430. thanks to Dongjun Sun
        for supplying the patch

        * idl/TypeDeclaration.java (helperName): throw NoHelperException
        if type_decl is null

        * idl/UnionType.java (printHelperClass): applied patch for
        bug #505: IDL compiler generated wrong code for union with
        value-box. thanks to Thomas Leineweber for supplying the patch

2005-10-26  Andre Spiegel  <spiegel@gnu.org>

        * orb/giop/ClientConnectionManager.java (releaseConnection):
        Add debug statements.

        * orb/giop/ClientConnection.java (numClients): New method.

        * orb/giop/ClientGIOPConnection.java,
        orb/giop/GIOPConnection.java, orb/giop/ServerGIOPConnection.java:
        Add a few javadocs.

        * orb/giop/ClientConnection.java (decClients, incClients):
        Update javadoc.

2005-10-25  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * ir/RepositoryID.java (className): invoke convertFromISOLatin1
        when creating a RMI RepositoryID.  thanks to Lionel Chevry for
        supplying the patch.  fix for bug #528.

2005-10-25  Andre Spiegel  <spiegel@gnu.org>

        Patch by Trevor Harmon, fixing bug #622.

        * orb/standardInterceptors/SSLComponentInterceptor.java
        (establish_components): Disambiguate TAG_SSL_SEC_TRANS for OpenORB
        compatibility.

        * orb/iiop/IIOPProfile.java (decode_extensions, getSSL): Likewise.

2005-10-25  Duane Griffin  <d.griffin@psenterprise.com>

        * idl/ConstDecl.java (getValue, print, printContained): Refactor
        common code from print methods into separate method to get the
        declaration's value. Ensure that this method correctly handles
        short type codes (bug #631).

        * idl/Interface.java (parse): Fix bug where the compiler tries to
        parse the interface twice (bug #629).
        (parsed): New field.

2005-10-25  Andre Spiegel  <spiegel@gnu.org>

        * orb/iiop/IIOPConnection.java (setTimeout): Synchronize,
        otherwise the socket may be null'ed before we get a chance to set
        the timeout.

        * orb/giop/ServerGIOPConnection.java (tryClose): Add debug statements.

        * orb/giop/GIOPConnection.java (getMessage): Add debug messages.
        (sendMessage): If the transport connect fails, set do_close to true.

        * orb/ORB.java (shutdown): Call GIOPConnectionManager.shutdown().

        * orb/giop/GIOPConnectionManager.java (shutdown): New method.

2005-10-23  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/queue/AbstractBoundedEventQueue.java (addElement):
        renamed param

        * notification/util/QoSPropertySet.java: removed unused member

        * notification/engine/FilterConsumerAdminTask.java (pushToConsumer):
        removed unnecessary exception

        * notification/filter/etcl/ETCLComponentName.java (evaluate):
        reference static fields directly

2005-10-22  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/jboss/build.xml: jboss.home is now configurable
        form the outside

2005-10-21  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * orb/CDROutputStream.java (increaseSize): fixed bug #607. check
        would cause an ArrayOutOfBounds under certain circumstances (see
        testcase). thanks to Roland Scheel for reporting this bug and
        supplying a patch

        * orb/etf/StreamConnectionBase.java, util/ObjectUtil.java (flush):
        applied patch for bug #546. buffer content was not
        correctly traced.
        (bufToString): removed unnecessary synchronization

        thanks to marc heide for the bug report and the patch.

        * config/Configuration.java (getLoggerName): changed
        implementation as clz.getPackage() may return null.  this fixes
        bug #623 which was reported by Oliver Pajonk who also supplied a
        patch.

2005-10-19  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/UnregisterObjectNameProviderDecorator.java: doc

        * notification/filter/bsh/BSHFilter.java: javadoc

        * notification/filter/AbstractFilter.java,
        notification/filter/CallbackManager.java: InterruptedException
        does not occur any more due to the switch to
        backport-util-concurrent

        * notification/AbstractChannelFactory.java: cosmetics

        * notification/NotifyServer.java: imports

2005-10-19  David R Robison  <drrobison@openroadsconsulting.com>

        * notification/jmx/jboss/JBossCOSNotificationService.java,
        notification/jmx/jboss/jboss-service.xml: Create channel and
        register with NamingService

2005-10-18  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/jboss/build.xml: generate jboss jmx before compile

        * notification/jmx/jboss/build.xml: fixes by david robison

2005-10-13  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/jboss/build.xml,
        notification/jmx/jboss/jboss-service.xml: corrected lib paths

2005-10-12  David R Robison  <drrobison@openroadsconsulting.com>

        * notification/NotifyServer.java: Allows Notification service to
        be instantiated by a separate program.

2005-10-10  Phil Mesnier  <phil.mesnier@ociweb.com>

        * orb/etf/ProtocolAddressBase.java, orb/iiop/IIOPAddress.java:
        Refactored the toCDR() implementation, moving the generic parts to
        ProtocolAddressBase, and having that call write() to get the
        protocol specific details written

        * orb/iiop/IIOPListener.java: Removed unused local variable

2005-10-09  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * idl/SequenceType.java: fix for bug 630. thanks to Duane Griffin

2005-10-08  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/filter/CurrentTimeUtil.java,
        notification/filter/EvaluationContext.java,
        notification/filter/etcl/CurrentTimeNode.java,
        notification/impl/DefaultEvaluationContextFactory.java,
        notification/impl/PoolingEvaluationContextFactory.java: allow etcl
        evaluation to access a COSTime Service

        * notification/container/BiDirGiopPOAComponentAdapter.java,
        notification/container/CurrentTimeUtilComponentAdapter.java,
        notification/container/LocalParameterComponentAdapter.java,
        notification/container/PicoContainerFactory.java: added pico
        ComponentAdapter that allows specification of local params

        * notification/filter/impl/DefaultETCLEvaluator.java:
        minor code cleanup

2005-10-03  Andre Spiegel  <spiegel@gnu.org>

        Patch by Thomas Leineweber to add generation of DII stubs,
        see bug #628.

        * idl/OpDecl.java (printDIIBody, printStreamBody): New methods.
        (printMethod): Use them.

        * idl/ParamDecl.java
        (printAddArgumentStatement, printExtractArgumentStatement): New
        methods.

        * idl/NoHelperException.java: Initial revision.

        * idl/AliasTypeSpec.java, idl/AnyType.java,
        idl/ArrayTypeSpec.java, idl/BooleanType.java, idl/CharType.java,
        idl/ConstrTypeSpec.java, idl/DoubleType.java, idl/EnumType.java,
        idl/ExceptionHolderTypeSpec.java, idl/FixedPointType.java,
        idl/FloatType.java, idl/Interface.java, idl/LongLongType.java,
        idl/LongType.java, idl/ObjectTypeSpec.java, idl/OctetType.java,
        idl/ReplyHandlerTypeSpec.java, idl/SequenceType.java,
        idl/ShortType.java, idl/StringType.java, idl/StructType.java,
        idl/TypeCodeTypeSpec.java, idl/TypeDeclaration.java,
        idl/TypeSpec.java, idl/UnionType.java, idl/ValueAbsDecl.java,
        idl/ValueBoxDecl.java, idl/ValueDecl.java, idl/VectorType.java:
        (printInsertIntoAny, printExtractResult): New methods.

        * idl/parser.cup, idl/parser.java
        (generateDiiStubs): New field.
        (compile): Set it from new option -diistub.

        * idl/JacIDL.java
        (_generateDiiStubs): New field.
        (setGenerateDiiStubs): New method.
        (c'tor, execute): Use it.

2005-10-03  Andre Spiegel  <spiegel@gnu.org>

        * idl/NameTable.java (define, inheritFrom): Prevent shadowed
        definitions from crashing the compiler. Thanks to Duane Griffin
        and Thomas Leineweber, this fixes bug #470, bug #517, bug #616.

        * idl/ReplyHandler.java (createInheritanceSpec): Properly handle
        inheritance scope.  Patch by Duane Griffin, fixing bug #606.

2005-10-02  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/TODO.txt: updated todo list

        * notification/build.xml: added targets for conversion between
        backport-util-concurrent and java.util.concurrent

        * notification/filter/etcl/OrOperator.java,
        notification/servant/AbstractProxyPushSupplier.java: fixed
        compiler warnings

        * notification/filter/EvaluationContext.java: removed superfluous
        logger

        * notification/build.xml: added targets for conversion between
        backport-util-concurrent and java.util.concurrent

        * notification/AbstractChannelFactory.java,
        notification/AbstractEventChannel.java,
        notification/EventTypeSet.java, notification/FilterManager.java,
        notification/OfferManager.java,
        notification/SubscriptionManager.java,
        notification/engine/AbstractFilterTask.java,
        notification/engine/AbstractTask.java,
        notification/engine/DefaultPushTaskExecutor.java,
        notification/engine/DefaultTaskExecutor.java,
        notification/engine/DefaultTaskProcessor.java,
        notification/engine/FilterProxyConsumerTask.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/Schedulable.java,
        notification/engine/TaskExecutor.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/filter/AbstractFilter.java,
        notification/filter/CallbackManager.java,
        notification/filter/FilterFactoryImpl.java,
        notification/queue/BoundedDeadlineEventQueue.java,
        notification/queue/BoundedPriorityEventQueue.java,
        notification/queue/Heap2.java,
        notification/queue/RWLockEventQueueDecorator.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxyPushSupplier.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/PullMessagesOperation.java,
        notification/servant/PullMessagesUtility.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/util/AbstractObjectPool.java: replaced
        util-concurrent with backport-util-concurrent to allow easier
        transition to jdk 1.5

        * notification/filter/etcl/CurrentTimeNode.java (evaluate):
        use optional TimeService

        * notification/jmx/mx4j/JMXMain.java (initORB): use specified args
        to create the ORB

        * notification/filter/bsh/BSHFilter.java: javadoc

        * notification/build.xml: used wrong property

2005-09-29  Francisco Reverbel  <reverbel@ime.usp.br>

        * poa/POA.java (_getChildPOA): changed to consider that an
        "unborn" child POA whose parent POA has no adaptor activator is
        perceived to be in the holding state while it its parent POA is in
        the holding state.

2005-09-27  Phil Mesnier  <phil.mesnier@ociweb.com>

        * imr/ImRAccessImpl.java, naming/namemanager/ContextNode.java,
        orb/BasicAdapter.java, orb/IIOPAddress.java, orb/ImRAccess.java,
        orb/ORB.java, orb/giop/BiDirConnectionInitializer.java,
        orb/giop/BiDirConnectionServerInterceptor.java,
        orb/util/PrintIOR.java: Replace explicit host/port with
        ProtocolAddressBase or IIOPAddress as appropriate

        * orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPAddress.java,
        orb/iiop/IIOPFactories.java, orb/iiop/IIOPListener.java,
        orb/iiop/IIOPLoopbackRegistry.java, orb/iiop/IIOPProfile.java,
        orb/iiop/ServerIIOPConnection.java: Integrate support for
        etfProtocolAddressBase into package.  Listener still can be
        configured via existing host/port config values or via the new
        OAAddress env var, 'iiop://myhost:12345'

        * orb/etf/FactoriesBase.java, orb/etf/ListenerBase.java,
        orb/etf/ProfileBase.java, orb/etf/ProtocolAddressBase.java: Added
        new base class for manipulating protocol-specific addresses in a
        generic way.

2005-09-27  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/BasicAdapter.java, orb/ORB.java, orb/dsi/ServerRequest.java,
        orb/giop/ServerRequestListener.java, poa/POA.java:
        - The previous change was reverted and the config property
          jacorb.registered_adapter_names was dumped.
        - POA._getChildPOA changed to consider that a POA is in the holding
          state while it its parent POA is in the holding state.

        * orb/BasicAdapter.java, orb/ORB.java, orb/dsi/ServerRequest.java,
        orb/giop/ServerRequestListener.java, poa/POA.java: Added config
        property jacorb.registered_adapter_names, which tells
        POA._getChildPOA not to throw

          OBJECT_NOT_EXIST("no adapter activator exists for " + adapter_name)

        for any of the registered adapter names. It makes POA._getChildPOA
        throw TRANSIENT instead. The new property solves the problem of
        spurious OBJECT_NOT_EXIST replies at server startup.

2005-09-10  Gerald Brose  <gerald.brose@acm.org>

        * naming/NameServer.java: removed HTTPClient and HTTP tunneling

2005-09-10  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/filter/AbstractFilter.java (match_NoLock): logging

2005-09-04  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/jmx/mx4j/JMXMain.java (start): do not start iiop
        connector

        * notification/jmx/mx4j/JMXMain.java: fixed IIOP Connector
        registration, added HTTP connector registration

        * notification/jmx/COSNotificationService.java (createChannel,
        ..): use logger instead of e.printStackTrace

        * notification/AbstractChannelFactory.java (c'tor, newFactory):
        only activate poamanager if orb is created locally

2005-08-22  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/filter/etcl/AbstractTCLVisitor.java,
        notification/filter/etcl/ImplicitOperatorNode.java,
        notification/servant/AbstractProxyPushSupplier.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java: code cleanup

2005-08-21  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/AbstractChannelFactory.java,
        notification/WrapperMain.java:
        (shutdown): wait at least 2 sec

        * notification/build.xml: disable jmx.mx4j and jmx.jboss by default

        * orb/dns/DNSLookup.java: full qualify imports to prevent warning
        during xdoclet code generation

        * notification/util/AbstractObjectPool.java,
        notification/util/AbstractPoolable.java,
        notification/util/CollectionsWrapper.java,
        notification/util/DefaultWildcardMap.java,
        notification/util/LogUtil.java,
        notification/util/WildcardMap.java: small fixes

        * notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxyConsumerI.java,
        notification/servant/AbstractProxyPushSupplier.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/FilterStageListManager.java,
        notification/servant/IAdmin.java,
        notification/servant/IEventChannel.java,
        notification/servant/ITypedAdmin.java,
        notification/servant/MessageSupplierDelegate.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/PullMessagesOperation.java,
        notification/servant/PullMessagesUtility.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java: jmx support and
        refactoring

        * notification/queue/AbstractBoundedEventQueue.java,
        notification/queue/BasicMessageQueueAdapter.java,
        notification/queue/BoundedDeadlineEventQueue.java,
        notification/queue/BoundedFifoEventQueue.java,
        notification/queue/BoundedPriorityEventQueue.java,
        notification/queue/EventQueueOverflowStrategy.java,
        notification/queue/MessageQueue.java,
        notification/queue/MessageQueueAdapter.java,
        notification/queue/RWLockEventQueueDecorator.java: jmx support

        * notification/jmx/BroadcastSupportMBeanDecorator.java,
        notification/jmx/COSNotificationService.java,
        notification/jmx/EventChannelFactoryControl.java,
        notification/jmx/EventChannelFactoryMBean.java,
        notification/jmx/JMXMain.java,
        notification/jmx/JMXManageableMBeanProvider.java,
        notification/jmx/UnregisterObjectNameProviderDecorator.java: core
        jmx support

        * notification/engine/AbstractFilterTask.java,
        notification/engine/AbstractRetryStrategy.java,
        notification/engine/AbstractTask.java,
        notification/engine/AlwaysDisposeRetryStrategy.java,
        notification/engine/DefaultPushTaskExecutor.java,
        notification/engine/DefaultPushTaskExecutorFactory.java,
        notification/engine/DefaultTaskExecutor.java,
        notification/engine/DefaultTaskFactory.java,
        notification/engine/DefaultTaskProcessor.java,
        notification/engine/DirectExecutorPushTaskExecutorFactory.java,
        notification/engine/FilterConsumerAdminTask.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/PooledPushTaskExecutorFactory.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/PushTaskExecutorFactory.java,
        notification/engine/TaskExecutor.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/engine/WaitRetryStrategy.java,
        notification/interfaces/CallbackingDisposable.java,
        notification/interfaces/FilterStage.java,
        notification/interfaces/GCDisposable.java,
        notification/interfaces/IProxyPushSupplier.java,
        notification/interfaces/JMXManageable.java,
        notification/interfaces/MessageConsumer.java,
        notification/interfaces/MessageSupplier.java,
        notification/interfaces/NotifyingDisposable.java,
        notification/AbstractChannelFactory.java,
        notification/AbstractEventChannel.java,
        notification/ChannelManager.java, notification/ConsoleMain.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventChannelImpl.java,
        notification/EventTypeSet.java, notification/OfferManager.java,
        notification/StructuredEventMessage.java,
        notification/TypedEventChannelFactoryImpl.java,
        notification/TypedEventChannelImpl.java, notification/build.xml:
        jmx support

        * notification/impl/DefaultMessageFactory.java (getControllerName):
        removed method

        * notification/filter/AbstractFilter.java,
        notification/filter/AbstractFilterUsageDecorator.java,
        notification/filter/ConstraintEntry.java,
        notification/filter/DefaultFilterFactoryDelegate.java,
        notification/filter/EvaluationContext.java,
        notification/filter/EvaluationResult.java,
        notification/filter/FilterFactoryImpl.java,
        notification/filter/MappingFilterImpl.java: changes for JMX
        support. code cleanup

        * notification/filter/etcl/grammar/comp-lexer.g,
        notification/filter/etcl/grammar/tcl-lexer.g,
        notification/filter/etcl/grammar/tcl.g: updated copyright

        * notification/filter/etcl/AndOperator.java,
        notification/filter/etcl/BinaryOperator.java,
        notification/filter/etcl/DefaultOperator.java,
        notification/filter/etcl/DivOperator.java,
        notification/filter/etcl/ETCLComponentName.java,
        notification/filter/etcl/ETCLFilter.java,
        notification/filter/etcl/EqOperator.java,
        notification/filter/etcl/GtOperator.java,
        notification/filter/etcl/GteOperator.java,
        notification/filter/etcl/InOperator.java,
        notification/filter/etcl/LtOperator.java,
        notification/filter/etcl/LteOperator.java,
        notification/filter/etcl/MultOperator.java,
        notification/filter/etcl/NeqOperator.java,
        notification/filter/etcl/StaticTypeChecker.java,
        notification/filter/etcl/StaticTypeException.java,
        notification/filter/etcl/StringValue.java,
        notification/filter/etcl/SubstrOperator.java: changes for JMX
        support. code cleanup

        * notification/filter/etcl/AbstractTCLNode.java (initialize):
        made methods final

        * notification/container/PicoContainerFactory.java (createContainer):
        split method into smaller methods

        * notification/container/FilterFactoryComponentAdapter.java: cosmetics

        * notification/container/CORBAObjectComponentAdapter.java (c'tor):
        load Helper class via the Service classes Classloader if available

        * notification/container/BiDirGiopPOAComponentAdapter.java: cosmetics

        * notification/SubscriptionManager.java: javadoc

        * notification/AnyMessage.java (toTypedEvent): do not catch Throwable

2005-08-19  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * config/LogKitLoggerFactory.java (c'tor): made constructor public

2005-08-17  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/servant/SequenceProxyPushSupplierImpl.java (c'tor):
        fix for #625. the periodic flush task did not work properly

2005-08-17  Phil Mesnier  <phil.mesnier@ociweb.com>

        * orb/giop/GIOPConnection.java: reorder the reconnection test so
        that any service contexts that are required may be resent
        following a transport level close and reopen.

        * orb/giop/CodeSet.java,
        orb/standardInterceptors/CodeSetInfoInterceptor.java: Add support
        for configurable native codeset for char and wchar

2005-08-16  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/servant/SequenceProxyPushSupplierImpl.java:
        (startCronJob) fixed if clause. task would never be started. this
        fixes #625

2005-08-04  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPListener.java,
        orb/iiop/IIOPLoopback.java, orb/iiop/IIOPLoopbackConnection.java,
        orb/iiop/IIOPLoopbackInputStream.java,
        orb/iiop/IIOPLoopbackOutputStream.java,
        orb/iiop/IIOPLoopbackRegistry.java: Kevin Conner's loopback
        transport (see bug #525).

2005-07-26  Phil Mesnier  <phil.mesnier@ociweb.com>

        * poa/POA.java: fix for servant_to_id() to correctly activate the
        object when the implicit_activation policy is set.

2005-06-26  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/Delegate.java: Do not try to load a stub for
        CORBA::Object. The attempt will fail for sure, as there is no
        CORBA::Object stub. Moreover, a classloader that generates stubs
        on-the-fly might log an error message to report that it was not
        able to generate the stub. (This was indeed happening in JBoss.)

        * orb/CDROutputStream.java: Fix NullPointerException when
        attempting to load the helper class for an IDL-generated valuetype
        class loaded through the bootstrap classloader.
        (This bug was reported by Hrishikesh Barua.)

2005-06-10  Andre Spiegel  <spiegel@gnu.org>

        * security/sas/SASClientInterceptor.java (send_request): Be
        prepared for an empty csmList, fixing bug #603.

        * orb/CDRInputStream.java (read_TypeCode): Create proper TypeCode
        for exceptions, fixing bug #602.

2005-06-01  Gerald Brose  <gerald.brose@acm.org>

        * Version 2.2.2 released.

        * orb/ORB.java: changed log message to "The JacORB project" and
        dropped my name and company names.

2005-06-01  Andre Spiegel  <spiegel@gnu.org>

        SAS-related changes suggested by Jesper S�derlund:

        * orb/portableInterceptor/ServerRequestInfoImpl.java (c'tor): Make
        sure to set servant member variable.

        * orb/ServantDelegate.java (get_policy): Always returned null, now
        retrieves the policies from the POA.

        * security/sas/SASTargetInterceptor.java
        (receive_request_service_contexts): Check whether the object is in
        a POA with SAS policy before continuing processing.

        * security/sas/SASClientInterceptor.java (send_request): Now
        doesn't stop processing if the target IOR doesn't contain
        SASpolicy, e.g. if the result of a corbaloc.

        * security/sas/GssUpContext.java (createClientContext): Remove
        superfluous code.

2005-06-01  Andre Spiegel  <spiegel@gnu.org>

        * naming/NameServer.java (incarnate): Don't call System.exit(),
        fixing bug #518.

        * naming/NamingContextImpl.java (new_context): Don't call
        System.exit(), fixing bug #518.

        * orb/ServantDelegate.java (_invoke): Call
        Servant._get_interface_def(), rather than the deprecated method
        _get_interface(), fixing bug #596.

2005-05-12  Andre Spiegel  <spiegel@gnu.org>

        * orb/portableInterceptor/ClientRequestInfoImpl.java (c'tor):
        Properly set target object, fixing bug #597.

        * poa/util/POAUtil.java (extractImplName, extractOID,
        extractPOAName): Properly de-escape separator characters ("/") in
        these names. Fix for bug #493.

2005-05-04  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/TypedEventChannelImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java: added test
        for bug and fix: poll would fail if one of the
        TypedProxyPullSupplier "try" methods failed.

        * notification/TypedEventChannelImpl.java,
        notification/EventChannelImpl.java:
        (newConsumerAdmin):
        (newSupplierAdmin): extracted duplicated code
        as method

        * notification/AbstractChannelFactory.java,
        notification/EventChannelFactoryImpl.java,
        notification/TypedEventChannelFactoryImpl.java (newContainerForChannel):
        pulled duplicated code up to baseclass

        * notification/servant/AbstractAdmin.java,
        notification/servant/IEventChannel.java (getID): renamed to
        getChannelID to avoid confusion

        * notification/TypedEventChannelImpl.java: cosmetics: whitespace

        * notification/NoTranslationException.java,
        notification/WrapperMain.java: cosmetics: compiler warning

        * notification/MessageFactory.java (dispose): removed method

        * notification/FilterManager.java: cosmetics: compiler warning

2005-05-01  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/servant/IAdmin.java,
        notification/servant/IEventChannel.java,
        notification/servant/ISupplierAdmin.java,
        notification/servant/ITypedAdmin.java,
        notification/servant/ITypedEventChannel.java,
        notification/servant/ITypedProxy.java,
        notification/queue/BoundedFifoEventQueue.java,
        notification/queue/BoundedPriorityEventQueue.java,
        notification/interfaces/ApplicationEvent.java,
        notification/interfaces/EventChannelEvent.java,
        notification/interfaces/ProxyEvent.java,
        notification/filter/impl/DefaultETCLEvaluator.java,
        notification/filter/EvaluationException.java,
        notification/filter/EvaluationResult.java,
        notification/filter/FilterConstraint.java,
        notification/filter/ParseException.java,
        notification/filter/PropertyDoesNotExistException.java: cosmetics:
        javadoc and compiler warnings

        * notification/engine/DefaultTaskProcessor.java (c'tor): code cleanup

        * notification/container/PicoContainerFactory.java
        (createRootContainer): use new BiDirGIOPCA.

        * notification/AbstractChannelFactory.java (c'tor):
        enable BiDirGIOP for EventchannelFactoryPOA if configured

        * notification/container/BiDirGiopPOAComponentAdapter.java: new
        Pico CA that creates the POA for the NotifyService Servants to
        use.
        the CA will enable BiDirGIOP for the POA if this is
        configured in jacorb.properties

        * notification/servant/TypedProxyPullConsumerImpl.java
        (connect_typed_pull_supplier): added extra check if interfaceDef_
        is null. see bugzilla id
        http://www.jacorb.org/cgi-bin/bugzilla/show_bug.cgi?id=596

        * notification/servant/AbstractProxy.java: cosmetics

        * notification/impl/DefaultMessageFactory.java: removed unused code

2005-04-27  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/engine/AbstractFilterTask.java,
        notification/engine/AbstractMessageTask.java,
        notification/engine/AbstractRetryStrategy.java,
        notification/engine/AbstractTask.java,
        notification/engine/AlwaysDisposeRetryStrategy.java,
        notification/engine/AlwaysDisposeRetryStrategyFactory.java,
        notification/engine/ConfigurablePushTaskExecutorFactory.java,
        notification/engine/DefaultPushTaskExecutor.java,
        notification/engine/DefaultPushTaskExecutorFactory.java,
        notification/engine/DefaultTaskFactory.java,
        notification/engine/DefaultTaskProcessor.java,
        notification/engine/FilterConsumerAdminTask.java,
        notification/engine/FilterProxyConsumerTask.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/FilterSupplierAdminTask.java,
        notification/engine/PooledPushTaskExecutorFactory.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/PushTaskExecutor.java,
        notification/engine/PushTaskExecutorFactory.java,
        notification/engine/RetryException.java,
        notification/engine/RetryStrategyFactory.java,
        notification/engine/TaskFactory.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/engine/TaskProcessorRetryStrategyFactory.java,
        notification/engine/WaitRetryStrategy.java,
        notification/engine/WaitRetryStrategyFactory.java: removed
        PushToConsumer Tasks and Thread Pools as this concept didn't work
        right.
        instead PushTaskExecutor creates a number of threads that pull
        PushTasks from the ProxyPushSuppliers and execute them.

        * notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxyPushSupplier.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java: cleaned up
        inheritance hierarchy of Proxies.  all ProxyPushSuppliers have a
        common baseclass now.

        * notification/queue/RWLockEventQueueDecorator.java (replaceDelegate):
        fixed bug

        * notification/queue/Heap2.java: custom implementation that
        extends util.concurrent.Heap. this impl does some extra work
        during clean. otherwise stalled items seem to stay in the Heap.

        * notification/queue/BoundedPriorityEventQueue.java (getAllElementsInternal):
        invoke clear after all elements are returned. otherwise stalled
        items seem to stay in the queue
        (newHeap): use custom implementation Heap2
        (toString): added impl

        * notification/queue/BasicMessageQueueAdapter.java (toString):
        added implementation

        * notification/interfaces/MessageSupplier.java (destroy): to
        destroy a proxy destroy must be invoked instead of dispsoe

        * notification/interfaces/IProxyPushSupplier.java,
        notification/interfaces/MessageConsumer.java (IProxyPushSupplier):
        new internal interface for ProxyPushSuppliers.

        * notification/engine/AbstractDeliverTask.java,
        notification/engine/PushToConsumerTask.java,
        notification/engine/TimerDeliverTask.java: removed unused code

        * notification/container/PicoContainerFactory.java,
        notification/container/PushTaskExecutorFactoryComponentAdapter.java:
        new ComponentAdapter that registers a PushTaskExecutorFactory

        * notification/container/DisposeLifecycleVisitor.java,
        notification/container/NonCachingRememberingComponentAdapter.java,
        notification/container/PerProxyPushTaskExecutorComponentAdapter.java,
        notification/container/ThreadPoolTaskExecutorComponentAdapter.java:
        removed unused code

        * notification/container/CORBAObjectComponentAdapter.java,
        notification/container/ConfigurationComponentAdapter.java,
        notification/container/DynAnyFactoryComponentAdapter.java,
        notification/container/FilterFactoryComponentAdapter.java,
        notification/container/POAComponentAdapter.java,
        notification/container/RepositoryComponentAdapter.java (serialVersionUID):
        added member to fix compiler warnings. serializable classes should
        ...

        * notification/conf/Attributes.java,
        notification/conf/Default.java: harmonized slightly different
        constant names

        * notification/AbstractMessage.java (getType): fixed javadoc

        * notification/AbstractEventChannel.java (configure): removed
        unused method

2005-04-23  Phil Mesnier  <phil.mesnier@ociweb.com>

        * orb/giop/ClientConnection.java: Set the Input stream's codeset
        upon receipt of a reply message

        * orb/giop/CodeSet.java: Corrected spelling of ISO-8859-1 codeset
        converter for use by the CDRInputStream

        * orb/CDRInputStream.java, orb/CDROutputStream.java: corrected the
        char/string conversion between native and transmitted codesets

2005-04-22  Andre Spiegel  <spiegel@gnu.org>

        * orb/Delegate.java (request): If the codesets have not been
        negotiated yet, don't add the service context here, because this
        request might not actually be the first one on the wire.  The
        codeset service context is now added immediately before sending
        the request, in RequestOutputStream.write_to().

        This race condition was identified by Phil Mesnier.

        * orb/giop/ClientConnection.java (setCodeSet): Don't return a
        service context; this is deferred until later now.

        * orb/giop/RequestOutputStream.java (write_to): Overridden to add
        a codeset service context if this is the first request on the
        connection.

        * orb/giop/GIOPConnection.java (setCodeSets): Don't set
        tcs_negotiated yet; this must be done by a separate call to
        markTCSNegotiated() now.

        * orb/giop/ServerRequestListener.java (requestReceived): Call
        markTCSNegotiated() when setting codesets; just for
        completeness (it shouldn't really be necessary on the server
        side).

2005-04-21  Andre Spiegel  <spiegel@gnu.org>

        * orb/Delegate.java (request): Clarify comment on CodeSet Negotiation.

2005-04-17  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/util/AbstractPoolablePool.java: moved class

        * notification/util/AbstractObjectPool.java: changed default values

        * notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java: converted
        PushOperation classes to nested classes. this reduces code
        duplication

        * notification/servant/AbstractProxySupplier.java (dispose):
        execute empty task to clean ClockDaemon Heap.
        (handleFailedPushOperation): added check if Proxy is already
        destroyed

        * notification/interfaces/MessageConsumer.java (destroy): added
        method
        (dispose): removed method

        * notification/impl/DefaultMessageFactory.java (anyMessagePool_,
        typedMessagePool_, structuredMessagePool_): extend
        AbstractPoolablePool so that instances are reset as they are
        returned to the pool. otherwise GC'ing is not possible

        * notification/engine/MessagePushOperation.java:
        changed classes to member classes. this reduces code duplication

        * notification/engine/TimerDeliverTask.java,
        notification/engine/TaskProcessorRetryStrategyFactory.java:
        cosmetics

        * notification/engine/TaskProcessorRetryStrategy.java
        (retryPushOperation_, enableMessageConsumer_): added checks if
        messageConsumer is still valid

        * notification/engine/PushAnyOperation.java,
        notification/engine/PushSequenceOperation.java,
        notification/engine/PushStructuredOperation.java,
        notification/engine/PushTypedOperation.java: changed classes to
        member classes. this reduces code duplication

        * notification/engine/FilterProxySupplierTask.java (reset):
        arrayCurrentFilterStage is reset in superclass cosmetics

        * notification/engine/DefaultTaskProcessor.java: cosmetics

        * notification/engine/DefaultTaskFactory.java:
        moved AbstractPoolablePool to util package

        * notification/engine/AlwaysDisposeRetryStrategy.java (retryInternal):
        need to invoke destroy on MessageConsumer to really free all ressources

        * notification/engine/AbstractTask.java: cosmetics

        * notification/engine/AbstractRetryStrategy.java
        (remoteExceptionOccured): need to invoke destroy on
        MessageConsumer to really free all ressources

        * notification/engine/AbstractPoolablePool.java: moved to util package

        * notification/engine/AbstractFilterTask.java (reset):
        reset all members to allow GC'ing renamed variables

2005-04-16  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/impl/PoolingEvaluationContextFactory.java (configure):
        removed unused method

        * notification/engine/AbstractPoolablePool.java (C'tor):
        maximum size is unlimited

        * notification/util/AbstractObjectPool.java:
        added option to control maximum size

        * notification/util/AbstractPoolable.java (configure):
        removed unused method

        * notification/queue/BasicMessageQueueAdapter.java,
        notification/queue/MessageQueueAdapter.java,
        notification/queue/RWLockEventQueueDecorator.java (clear): new
        method to release (=dispose) contents of queue

        * notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java
        (deliverMessagesInternal): added this param to C'tor of PushOperations

        * notification/servant/AbstractProxySupplier.java (connectClient):
        made method public for testing (dispose): clear pendingMessages queue

        * notification/impl/DefaultMessageFactory.java (addDisposeHook):
        fixed compiler warning

        * notification/engine/DefaultTaskProcessor.java (scheduleTimedPushTask):
        setTaskExecutor for TimedPushTask

        * notification/engine/AbstractRetryStrategy.java
        (remoteExceptionOccured): added log statement

        * notification/engine/MessagePushOperation.java,
        notification/engine/PushAnyOperation.java,
        notification/engine/PushSequenceOperation.java,
        notification/engine/PushStructuredOperation.java,
        notification/engine/PushTypedOperation.java (C'tor): added
        MessageConsumer param
        (invokePush): reset MessageConsumer error
        counter after successful push

        * notification/engine/TimerDeliverTask.java (reset):
        fixed compiler warning

        * notification/engine/AbstractMessageTask.java:
        removed superfluous member 'removed_'

        * notification/StructuredEventMessage.java (toString):
        modified toString representation

2005-04-13  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/TypedEventChannelFactoryImpl.java: whitespace

        * notification/EventTypeSet.java (eventTypeSetModified_): renamed
        from setModified_
        (changeSet): modify eventTypeSet_ inside of synchronized block

        * notification/EventChannelFactoryImpl.java (create_channel):
        fixed javadoc

        * notification/AbstractChannelFactory.java (create_channel_servant):
        log statement

2005-04-10  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/TypedEventChannelFactoryImpl.java,
        notification/TypedEventChannelImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java: fixed problems
        found in setup code

        * notification/util/AdminPropertySet.java,
        notification/util/PropertySet.java,
        notification/util/PropertySetAdapter.java,
        notification/util/QoSPropertySet.java: cleaned up PropertySet code
        (PropertySetAdapter): new adapter class that is a empty
        implementations for PropertySetListener

        * notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminImpl.java: code cleanup: removed
        deprecated methods, fixed compiler warnings (proxysuppliers): are
        comparable now

        * notification/servant/ManageableServant.java: code cleanup:
        removed deprecated methods, fixed compiler warnings

        * notification/servant/FilterStageListManager.java (sortCheckedList):
        new extension point to allow list to be sorted with a custom comparator

        * notification/servant/ConsumerAdminImpl.java: code cleanup:
        removed deprecated methods, fixed compiler warnings

        * notification/servant/AbstractProxySupplier.java: code cleanup:
        removed deprecated methods, fixed compiler warnings
        (compareTo, getCost): implement Comparable IF

        * notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java: code cleanup: removed
        deprecated methods, fixed compiler warnings

        * notification/interfaces/MessageConsumer.java (MessageConsumer):
        extends Comparable

        * notification/filter/AbstractFilter.java,
        notification/filter/FilterFactoryImpl.java,
        notification/filter/MappingFilterImpl.java: clean up of garbage
        collector code

        * notification/container/PicoContainerFactory.java
        (createRootContainer): register CA to resolve Repository
        (dumpDependencies): helper method for debugging

        * notification/conf/Attributes.java,
        notification/conf/Default.java
        (RETRY_STRATEGY_FACTORY): renamed property value
        (WILDCARDMAP_CLASS): renamed property value

        * notification/TODO.txt: add id tag

        * notification/AbstractChannelFactory.java,
        notification/AbstractEventChannel.java,
        notification/EventChannelFactoryImpl.java,
        notification/StructuredEventMessage.java: code cleanup: removed
        deprecated methods, fixed compiler warnings

2005-03-31  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/filter/AbstractFilter.java,
        notification/filter/DefaultFilterFactoryDelegate.java,
        notification/filter/FilterFactoryImpl.java,
        notification/filter/MappingFilterImpl.java (*): use Decorator to
        keep track of Filter Usage. added thread that disposes filters
        that have not been used for some time.

        * notification/filter/CallbackManager.java (detach_callback):
        added parentheses

        * notification/filter/AbstractFilterUsageDecorator.java,
        notification/filter/FilterUsageDecorator.java,
        notification/filter/MappingFilterUsageDecorator.java: new classes
        that decorate a Filter or MappingFilter and keep track of usage.

        * notification/util/LogUtil.java (getLogger): added convenience method.

        * notification/interfaces/GCDisposable.java: added new interface

        * notification/conf/Attributes.java, notification/conf/Default.java:
        added attributes to control garbarge collection of filters

2005-03-28  Gerald Brose  <gerald.brose@acm.org>

        * idl/ArrayTypeSpec.java, idl/NameTable.java, idl/ReplyHandler.java:
        (ScopedName.defined) renamed to isDefined()

        * idl/ScopedName.java: (resolvedName) fixed Bug541
        (defined) renamed to isDefined()

2005-03-27  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/CDROutputStream.java
        Commit a slightly improved version of John Farrel's fix for bug #532.

2005-03-25  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/FilterFactoryImpl.java,
        notification/container/FilterFactoryComponentAdapter.java,
        notification/filter/DefaultFilterFactoryDelegate.java,
        notification/filter/FilterFactoryImpl.java,
        notification/filter/IFilterFactoryDelegate.java (FilterFactoryImpl):
        split in Impl and Delegate and introduced internal interface

        * notification/filter/AbstractFilter.java (ConstraintIterator):
        factored out common code

2005-03-25  Benoit Pelletier  <benoit.pelletier@objectweb.org>

        * orb/Delegate.java: (is_a): Fix stub suffix ("Stub"->"_Stub"),
        fixing bug #585.  Allow the load of stub with 'org.omg.stub'
        prefix, fixing bug #586.

        * orb/config/Configuration.java: Remove print message when
        jacorb.properties is not found in '.' dir, fixing bug #587.

        * orb/dynany/DynAny.java,
        orb/dynany/DynAnyFactoryImpl.java,
        orb/dynany/DynArray.java,
        orb/dynany/DynEnum.java,
        orb/dynany/DynSequence.java,
        orb/dynany/DynStruct.java,
        orb/dynany/DynUnion.java:
        Pass the right ORB instance to DynXxx instance, fixing bug #584.

2005-03-20  Alphonse Bendt  <alphonse.bendt@it-fws.de>

        * notification/queue/BoundedFifoEventQueue.java (*Test): added
        tests to see if getAllMessages really removes all fetched elements
        from the queried queue.
        (BoundedFifoEventQueue.getAllMessages): bugfix. fetched elements
        were not removed from the queue. This causes messages to be
        delivered multiple times.  Thanks to Ling Yun for reporting
        (http://lists.spline.inf.fu-berlin.de/pipermail/jacorb-developer/2005-March/007168.html)

2005-03-08  Andre Spiegel  <spiegel@gnu.org>

        * idl/UnionType.java, idl/ValueBoxDecl.java (printHelperClass):
        Drop a superfluous semicolon, fixing bug #550.

2005-03-04  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/SASClientInterceptor.java,
        security/sas/SASTargetInterceptor.java: If Context Id not found in
        ContextInMessage, send a ContextError with Major error code of 2
        then Client will throw a ForwardRequest back to the object

2005-03-02  Andre Spiegel  <spiegel@gnu.org>

        * orb/ReplyReceiver.java (replyReceived): Grab pending_replies
        lock early.  Suggested by Brian Olson, fixing bug #574.

2005-02-20  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/DefaultTaskProcessor.java,
        notification/engine/TimerDeliverTask.java: fixed wrong inheritance
        for TimerDeliverTask

        * notification/conf/Attributes.java,
        notification/conf/Default.java: new attributes

        * notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java: changed
        ProxySuppliers to *always* enqueue message to avoid that
        TaskExecutors grow without limit (ignoring maxeventsperconsumer
        setting). problem and suggested fix reported by John Farrell and
        Darryl Collins (cat.com).

        * notification/servant/AbstractProxySupplier.java:
        (getRetryStrategy) renamed to newRetryStrategy and use Factory to
        create RetryStrategy.
        (enqueue) copy Message before its put into queue
        (deliverMessage) always enqueue

        * notification/engine/AbstractRetryStrategy.java,
        notification/engine/AlwaysDisposeRetryStrategy.java,
        notification/engine/AlwaysDisposeRetryStrategyFactory.java,
        notification/engine/RetryStrategy.java,
        notification/engine/RetryStrategyFactory.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/engine/TaskProcessorRetryStrategyFactory.java,
        notification/engine/WaitRetryStrategy.java,
        notification/engine/WaitRetryStrategyFactory.java: created
        Interfaces RetryStrategy and RetryStrategyFactory.  adapted
        existing Retry Code to new Structure.

        * notification/queue/BasicMessageQueueAdapter.java: removed
        exception from method declaration

2005-02-14  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/util/AbstractObjectPool.java,
        notification/util/AbstractPoolable.java,
        notification/util/AdminPropertySet.java,
        notification/util/CachingWildcardMap.java,
        notification/util/CollectionsWrapper.java,
        notification/util/DefaultWildcardMap.java,
        notification/util/DisposableManager.java,
        notification/util/EventTypeUtil.java,
        notification/util/GNUPatternWrapper.java,
        notification/util/JDK14PatternWrapper.java,
        notification/util/JakartaRegexpPatternWrapper.java,
        notification/util/LogUtil.java,
        notification/util/PatternWrapper.java,
        notification/util/PropertySet.java,
        notification/util/QoSPropertySet.java,
        notification/util/WeakCacheWildcardMap.java,
        notification/util/WeakHashSet.java,
        notification/util/WildcardMap.java: new class WeakHashSet. code
        cleanup

        * notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/AbstractSupplierAdmin.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/FilterStageListManager.java,
        notification/servant/IAdmin.java,
        notification/servant/IEventChannel.java,
        notification/servant/ISupplierAdmin.java,
        notification/servant/ITypedAdmin.java,
        notification/servant/ITypedEventChannel.java,
        notification/servant/ITypedProxy.java,
        notification/servant/ManageableServant.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java: refactoring:
        replaced selfwritten object configuration code with
        picocontainer. bugfixing.

        * notification/queue/AbstractBoundedEventQueue.java,
        notification/queue/BasicMessageQueueAdapter.java,
        notification/queue/BoundedDeadlineEventQueue.java,
        notification/queue/BoundedFifoEventQueue.java,
        notification/queue/BoundedPriorityEventQueue.java,
        notification/queue/EventQueue.java,
        notification/queue/EventQueueFactory.java,
        notification/queue/EventQueueFactoryDependency.java,
        notification/queue/EventQueueOverflowStrategy.java,
        notification/queue/HeapEntry.java,
        notification/queue/MessageQueue.java,
        notification/queue/MessageQueueAdapter.java,
        notification/queue/QueueUtil.java,
        notification/queue/RWLockEventQueueDecorator.java: refactored
        queue package. renamed some classes. fix of bug #544

        * notification/interfaces/AbstractPoolable.java,
        notification/interfaces/AdminEvent.java,
        notification/interfaces/AdminEventListener.java,
        notification/interfaces/CallbackingDisposable.java,
        notification/interfaces/Controllable.java,
        notification/interfaces/Disposable.java,
        notification/interfaces/EvaluationContextFactory.java,
        notification/interfaces/Message.java,
        notification/interfaces/MessageConsumer.java,
        notification/interfaces/ProxyCreationRequestEvent.java,
        notification/interfaces/ProxyDisposedEvent.java: updated internal
        interfaces

        * notification/impl/DefaultEvaluationContextFactory.java,
        notification/impl/DefaultMessageFactory.java,
        notification/impl/PoolingEvaluationContextFactory.java: moved
        default service implementation into own package

        * notification/filter/impl/DefaultETCLEvaluator.java,
        notification/filter/etcl/AbstractTCLNode.java,
        notification/filter/etcl/AbstractTCLVisitor.java,
        notification/filter/etcl/AndOperator.java,
        notification/filter/etcl/ArrayOperator.java,
        notification/filter/etcl/AssocOperator.java,
        notification/filter/etcl/BinaryOperator.java,
        notification/filter/etcl/BoolValue.java,
        notification/filter/etcl/ComponentPositionOperator.java,
        notification/filter/etcl/CurrentTimeNode.java,
        notification/filter/etcl/DivOperator.java,
        notification/filter/etcl/DomainNameShorthandNode.java,
        notification/filter/etcl/DotOperator.java,
        notification/filter/etcl/ETCLComponentName.java,
        notification/filter/etcl/ETCLFilter.java,
        notification/filter/etcl/ETCLFilterConstraint.java,
        notification/filter/etcl/EqOperator.java,
        notification/filter/etcl/EventNameShorthandNode.java,
        notification/filter/etcl/GtOperator.java,
        notification/filter/etcl/GteOperator.java,
        notification/filter/etcl/IdentValue.java,
        notification/filter/etcl/ImmutableEvaluationResult.java,
        notification/filter/etcl/ImplicitOperator.java,
        notification/filter/etcl/ImplicitOperatorNode.java,
        notification/filter/etcl/InOperator.java,
        notification/filter/etcl/LtOperator.java,
        notification/filter/etcl/LteOperator.java,
        notification/filter/etcl/MessageUtils.java,
        notification/filter/etcl/MinusOperator.java,
        notification/filter/etcl/MultOperator.java,
        notification/filter/etcl/NeqOperator.java,
        notification/filter/etcl/NotOperator.java,
        notification/filter/etcl/NumberValue.java,
        notification/filter/etcl/OrOperator.java,
        notification/filter/etcl/PlusOperator.java,
        notification/filter/etcl/PropertyShorthandNode.java,
        notification/filter/etcl/StaticTypeChecker.java,
        notification/filter/etcl/StaticTypeException.java,
        notification/filter/etcl/StringValue.java,
        notification/filter/etcl/SubstrOperator.java,
        notification/filter/etcl/TCLCleanUp.java,
        notification/filter/etcl/TypeNameShorthandNode.java,
        notification/filter/etcl/UnaryOperator.java,
        notification/filter/etcl/VisitorException.java,
        notification/filter/bsh/BSHFilter.java,
        notification/filter/bsh/build.xml,
        notification/filter/AbstractFilter.java,
        notification/filter/CallbackManager.java,
        notification/filter/ConstraintEntry.java,
        notification/filter/DynamicEvaluator.java,
        notification/filter/ETCLEvaluator.java,
        notification/filter/EvaluationContext.java,
        notification/filter/EvaluationResult.java,
        notification/filter/EventTypeIdentifier.java,
        notification/filter/FilterConstraint.java,
        notification/filter/FilterUtils.java,
        notification/filter/MappingFilterImpl.java,
        notification/filter/ParseException.java: moved etcl filter stuff
        into own package. replaced old configuration mechanism with
        picocontainer

        * notification/engine/AbstractDeliverTask.java,
        notification/engine/AbstractFilterTask.java,
        notification/engine/AbstractMessageTask.java,
        notification/engine/AbstractPoolablePool.java,
        notification/engine/AbstractTask.java,
        notification/engine/AbstractTaskPool.java,
        notification/engine/DefaultTaskExecutor.java,
        notification/engine/DefaultTaskFactory.java,
        notification/engine/DefaultTaskProcessor.java,
        notification/engine/FilterConsumerAdminTask.java,
        notification/engine/FilterProxyConsumerTask.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/FilterSupplierAdminTask.java,
        notification/engine/MessagePushOperation.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/PushAnyOperation.java,
        notification/engine/PushSequenceOperation.java,
        notification/engine/PushStructuredOperation.java,
        notification/engine/PushToConsumerTask.java,
        notification/engine/PushTypedOperation.java,
        notification/engine/RetryStrategy.java,
        notification/engine/Schedulable.java,
        notification/engine/TaskExecutor.java,
        notification/engine/TaskFactory.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TaskProcessorDependency.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/engine/TimerDeliverTask.java,
        notification/engine/WaitRetryStrategy.java: created interface
        classes for TaskExecutor and TaskProcessor. made member variables
        final where possible.

2005-02-13  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/container/CORBAObjectComponentAdapter.java,
        notification/container/ConfigurationComponentAdapter.java,
        notification/container/DisposeLifecycleVisitor.java,
        notification/container/DynAnyFactoryComponentAdapter.java,
        notification/container/FilterFactoryComponentAdapter.java,
        notification/container/NonCachingRememberingComponentAdapter.java,
        notification/container/POAComponentAdapter.java,
        notification/container/PerProxyPushTaskExecutorComponentAdapter.java,
        notification/container/PicoContainerFactory.java,
        notification/container/RepositoryComponentAdapter.java,
        notification/container/ThreadPoolTaskExecutorComponentAdapter.java:
        new picocontainer configuration mechanism

        * notification/conf/Attributes.java, notification/conf/Default.java:
        new property

        * notification/AbstractChannelFactory.java,
        notification/AbstractEventChannel.java,
        notification/AbstractFilter.java,
        notification/AbstractMessage.java, notification/AnyMessage.java,
        notification/ApplicationContext.java,
        notification/ChannelContext.java,
        notification/ChannelContextDependency.java,
        notification/ChannelManager.java,
        notification/CollectionsWrapper.java,
        notification/ConsoleMain.java, notification/ConstraintEntry.java,
        notification/Dependant.java,
        notification/EventChannelDependency.java,
        notification/EventChannelFactoryDependency.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventChannelImpl.java,
        notification/EventTypeIdentifier.java,
        notification/EventTypeSet.java,
        notification/EventTypeWrapper.java,
        notification/FilterFactoryImpl.java,
        notification/FilterManager.java, notification/IContainer.java,
        notification/IFactory.java, notification/MappingFilterImpl.java,
        notification/MessageFactory.java,
        notification/MessageFactoryDependency.java,
        notification/NoTranslationException.java,
        notification/OfferManager.java,
        notification/StructuredEventMessage.java,
        notification/SubscriptionManager.java, notification/TODO.txt,
        notification/TypedEventChannelFactoryImpl.java,
        notification/TypedEventChannelImpl.java,
        notification/TypedEventMessage.java, notification/build.xml:
        refactoring: replaced selfwritten object configuration code with
        picocontainer. bugfixing.

2005-02-09  Andre Spiegel  <spiegel@gnu.org>

        Patch by Jimmy Wilson to make the MessageReceptorPool size
        configurable via the new property jacorb.connection.max_threads.
        This fixes bug #568.

        * orb/giop/MessageReceptorPool.java (ctor, getInstance): Take a
        Configuration argument.
        (MAX_DEFAULT, maxConnectionThreads): New instance fields.

        * orb/BasicAdapter.java (configure): Pass Configuration to
        MessageReceptorPool ctor.

        * orb/giop/ClientConnectionManager.java (ctor, configure): Move
        creation of the MessageReceptorPool from the former to the latter
        to allow configuration.

        * imr/ImplementationRepositoryImpl.java (SocketListener.ctor,
        SocketListener.configure): Move creation of the
        MessageReceptorPool from the former to the latter to allow
        configuration.

2005-02-04  Andre Spiegel  <spiegel@gnu.org>

        * orb/ReplyReceiver.java (doRebind): Use a finally clause to
        re-open the barrier, fixing bug #566.  Suggested by Brian Olson.

2005-01-28  Andre Spiegel  <spiegel@gnu.org>

        * ir/IdlWriter.java (printEnum, printStruct, printUnion): Avoid
        null pointer reference in the error message when a type is not
        found, fixing bug #558.  Suggested by Sotohiro Terashima.

        * ir/QueryIR.java (main): Exit when IR is not found, fixing bug
        #558.  Suggested by Sotohiro Terashima.

        * orb/ReplyReceiver.java (replyReceived): Change synchronization
        pattern to prevent deadlock, fixing bug #562.  Suggested by Jimmy
        Wilson.

2004-12-20  Simon McQueen  <sm@prismtechnologies.com>

        * orb/standardInterceptors/CodeSetInfoInterceptor.java,
        orb/iiop/IIOPListener.java: Removed spurious debugging code.

2004-12-11  Andre Spiegel  <spiegel@gnu.org>

        * poa/RequestProcessor.java (invokeIncarnate, invokeOperation):
        For unexpected Throwables, log the stack trace along with the
        exception name. Raise the log level for these events from "warn"
        to "error". This was suggested by Alec Cawley and Christoper
        McDermott.

        * orb/portableInterceptor/ClientRequestInfoImpl.java (ctor):
        Remove no-arg constructor, it is not used.

        * util/threadpool/ThreadPool.java (getJob, putJob): Apply patch by
        Marcel Gosselin, fixing bug #445.

2004-11-24  Nicolas Noffke  <nicolas.noffke@web.de>

        * security/ssl/sun_jsse/KeyStoreUtil.java: bug #489 now loading
        from classpath first to be able to run in an unsigned applet.

        * config/Configuration.java (getConfiguration, <c'tor>): bug #489:
        added boolean param "isApplet", added methid initApplet() that
        avoids accessing files and system properties.

        * orb/ORB.java (set_parameters): bug #489: adapted to new
        interface of jacorb Configuration class

        * config/Configuration.java (loadPropertiesFromClassPath): replaced
        ClassLoader.getSystemResource() by
        Thread.currentThread().getContextClassLoader().getResource() to be
        able to resolve property files from custom jar files e.g. in
        applets.

2004-11-18  Andre Spiegel  <spiegel@gnu.org>

        * util/Version.java: Bump version number to 2.2.1 (the
        release still identifies itself as 2.2).

2004-11-18  Andre Spiegel  <spiegel@gnu.org>

        * orb/SystemExceptionHelper.java (read): If there is an
        ExceptionDetailMessage service context in the input stream, use it
        to construct the exception's detail message.

        * poa/RequestProcessor.java (invokeOperation): For run-time
        exceptions thrown by the Servant, use e.toString() rather than
        e.getMessage() to provide the detail message for
        org.omg.CORBA.UNKNOWN.  This means that the exception name will be
        reported along with the message.

        * orb/giop/ReplyInputStream.java (getServiceContext): New method.

        * orb/dsi/ServerRequest.java (createExceptionDetailMessage): New
        method.
        (setSystemException): Use it to add a service context for the
        exception's message.

2004-11-18  Nicolas Noffke  <nicolas.noffke@web.de>

        * orb/factory/SocketFactoryManager.java: changed to use single
        string constructor of RuntimeException to sustain jdk1.3 support

        * orb/ORB.java (set_parameters): factorized out common
        initialization code for applet and "normal" orbs into new method
        internalInit()

        removed unused/old applet stuff

        * security/ssl/sun_jsse/KeyStoreUtil.java: added support for
        loading keystores through the context classloader (e.g. for
        applets)

        * security/ssl/sun_jsse/build.xml: removed
        ServerInvocationInterceptor patch/unpatch - doesn't seem to be
        needed

        * security/ssl/sun_jsse/ServerInvocationInterceptor.java.patch:
        not needed anymore

        * security/ssl/sun_jsse/SSLServerSocketFactory.java.patch: updated
        to match current version of java file

        * security/ssl/sun_jsse/SSLServerSocketFactory.java
        (createServerSocket): if request_mutual_auth using
        setWantClientAuth() instead of setNeedClientAuth()

        * security/ssl/sun_jsse/SSLSocketFactory.java.patch: adapted to
        current version of the java file

        * security/ssl/sun_jsse/SSLSocketFactory.java
        (createSocketFactory): removed commented out line
        "Security.addProvider..."

2004-11-02  Gerald Brose  <gerald.brose@acm.org>

        * Version 2.2.1 released.

2004-11-02  Simon McQueen  <sm@prismtechnologies.com>

        * security/ssl/sun_jsse/SSLSocketFactory.java: Revert SSLContext
        protocol to TLS and remove explicit enabling of SSLv3 only on the
        socket.  The new property jacorb.security.ssl.client.protocols can
        be used to set this if needed.

2004-10-29  Simon McQueen  <sm@prismtechnologies.com>

        * security/ssl/sun_jsse/SSLServerSocketFactory.java,
        security/ssl/sun_jsse/SSLSocketFactory.java: Added two new
        configuration properties:
        jacorb.security.ssl.client/server.protocols - to control the
        protocols enabled on the socket.
        jacorb.security.ssl.client/server.trust_manager - to allow a user
        defined trust manger to be used.  Thanks to Jay Colson for
        providing the original patch.

        * orb/iiop/IIOPListener.java (configure): Add default value for
        property to prevent configuration exception when no properties
        file used.

2004-10-29  Andre Spiegel  <spiegel@gnu.org>

        * config/Configuration.java (init): Load system properties again
        after properties files have been read, so that command-line args
        take precedence.

2004-10-29  Simon McQueen  <sm@prismtechnologies.com>

        * poa/POAManager.java (ctr): The POAManagerMonitor must be
        configured. This fixes bug # 531.  Thanks to Mauritz Lovgren for
        raising the bug.

2004-10-28  Andre Spiegel  <spiegel@gnu.org>

        * poa/RPPoolManager.java: Changes to fix race condition when
        destroying the pool manager, fixing bug #530.
        (activeProcessors): New field.
        (getProcessor, releaseProcessor): Update the list of
        activeProcessors accordingly.
        (init): Initialize activeProcessor list.
        (destroy): Wait for all active processors to return.

2004-10-26  Andre Spiegel  <spiegel@gnu.org>

        * orb/CDRInputStream.java (read_string): Uncomment check for
        NUL-terminated strings, fixing regression test failure
        testGIOP_1_2_CorrectFragmentedRequest.

2004-10-21  Francisco Reverbel  <reverbel@ime.usp.br>

        * security/ssl/sun_jsse/SSLSocketFactory.java:
          - SSLSocketFactory is now using "SSLv3" instead of "TLS". The call

            Security.addProvider( new com.sun.net.ssl.internal.ssl.Provider() );

            was removed from SSLSocketFactory. These changes solved an SSL
            handshaking problem in the J2EE CTS. Perhaps they should be
            configurable?

        * orb/ParsedIOR.java:
          - Method parse_corbaloc does not use the object key map anymore.
            Should this be configurable? I don't think so, but may be missing
            something...

        * orb/iiop/IIOPListener.java:
          - If there is an sslAcceptor, the previous version of the method
            createEndPointProfile always adds a component with TAG_SSL_SEC_TRANS
            to the new IIOPProfile. The new version also looks at the config
            property jacorb.security.ssl_components_added_by_ior_interceptor.
            If the property is set, createEndPoingtProfile does not add
            the SSL component to the IIOPProfile.

        * orb/iiop/IIOPProfile.java:
          - Method getSSLPort looks also at the CSIv2 component, which is
            tagged with TAG_CSI_SEC_MECH_LIST.

        * orb/util/PrintIOR.java:
          - Minor improvements in the method that prints a CSIv2 target
            name (printNTExportedName) and in the one that prints the
            alternate IIOP address (printAlternateAddress).

        * poa/POA.java:
          - POA stores the value the new POA policy SSLPolicy (which is
            either SSL_REQUIRED or SSL_NOT_REQUIRED) and has new public
            method isSSLRequired().

        * orb/ORB.java:
          - Implement the deprecated methods connect(obj) and
            disconnect(obj), because the server-side programming model
            traditionally used by RMI/IIOP strongly relies on them.

          - Method createIOR changed so that it sets to 0 the primary
            address port in the IIOP profile of an IOR created by a POA
            whose SSLPolicy is SSL_REQUIRED.

        * security/ssl/build.xml:
          - Added ant target for compilation of new files
            src/org/jacorb/security/ssl/SSLPolicyFactory.java and
            src/org/jacorb/security/ssl/SSLPolicyImpl.java.

        * security/ssl/SSLPolicyFactory.java, security/ssl/SSLPolicyImpl.java:
          - Added new JacORB-specific POA policy that serves the purpose
            of allowing SSL requirements to be specified in a per-POA basis.

        * orb/CDROutputStream.java:
          - Handle java.lang.Class instances as a special case, as
            mandated by the spec.

          - Call ValueHandler.writeReplace only once for each RMI value
            marshalled, even in the presence of recursion.

          - Look at the value returned by ValueHandler.writeReplace and
            marshall it using an indirection if possible. It
            ValueHandler.writeReplace returns an org.omg.CORBA.Object,
            then marshal this object as an IOR.

        * orb/CDRInputStream.java:
          - Handle java.lang.Class instances as a
            special case, as mandated by the spec.

2004-10-18  Simon McQueen  <sm@prismtechnologies.com>

        * ir/Contained.java, ir/ExceptionDef.java, ir/IRServer.java,
        ir/InterfaceDef.java, ir/StructDef.java, ir/TypeCodeUtil.java,
        ir/UnionDef.java, orb/Delegate.java, orb/TypeCode.java: Java 1.5.0
        compatibility changes. Suppress some varargs warnings.

        * collection/util/Cach.java, concurrency/LockSetFactoryImpl.java,
        concurrency/TransactionCoordinator.java,
        concurrency/TransactionalLockSetImpl.java,
        idl/IDLTreeVisitor.java, idl/UnionType.java, idl/ValueDecl.java,
        idl/javamapping/JavaMappingGeneratingVisitor.java,
        orb/dynany/DynUnion.java,
        orb/portableInterceptor/ORBInitInfoImpl.java, poa/POA.java,
        poa/RequestController.java, collection/CollectionImpl.java: Java
        1.5.0 compatibility changes. Replace use of 'enum' as variable
        name and qualify use of class 'State' to avoid confusion with
        java.lang.State.

        * orb/factory/SocketFactoryManager.java (getFactory): Configure
        SocketFactory instances iff they are Configurable (as
        PortRangeSocketFactory is).  This fixes bug # 522. Thanks to
        Johannes Stamminger for raising the bug.

2004-10-07  Simon McQueen  <sm@prismtechnologies.com>

        * orb/BufferManager.java (getBuffer): Nullify cached bufferMax
        when the it's been given out to prevent another thread getting
        hold of it and / or utter carnage when handling multiple nested
        larged anys.

        Thanks to John Farrell for suggesting this.

2004-09-23  Simon McQueen  <sm@prismtechnologies.com>

        * config/Configuration.java (getAttributeAsBoolean x 2): Added
        trim()'s because of a very frustrating afternoon caused by a rogue
        trailing space.

        * orb/factory/PortRangeServerSocketFactory.java,
        orb/factory/PortRangeSocketFactory.java (configure): Amended so
        that you can specify a range of 1 port (i.e. MIN_PROP ==
        MAX_PROP).

        Thanks to Jay Colson for the report.

2004-09-13  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/SASTargetInterceptor.java: Reply service context
        was being overritten

2004-09-02  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/AbstractProxy.java (diposeInProgress_): new
        member to indicate shutdown
        (dispose): set disposeInProgress_ as first action
        (isConnected): only return true if dispose is not in progress
        (tryDisconnectClient): check disposeInProgress_ instead of
        isConnected(). otherwise consumer would not be disconnected

2004-08-27  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/PushToConsumerTask.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java
        (PushToConsumerTask): do not reset error counter here
        (*PushSupplierImpl): reset error counter after remote push was
        invoked successfully

        this should fix a bug where dead consumer were not properly
        disconnected from the channel

        http://lists.spline.inf.fu-berlin.de/pipermail/jacorb-developer/2004-August/006737.html

        thanks to John Farrell for reporting

2004-08-26  Simon McQueen  <sm@prismtechnologies.com>

        * orb/iiop/IIOPProfile.java: Oops. Cut and paste error in previous fix.

        * orb/iiop/IIOPProfile.java (equals): Fix for bug #507. No account
        was taken of SSL listen port when comparing profiles.

        Thanks to Norrie Quinn for suggesting a fix.

2004-08-25  Simon McQueen  <sm@prismtechnologies.com>

        * orb/util/PrintIOR.java (printIOR): Use the new method
        getOriginalHost rather than getHostname to display the actual
        contents of the profile's host string.

        * orb/IIOPAddress.java (getOriginalHost): Added this method for
        use by org.jacorb.orb.util.PrintIOR so that it can print what is
        actually encoded as the host string in an IOR.

        * orb/etf/StreamConnectionBase.java:
        Careless last minute change had broken compilation.

        * config/Configuration.java, orb/ParsedIOR.java, orb/build.xml,
        orb/etf/ConnectionBase.java, orb/etf/FactoriesBase.java,
        orb/etf/ListenerBase.java, orb/etf/ProfileBase.java,
        orb/etf/StreamConnectionBase.java,
        orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPConnection.java,
        orb/iiop/IIOPFactories.java, orb/iiop/IIOPListener.java,
        orb/iiop/IIOPProfile.java, orb/iiop/ServerIIOPConnection.java,
        orb/portableInterceptor/ClientRequestInfoImpl.java: Created
        abstract base classes for ETF implementations and made the IIOP
        implementation derive from them.

2004-08-19  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/jmx/EventChannelFactoryControl.java,
        notification/jmx/EventChannelFactoryMBean.java,
        notification/jmx/JMXMain.java: code cleanup  added IOR and
        Corbaloc Attributes

        * notification/FilterFactoryImpl.java:
        (ctor) removed exception from signature (loadFilterPlugins) use
        ObjectUtil to load classes

        * notification/build.xml,
        notification/jmx/EventChannelFactoryControl.java,
        notification/jmx/EventChannelFactoryMBean.java,
        notification/jmx/JMXMain.java:
        (*.java) initial work for a mgmt facility based on
        JMX (build.xml) exclude from build for now

        * notification/servant/AbstractProxySupplier.java:
        (handleFailedPushOperation) dispose retry operation in case it fails

        * notification/engine/TaskProcessorRetryStrategy.java: javadoc

        * notification/AbstractChannelFactory.java,
        notification/FilterFactoryImpl.java: moved FilterFactoryImpl class
        to the ManageableServant IF and fixed Refs in
        AbstractChannelFactory

        * notification/util/AbstractObjectPool.java:
        (stopListCleaner) empty the cached array to allow cached elements
        to be GC'ed

2004-08-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/DefaultTaskProcessor.java,
        notification/engine/TaskExecutor.java: allow pull worker threads
        to die

        * notification/ApplicationContext.java: comment out unused field

        * notification/servant/AbstractProxySupplier.java: cleanup

        * notification/util/AbstractObjectPool.java: organized imports

        * notification/servant/StructuredProxyPushSupplierImpl.java:
        (disconnect) instead of setting pushConsumer_ to null set to
        NULL_CONSUMER

        * notification/servant/AbstractProxy.java:
        (checkDisposalstatus) do not throw OBJECT_NOT_EXIST

        * notification/queue/EventQueue.java: added javadoc

        * notification/interfaces/MessageConsumer.java:
        commented out unused methods

        * notification/engine/RetryStrategy.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/engine/WaitRetryStrategy.java: cleanup

        * notification/engine/PushStructuredOperation.java: replaced class
        StructuredPushConsumer with IF StructuredPushConsumerOperations

        * notification/engine/FilterProxySupplierTask.java,
        notification/engine/FilterConsumerAdminTask.java:
        (doWork, filter) dispose message if no ProxySuppliers are
        connected

        * notification/engine/AbstractTask.java:
        (dipose) implement in this class. Call reset on dispose so that
        referenced resources are freed

2004-08-16  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/util/AbstractObjectPool.java:
        (ListCleaner) longer interval between runs. use Array instead of
        Iterator as the overuse of Iterator seemed to cause a memory
        problem

2004-08-14  Andre Spiegel  <spiegel@gnu.org>

        * orb/CDROutputStream.java (write_repository_id,
        write_special_value, write_codebase, writeRecursiveTypeCode): Fix
        the calculation of indirection offsets according to John Farrell's
        investigation -- use size() rather than pos or index, to account
        for deferred writes.

        * orb/CDRInputStream.java (openEncapsulation, closeEncapsulation):
        Back out previous change, since Francisco correctly pointed out
        that we needn't scope the indirection maps on input (they contain
        absolute positions in the stream anyway).

        * org/EncapsInfo.java (c'tor): Likewise.

2004-08-13  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/FilterConsumerAdminTask.java,
        notification/engine/FilterProxyConsumerTask.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/FilterSupplierAdminTask.java,
        notification/engine/PushToConsumerTask.java,
        notification/engine/TaskExecutor.java,
        notification/engine/TaskFactory.java: code cleanup

        * notification/AbstractChannelFactory.java:
        (eventChannelIDPool_) is final (setORB) added {}

        * notification/AbstractMessage.java:
        (extractValue) better error checking if you try to access non
        defined properties in filter strings

        * notification/filter/etcl/AndOperator.java,
        notification/filter/etcl/BinaryOperator.java,
        notification/filter/etcl/ComponentPositionOperator.java,
        notification/filter/etcl/DefaultOperator.java,
        notification/filter/etcl/DivOperator.java,
        notification/filter/etcl/ETCLComponentName.java,
        notification/filter/etcl/EqOperator.java,
        notification/filter/etcl/EventNameShorthandNode.java,
        notification/filter/etcl/GtOperator.java,
        notification/filter/etcl/GteOperator.java,
        notification/filter/etcl/IdentValue.java,
        notification/filter/etcl/ImmutableEvaluationResult.java,
        notification/filter/etcl/InOperator.java,
        notification/filter/etcl/LtOperator.java,
        notification/filter/etcl/LteOperator.java,
        notification/filter/etcl/MessageUtils.java,
        notification/filter/etcl/MinusOperator.java,
        notification/filter/etcl/MultOperator.java,
        notification/filter/etcl/NeqOperator.java,
        notification/filter/etcl/NotOperator.java,
        notification/filter/etcl/OrOperator.java,
        notification/filter/etcl/PlusOperator.java,
        notification/filter/etcl/RuntimeVariableNode.java,
        notification/filter/etcl/StaticTypeException.java,
        notification/filter/etcl/StringValue.java,
        notification/filter/etcl/SubstrOperator.java,
        notification/filter/etcl/UnaryOperator.java,
        notification/filter/etcl/UnionPositionOperator.java: better error
        checking if you try to access non defined properties in filter
        strings

2004-08-04  Andre Spiegel  <spiegel@gnu.org>

        * naming/ContextLister.java: Untabify.

2004-08-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/build.xml: (server) use pathref to access classpath

        * notification/FilterManager.java: filterLock_ should be final

2004-07-19  Phil Mesnier  <mesnier_p@ociweb.com>

        * orb/ORB.java,
        orb/portableInterceptor/IORInterceptorIterator.java,
        orb/portableInterceptor/InterceptorManager.java,
        orb/standardInterceptors/CodeSetInfoInterceptor.java: added
        support for applying codeset tagged component to all profiles
        included in an IOR, including non-IIOP and non-MultipleComponents

2004-07-19  Andre Spiegel  <spiegel@gnu.org>

        * orb/giop/ClientConnection.java (sendRequest): When receiving an
        exception, remove the ReplyPlaceholder to avoid memory leak.  This
        is part of the fix for bug 478, suggested by Marc Heide.

        * orb/CDRInputStream.java (openEncapsulation): Fix parameter order
        in prev change.

2004-07-16  Simon McQueen  <sm@prismtechnologies.com>

        * poa/RequestProcessor.java (invokeOperation): Added some debug to
        permit display of runtime exception stack traces.

        Thanks to Justin Permar for the suggestion.

2004-07-16  Andre Spiegel  <spiegel@gnu.org>

        * collection/KeySortedCollectionImpl.java,
        collection/OrderedIteratorImpl.java,
        collection/PositionalIteratorImpl.java: Remove some superfluous
        semicolons to get rid of unreachable code errors in Eclipse.

        * collection/SequenceFactoryImpl.java,
        collection/SortedRelationFactoryImpl.java (create): Use ObjectUtil
        instead of Environment.

        * orb/Delegate.java (invoke_internal): When catching a
        SystemException on send, remove the ReplyReceiver to break
        reference cycle, allowing GC.  This is part of the fix for bug
        478, thanks to Marc Heide.

        * orb/CDRInputStream.java (openEncapsulation, closeEncapsulation):
        Save and restore the indirection maps.

        * orb/EncapsInfo.java (c'tor): Include the indirection maps in the
        constructor for CDRInputStreams as well.

2004-07-15  Simon McQueen  <sm@prismtechnologies.com>

        * orb/IIOPAddress.java (getIP, getHostname): Moved 'is configured'
        check from former to latter.

        Configuration is only required / accessed for reverse lookups so
        it was in the wrong place.

2004-07-12  Simon McQueen  <sm@prismtechnologies.com>

        * orb/factory/SocketFactoryManager.java (getServerFactory):
        Configure ServerSocketFactory instances iff they are
        Configurable (as PortRangeServerSocketFactory is).

        This fixes bug #496. Thanks to 'Phil42' for reporting that there
        was a problem.

        * config/Configuration.java (init): Permit setting of
        jacorb.config.log.verbosity via System property.

        Thanks to Richard Hash for the fix. This fixes bug # 499.

2004-07-12  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractChannelFactory.java,
        notification/AbstractEventChannel.java,
        notification/AbstractFilter.java,
        notification/AbstractMessage.java, notification/AnyMessage.java,
        notification/ApplicationContext.java,
        notification/ChannelContext.java,
        notification/ChannelManager.java,
        notification/CollectionsWrapper.java,
        notification/ConstraintEntry.java,
        notification/EventChannelFactoryDependency.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventChannelImpl.java,
        notification/EventTypeSet.java,
        notification/FilterFactoryImpl.java,
        notification/FilterManager.java,
        notification/MappingFilterImpl.java,
        notification/MessageFactory.java, notification/OfferManager.java,
        notification/StructuredEventMessage.java,
        notification/SubscriptionManager.java,
        notification/TypedEventChannelFactoryImpl.java,
        notification/TypedEventChannelImpl.java,
        notification/TypedEventMessage.java,
        notification/util/AdminPropertySet.java,
        notification/util/JDK14PatternWrapper.java,
        notification/util/PropertySet.java,
        notification/util/PropertySetListener.java,
        notification/util/QoSPropertySet.java,
        notification/util/WildcardMap.java,
        notification/util/AbstractObjectPool.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/FilterStageListManager.java,
        notification/servant/ManageableServant.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java,
        notification/queue/EventQueueFactory.java,
        notification/interfaces/AbstractPoolable.java,
        notification/interfaces/EventChannelEvent.java,
        notification/interfaces/Message.java,
        notification/interfaces/ProxyEvent.java,
        notification/filter/DynamicEvaluator.java,
        notification/filter/EvaluationContext.java,
        notification/filter/EvaluationException.java,
        notification/filter/EvaluationResult.java,
        notification/filter/etcl/AbstractTCLNode.java,
        notification/filter/etcl/AndOperator.java,
        notification/filter/etcl/AssocOperator.java,
        notification/filter/etcl/BoolValue.java,
        notification/filter/etcl/DefaultOperator.java,
        notification/filter/etcl/DivOperator.java,
        notification/filter/etcl/ETCLComponentName.java,
        notification/filter/etcl/ETCLFilterConstraint.java,
        notification/filter/etcl/EqOperator.java,
        notification/filter/etcl/ExistOperator.java,
        notification/filter/etcl/GteOperator.java,
        notification/filter/etcl/IdentValue.java,
        notification/filter/etcl/ImplicitOperatorNode.java,
        notification/filter/etcl/InOperator.java,
        notification/filter/etcl/LteOperator.java,
        notification/filter/etcl/MessageUtils.java,
        notification/filter/etcl/MinusOperator.java,
        notification/filter/etcl/MultOperator.java,
        notification/filter/etcl/NeqOperator.java,
        notification/filter/etcl/NotOperator.java,
        notification/filter/etcl/NumberValue.java,
        notification/filter/etcl/OrOperator.java,
        notification/filter/etcl/PlusOperator.java,
        notification/filter/etcl/RuntimeVariableNode.java,
        notification/filter/etcl/StringValue.java,
        notification/filter/etcl/SubstrOperator.java,
        notification/engine/AbstractDeliverTask.java,
        notification/engine/AbstractFilterTask.java,
        notification/engine/AbstractTask.java,
        notification/engine/DefaultTaskProcessor.java,
        notification/engine/FilterConsumerAdminTask.java,
        notification/engine/FilterProxyConsumerTask.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/FilterSupplierAdminTask.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/PushAnyOperation.java,
        notification/engine/PushSequenceOperation.java,
        notification/engine/PushStructuredOperation.java,
        notification/engine/PushTypedOperation.java,
        notification/engine/RetryStrategy.java,
        notification/engine/TaskExecutor.java,
        notification/engine/TaskFactory.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/engine/TimerDeliverTask.java,
        notification/conf/Default.java: organized imports

2004-06-30  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/FilterFactoryImpl.java: exception messages

        * notification/AbstractMessage.java: whitespace

        * notification/filter/bsh/build.xml: lookup bsh in ${classpath}

2004-06-29  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractFilter.java,
        notification/filter/PropertyDoesNotExistException.java,
        notification/filter/etcl/PropertyShorthandNode.java: *** empty log
        message ***

2004-06-28  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/util/AbstractObjectPool.java: call registerPool in
        configure not in ctor. otherwise race condition can occur

2004-06-26  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractChannelFactory.java,
        notification/MessageFactory.java: compatibility w JDK1.3

2004-06-25  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/filter/etcl/grammar/tcl-lexer.g:
        (OTHER_TEXT) added ascii chars to OTHER_TEXT token. this fixes a
        bug reported by Mike Zhao. It was impossible to use special
        chars as *, ~,  @, etc. in string constants.

2004-06-24  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractChannelFactory.java:
        (registerName) do nothing if nameId == null.

        * notification/AbstractChannelFactory.java:
        (registerName) if nameKind is not set it defaults to "". this
        caused a null pointerexception while registering a reference to
        the NameService.  reported by Gregory Gimler
        news://news.gmane.org:119/6.0.0.22.2.20040623182008.01d8ab68@group33.llan.ll.mit.edu

2004-06-22  Phil Mesnier  <mesnier_p@ociweb.com>

        * orb/giop/ClientConnection.java: Have the setCodeSet method
        return a defaulted service context even if no codeset component is
        found in the profile. This resolves an interoperability problem
        with TAO when a non-IIOP profile is used

2004-06-22  Simon McQueen  <sm@prismtechnologies.com>

        * orb/iiop/IIOPListener.java (configure): Add property
        jacorb.security.ssl.always_open_unsecured_endpoint to override the
        default behaviour of not opening an unsecured acceptor when SSL is
        required.

        Fixes bug #491.

2004-06-22  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/AbstractProxySupplier.java:
        (removeListener) changed visibility to protected

        whitespace

        * notification/servant/AbstractProxy.java:
        (dispose) call removeListener during dispose

        (removeListener) added abstract method

        this is to fix an issue reported by James Haiar
        news://news.gmane.org:119/200406212023.i5LKNwx25277@group33.kmr.ll.mit.edu

        * notification/servant/AbstractProxyConsumer.java:
        (removeListener) changed visibility to protected

        * notification/TypedEventChannelFactoryImpl.java:
        (preActivate) added descriptive text in exception

2004-06-21  David R Robison  <drrobison@openroadsconsulting.com>

        * orb/build.xml, orb/rmi/PortableRemoteObjectDelegateImpl.java:
        RMI over IIOP

2004-06-19  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/FilterFactoryImpl.java: cleaned up imports

        added better descriptions in exceptions

2004-06-18  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/build.xml: fixed typo

        * notification/AbstractChannelFactory.java,
        notification/AbstractMessage.java,
        notification/ChannelContext.java,
        notification/ChannelManager.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventTypeSet.java,
        notification/FilterFactoryImpl.java,
        notification/MappingFilterImpl.java,
        notification/MessageFactory.java,
        notification/TypedEventChannelFactoryImpl.java: more changes to
        support TypedNotifications

        * notification/ConsoleMain.java, notification/Main.java,
        notification/WrapperMain.java, notification/build.xml:
        (EventChannelFactoryImpl) extracted console related stuff to new
        class ConsoleMain

        (Main) renamed class to WrapperMain

        * notification/servant/TypedProxyPushConsumerImpl.java: renamed
        variable

        * notification/servant/AbstractProxySupplier.java:
        (offer_change) catch and log exception if offer_change fails

        * notification/servant/AbstractProxyConsumer.java:
        (subscription_change) catch and display exception if
        subscription_change fails

        * notification/filter/etcl/grammar/tcl.g: whitespace

        * notification/conf/Attributes.java: new attribute

        * notification/filter/bsh/BSHFilter.java, notification/filter/bsh/build.xml:
        created beanshell filter as demonstration of a custom filter.

        * notification/AbstractFilter.java, notification/FilterImpl.java,
        notification/filter/FilterConstraint.java,
        notification/filter/etcl/ETCLFilter.java,
        notification/filter/etcl/ETCLFilterConstraint.java: split
        FilterImpl in AbstractFilterImpl and ETCLFilter to allow custom
        filters

2004-06-14  Simon McQueen  <sm@prismtechnologies.com>

        * config/Configuration.java (init): Added two missing checks for a
        logging verbosity value.

        Thanks to Oguzhan Eris for supplying the patch.

2004-06-11  Simon McQueen  <sm@prismtechnologies.com>

        * config/Configuration.java (setAttributes): Check for illegal non
        String keys / values in Properties objects.

        Thanks to John Farrell for supplying the patch.

2004-06-09  Andre Spiegel  <spiegel@gnu.org>

        * orb/ClientInterceptorHandler.java (handle_location_forward,
        handle_receive_exception, handle_receive_other,
        handle_receive_reply): Use setter methods to put data into
        interceptor info.

        * poa/RequestProcessor.java (process): Use setter methods to put
        data into interceptor info.

        * orb/dii/Request.java (_invoke): Likewise.

        * orb/dsi/ServerRequest.java (arguments): Likewise.

        * orb/portableInterceptor/RequestInfoImpl.java (arguments,
        caller_op, current, exceptions, forward_reference, operation,
        reply_status, request_id, response_expected, result): Made fields
        protected instead of public.
        (arguments, exceptions, forward_reference): Accessor methods
        weren't implemented properly.
        (current, setArguments, setReplyStatus, setCurrent): New methods.

2004-06-08  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/util/AbstractObjectPool.java: checked
        synchronization for non-synchronized members

        * notification/MessageFactory.java, notification/FilterImpl.java:
        whitespace

2004-06-07  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/interfaces/AbstractPoolable.java: whitespace

2004-06-04  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/util/AbstractObjectPool.java: fix bug reported by
        John Farrell
        news://news.gmane.org:119/200406041629.48096.Farrell_John_W@cat.com

        (active_) wrapped member active_ in synchronized Collectionswrapper

2004-06-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/filter/etcl/EqOperator.java:
        (evaluate) undo last changes

        * notification/filter/etcl/PropertyShorthandNode.java:
        (evaluate) throw EvaluationException if property cannot be
        resolved

2004-06-02  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/filter/etcl/grammar/comp-lexer.g,
        notification/filter/etcl/grammar/tcl-lexer.g,
        notification/filter/etcl/grammar/tcl.g: updated copyright

        * notification/filter/etcl/EqOperator.java: added fix to a bug
        reported by John Farrell

        quote:

        We are seeing a problem in Jacorb Notification in class EqOperator
        in method evaluate(EvaluationContext), where _left is null so the
        .compareTo(_right) is failing with a NullPointerException (line
        46). I believe this is caused by using an ETCL expression where I
        am saying "x == 3", when "x" is not defined in the event.

        (evaluate) check if _left and _right are not null before invoking
        compare

2004-05-25  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/build.xml: updated ref to wrapper.jar

2004-05-19  Andre Spiegel  <spiegel@gnu.org>

        * orb/ReplyReceiver.java (c'tor): Pass the ORB up to the
        superclass constructor, fixing bug #482.

        * orb/giop/ReplyPlaceholder.java (c'tor): Delete the no-arg
        constructor, calling it would result in a non-configured
        ReplyPlaceholder.

2004-05-18  Nicolas Noffke  <nicolas.noffke@web.de>

        * orb/giop/ClientConnection.java:
        (locateReplyReceived, replyReceived) better error message

2004-05-12  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/ChannelManager.java,
        notification/EventChannelFactoryImpl.java,
        notification/TypedEventChannelFactoryImpl.java,
        notification/interfaces/EventChannelEvent.java: added
        TypedEventChannelFactory

2004-05-11  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractEventChannel.java,
        notification/EventChannelFactoryDependency.java,
        notification/EventChannelImpl.java,
        notification/TypedEventChannelImpl.java,
        notification/interfaces/FilterStageSource.java,
        notification/servant/AbstractSupplierAdmin.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java: further
        towards typed channels.

        (EventChannelImpl) split EventChannelImpl into
        AbstractEventChannel and EventChannelImpl so that new
        TypedEventChannelImpl can reuse parts of the implementation

        (*) various fixes so that Unit tests run again

2004-05-09  Francisco Reverbel  <reverbel@ime.usp.br>

        * config/LoggerFactory.java: The LoggerFactory interface should be
        public, as users should be able to plug other logging mechanisms
        in by creating their own LoggerFactory implementations outside of
        the org.jacorb.config package.

2004-05-09  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/AbstractProxy.java: added missing import

        * notification/AbstractMessage.java, notification/AnyMessage.java,
        notification/ApplicationContext.java,
        notification/ChannelContext.java,
        notification/ChannelContextDependency.java,
        notification/Dependant.java,
        notification/EventChannelDependency.java,
        notification/EventChannelFactoryDependency.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventChannelImpl.java,
        notification/EventTypeSet.java,
        notification/FilterFactoryImpl.java, notification/FilterImpl.java,
        notification/FilterManager.java,
        notification/MappingFilterImpl.java,
        notification/MessageFactory.java,
        notification/MessageFactoryDependency.java,
        notification/NoTranslationException.java,
        notification/OfferManager.java,
        notification/StructuredEventMessage.java,
        notification/SubscriptionManager.java,
        notification/TypedEventMessage.java, notification/build.xml,
        notification/engine/AbstractDeliverTask.java,
        notification/engine/AbstractFilterTask.java,
        notification/engine/AbstractTask.java,
        notification/engine/DefaultTaskProcessor.java,
        notification/engine/FilterConsumerAdminTask.java,
        notification/engine/FilterProxyConsumerTask.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/FilterSupplierAdminTask.java,
        notification/engine/MessagePushOperation.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/PushAnyOperation.java,
        notification/engine/PushOperation.java,
        notification/engine/PushSequenceOperation.java,
        notification/engine/PushStructuredOperation.java,
        notification/engine/PushToConsumerTask.java,
        notification/engine/PushTypedOperation.java,
        notification/engine/RetryStrategy.java,
        notification/engine/TaskFactory.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TaskProcessorDependency.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/engine/TimerDeliverTask.java,
        notification/filter/DynamicEvaluator.java,
        notification/filter/EvaluationContext.java,
        notification/filter/EvaluationResult.java,
        notification/filter/FilterConstraint.java,
        notification/filter/etcl/AbstractTCLNode.java,
        notification/filter/etcl/CurrentTimeNode.java,
        notification/filter/etcl/DomainNameShorthandNode.java,
        notification/filter/etcl/ETCLComponentName.java,
        notification/filter/etcl/EventNameShorthandNode.java,
        notification/filter/etcl/GtOperator.java,
        notification/filter/etcl/LtOperator.java,
        notification/filter/etcl/MessageUtils.java,
        notification/filter/etcl/PropertyShorthandNode.java,
        notification/filter/etcl/RuntimeVariableNode.java,
        notification/filter/etcl/StaticTypeChecker.java,
        notification/filter/etcl/TCLCleanUp.java,
        notification/filter/etcl/TypeNameShorthandNode.java,
        notification/filter/etcl/UnionPositionOperator.java,
        notification/interfaces/AbstractPoolable.java,
        notification/interfaces/FilterStage.java,
        notification/interfaces/FilterStageSource.java,
        notification/interfaces/Message.java,
        notification/interfaces/MessageConsumer.java,
        notification/queue/AbstractBoundedEventQueue.java,
        notification/queue/BoundedPriorityEventQueue.java,
        notification/queue/EventQueueFactory.java,
        notification/queue/EventQueueFactoryDependency.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/ConsumerAdminTieImpl.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/FilterStageListManager.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/SupplierAdminTieImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java,
        notification/util/AbstractObjectPool.java,
        notification/util/AdminPropertySet.java,
        notification/util/GNUPatternWrapper.java,
        notification/util/JDK14PatternWrapper.java,
        notification/util/PatternWrapper.java,
        notification/util/PropertySet.java,
        notification/util/QoSPropertySet.java,
        notification/util/WildcardMap.java: further towards
        typednotification

        * notification/ChannelContextDependency.java,
        notification/Dependant.java,
        notification/EventChannelDependency.java,
        notification/EventChannelFactoryDependency.java,
        notification/MessageFactoryDependency.java,
        notification/NoTranslationException.java,
        notification/TypedEventMessage.java: New file.

        * notification/AbstractMessage.java, notification/AnyMessage.java,
        notification/ApplicationContext.java,
        notification/ChannelContext.java,
        notification/ChannelContextDependency.java,
        notification/Dependant.java,
        notification/EventChannelDependency.java,
        notification/EventChannelFactoryDependency.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventChannelImpl.java, notification/FilterImpl.java,
        notification/FilterManager.java, notification/MessageFactory.java,
        notification/MessageFactoryDependency.java,
        notification/NoTranslationException.java,
        notification/StructuredEventMessage.java,
        notification/TypedEventMessage.java, notification/build.xml,
        notification/engine/AbstractFilterTask.java: started
        implementation of typednotification channels

        * notification/engine/DefaultTaskProcessor.java,
        notification/engine/MessagePushOperation.java,
        notification/engine/PushTypedOperation.java,
        notification/engine/TaskProcessorDependency.java,
        notification/interfaces/FilterStageSource.java,
        notification/queue/EventQueueFactoryDependency.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java: New file.

        * notification/engine/DefaultTaskProcessor.java,
        notification/engine/MessagePushOperation.java,
        notification/engine/PushAnyOperation.java,
        notification/engine/PushOperation.java,
        notification/engine/PushSequenceOperation.java,
        notification/engine/PushStructuredOperation.java,
        notification/engine/PushTypedOperation.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TaskProcessorDependency.java,
        notification/engine/TaskProcessorRetryStrategy.java,
        notification/filter/FilterConstraint.java,
        notification/filter/etcl/AbstractTCLNode.java,
        notification/filter/etcl/ETCLComponentName.java,
        notification/filter/etcl/GtOperator.java,
        notification/filter/etcl/LtOperator.java,
        notification/interfaces/FilterStage.java,
        notification/interfaces/FilterStageSource.java,
        notification/interfaces/Message.java,
        notification/queue/BoundedPriorityEventQueue.java,
        notification/queue/EventQueueFactory.java,
        notification/queue/EventQueueFactoryDependency.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ConsumerAdminImpl.java,
        notification/servant/ConsumerAdminTieImpl.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminImpl.java,
        notification/servant/SupplierAdminTieImpl.java,
        notification/servant/TypedConsumerAdminImpl.java,
        notification/servant/TypedProxyPullConsumerImpl.java,
        notification/servant/TypedProxyPullSupplierImpl.java,
        notification/servant/TypedProxyPushConsumerImpl.java,
        notification/servant/TypedProxyPushSupplierImpl.java,
        notification/servant/TypedSupplierAdminImpl.java,
        notification/util/JDK14PatternWrapper.java,
        notification/util/JakartaRegexpPatternWrapper.java,
        notification/util/PatternWrapper.java,
        notification/util/PropertySet.java,
        notification/util/WildcardMap.java: started implementation of
        typednotification channels

2004-05-07  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/GSSUPMechFactory.java,
        security/sas/GSSUPNameSpi.java, security/sas/GSSUPProvider.java,
        security/sas/GSSUPProviderInitializer.java,
        security/sas/GssUpContext.java, security/sas/ISASContext.java,
        security/sas/JsseContext.java, security/sas/KerberosContext.java,
        security/sas/NullContext.java,
        security/sas/SASClientInterceptor.java,
        security/sas/SASInitializer.java,
        security/sas/SASTargetInterceptor.java: Changes to compile with
        2.2

2004-05-07  Gerald Brose  <gerald.brose@acm.org>

        * orb/dns/build.xml: reenableed Xbill

        * orb/dns/DNSLookup.java, orb/dns/XbillDelegateImpl.java, orb/dns/build.xml:
        removed dependency on Xbill, DNS now works with JDK 1.4 only

        * util/Version.java: set to release date

2004-05-07  Nick Cross  <nick.cross@prismtechnologies.com>

        * poa/RPPoolManager.java: Fix compile problem

2004-05-06  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/CDRInputStream.java:
        Fix read_Object(Class clz) so that it now works when clz is a stub class.
        The previous revision worked only when clz was an RMI/IDL interface.
        (Patch contributed by Bill Burke <bill@jboss.org>)

2004-05-06  Phil Mesnier  <mesnier_p@ociweb.com>

        * util/ObjectUtil.java:
        Added a fix to allow file:// to take relative as well as absolute path names for IOR urls

2004-05-06  Nicolas Noffke  <nicolas.noffke@web.de>

        * imr/ImplementationRepositoryImpl.java:
        added missing calls to configure of orb package classes

        * imr/ImRPOAInfo.java:
        (c'tor) added timeout param to avoid needing to be Configurable; removed logger and configuration members, the weren't Serializable

2004-05-06  Nicolas Noffke <Nicolas.Noffke@web.de>

        * security/ssl/iaik/SSLServerSocketFactory.java:
        (c'tor) removed call to configure(), is done by the BasicAdapter; removed
        "role change" feature; pretty printed

        * security/ssl/iaik/SSLSocketFactory.java:
        removed "role change" feature; pretty printed

        * security/ssl/sun_jsse/SSLServerSocketFactory.java:
        (switchToClientMode) removed this feature

        * security/ssl/sun_jsse/SSLSocketFactory.java:
        removed "change roles" feature; pretty printed

        * orb/factory/SSLServerSocketFactory.java:
        (switchToClientMode) removed this feature

        * orb/iiop/IIOPListener.java:
        (SSLAcceptor.setup) removed completely, because
        SSLServerSocketFactory.switchToClientMode() has been removed as
        well

        * security/ssl/sun_jsse/SSLServerSocketFactory.java:
        (c'tor) removed call to configure, it is called by the
        BasicAdapter; Pretty printed

        * orb/iiop/ClientIIOPConnection.java:
        (createSocket) fixed bug: method would always use plain TCP/IP
        socket factory even if SSL should have been used

        * ChangeLog: updated

2004-05-06  Gerald Brose  <gerald.brose@acm.org>

        * config/Configuration.java: pretty printing only

        * orb/BasicAdapter.java:
        (return_result) removed superflous synchronization for better
        scalability.

2004-05-05  David R. Robison  <drrobison@openroadsconsulting.com>

        * security/sas/SASTargetInterceptor.java, security/sas/GssUpContext.java, security/sas/SASClientInterceptor.java, security/sas/GSSUPNameSpi.java:
        Fixes for SAS

2004-05-04  Gerald Brose  <gerald.brose@acm.org>

        * orb/util/PingObject.java:
        (main) was completely broken and never returned okay.

2004-05-03  Andre Spiegel  <spiegel@gnu.org>

        * poa/RequestController.java (getPoolManager):
        Pass the configuration to the RPPoolManager.

        * poa/RPPoolManager.java (configuration): New field.
        (c'tor): Set it from new parameter.
        (addProcessor): Configure the RequestProcessor after
        creating it.

        * poa/RequestProcessor.java (checkReplyEndTime): New field.
        (configure): New method, sets the above from the new
        property jacorb.poa.check_reply_end_time.
        (process): Only check reply end time if the above property
        is set.

        * orb/giop/GIOPConnection.java (configure): Rename property to
        jacorb.connection.client.connect_timeout, for consistency.

        * orb/iiop/ClientIIOPConnection.java (connect):
        Don't ignore the retry count if a timeout for
        connection establishment has been set.

        * orb/giop/GIOPConnection.java (configure):
        Use new property jacorb.connection.connect_timeout,
        rather than jacorb.connection.client.pending_reply_timeout.

2004-04-30  Phil Mesnier  <mesnier_p@ociweb.com>

        * orb/ORB.java: Added code to configure the object key map with
          name/value pairs now stored in attributes of the Configuration. This
          restores the functionality previously supplied by the
          Environment.getProperties() method.

2004-04-30  Gerald Brose  <gerald.brose@acm.org>

        * config/Configuration.java, orb/ORB.java: added check for reserved
          ORBids ("jacorb" and "orb"), moved these to
          Configuration.getConfiguration

2004-04-28  Gerald Brose  <gerald.brose@acm.org>

        * build.xml, config/Configuration.java,
          config/LogKitLoggerFactory.java, config/LoggerFactory.java,
          config/build.xml, imr/ImRAccessImpl.java, imr/ImRHostInfo.java,
          imr/ImRPOAInfo.java, imr/ImRServerInfo.java,
          imr/ImplementationRepositoryImpl.java, imr/ResourceLock.java,
          imr/RessourceLock.java, imr/ServerStartupDaemonImpl.java,
          imr/ServerTable.java, imr/util/ImRManager.java,
          imr/util/ImRManagerGUI.java, imr/util/ImRModel.java,
          imr/util/ImRTreeCellRenderer.java, ir/AliasDef.java,
          ir/ArrayDef.java, ir/AttributeDef.java, ir/ConstantDef.java,
          ir/Contained.java, ir/Container.java, ir/EnumDef.java,
          ir/ExceptionDef.java, ir/IDLType.java, ir/InterfaceDef.java,
          ir/ModuleDef.java, ir/OperationDef.java, ir/RepositoryID.java,
          ir/RepositoryImpl.java, ir/SequenceDef.java, ir/StructDef.java,
          ir/TypeCodeUtil.java, ir/UnionDef.java, ir/gui/IRBrowser.java,
          ir/gui/typesystem/remote/RemoteTypeSystem.java,
          naming/ContextLister.java, naming/NameServer.java,
          naming/NamingContextImpl.java, notification/AbstractMessage.java,
          notification/ApplicationContext.java,
          notification/ChannelContext.java,
          notification/EventChannelFactoryImpl.java,
          notification/EventChannelImpl.java,
          notification/EventTypeSet.java,
          notification/FilterFactoryImpl.java,
          notification/FilterImpl.java, notification/FilterManager.java,
          notification/MappingFilterImpl.java,
          notification/MessageFactory.java, notification/OfferManager.java,
          notification/StructuredEventMessage.java,
          notification/SubscriptionManager.java, notification/build.xml,
          notification/conf/Attributes.java,
          notification/conf/Configuration.java,
          notification/engine/AbstractDeliverTask.java,
          notification/engine/AbstractFilterTask.java,
          notification/engine/AbstractTask.java,
          notification/engine/FilterConsumerAdminTask.java,
          notification/engine/FilterProxyConsumerTask.java,
          notification/engine/FilterProxySupplierTask.java,
          notification/engine/FilterSupplierAdminTask.java,
          notification/engine/PullFromSupplierTask.java,
          notification/engine/PushToConsumerTask.java,
          notification/engine/RetryStrategy.java,
          notification/engine/TaskExecutor.java,
          notification/engine/TaskFactory.java,
          notification/engine/TaskProcessor.java,
          notification/engine/TaskProcessorRetryStrategy.java,
          notification/engine/TimerDeliverTask.java,
          notification/filter/DynamicEvaluator.java,
          notification/filter/EvaluationContext.java,
          notification/filter/EvaluationResult.java,
          notification/filter/FilterConstraint.java,
          notification/filter/etcl/AbstractTCLNode.java,
          notification/filter/etcl/CurrentTimeNode.java,
          notification/filter/etcl/DomainNameShorthandNode.java,
          notification/filter/etcl/ETCLComponentName.java,
          notification/filter/etcl/EqOperator.java,
          notification/filter/etcl/EventNameShorthandNode.java,
          notification/filter/etcl/MessageUtils.java,
          notification/filter/etcl/PropertyShorthandNode.java,
          notification/filter/etcl/RuntimeVariableNode.java,
          notification/filter/etcl/StaticTypeChecker.java,
          notification/filter/etcl/TCLCleanUp.java,
          notification/filter/etcl/TypeNameShorthandNode.java,
          notification/filter/etcl/UnionPositionOperator.java,
          notification/interfaces/AbstractPoolable.java,
          notification/interfaces/MessageConsumer.java,
          notification/queue/AbstractBoundedEventQueue.java,
          notification/queue/EventQueueFactory.java,
          notification/servant/AbstractAdmin.java,
          notification/servant/AbstractProxy.java,
          notification/servant/AbstractProxyConsumer.java,
          notification/servant/AbstractProxySupplier.java,
          notification/servant/ConsumerAdminTieImpl.java,
          notification/servant/FilterStageListManager.java,
          notification/servant/ProxyPullConsumerImpl.java,
          notification/servant/ProxyPushConsumerImpl.java,
          notification/servant/StructuredProxyPullConsumerImpl.java,
          notification/servant/StructuredProxyPushConsumerImpl.java,
          notification/util/AbstractObjectPool.java,
          notification/util/AdminPropertySet.java,
          notification/util/GNUPatternWrapper.java,
          notification/util/JDK14PatternWrapper.java,
          notification/util/JakartaRegexpPatternWrapper.java,
          notification/util/PatternWrapper.java,
          notification/util/PropertySet.java,
          notification/util/QoSPropertySet.java,
          notification/util/TaskExecutor.java,
          notification/util/WildcardMap.java, orb/Any.java,
          orb/ApplicationExceptionHelper.java, orb/BasicAdapter.java,
          orb/BufferManager.java, orb/CDRInputStream.java,
          orb/CDROutputStream.java, orb/ClientInterceptorHandler.java,
          orb/Delegate.java, orb/ExceptionHolderImpl.java,
          orb/IIOPAddress.java, orb/LocateReplyReceiver.java, orb/ORB.java,
          orb/ORBSingleton.java, orb/ParsedIOR.java,
          orb/ReplyReceiver.java, orb/ServantDelegate.java,
          orb/SystemExceptionHelper.java, orb/TypeCode.java,
          orb/dii/Request.java, orb/dns/DNSLookup.java,
          orb/dns/JdkDelegateImpl.java, orb/dsi/ServerRequest.java,
          orb/dynany/DynAnyFactoryImpl.java, orb/dynany/DynUnion.java,
          orb/factory/PortRangeFactory.java,
          orb/factory/PortRangeServerSocketFactory.java,
          orb/factory/PortRangeSocketFactory.java,
          orb/factory/SocketFactoryManager.java,
          orb/giop/BiDirConnectionInitializer.java,
          orb/giop/BiDirConnectionServerInterceptor.java,
          orb/giop/BiDirPolicyFactory.java, orb/giop/ClientConnection.java,
          orb/giop/ClientConnectionManager.java,
          orb/giop/ClientGIOPConnection.java, orb/giop/GIOPConnection.java,
          orb/giop/GIOPConnectionManager.java,
          orb/giop/MessageReceptor.java, orb/giop/MessageReceptorPool.java,
          orb/giop/NoBiDirClientRequestListener.java,
          orb/giop/NoBiDirServerReplyListener.java,
          orb/giop/ReplyInputStream.java, orb/giop/ReplyOutputStream.java,
          orb/giop/ReplyPlaceholder.java,
          orb/giop/ServerGIOPConnection.java,
          orb/giop/ServerRequestListener.java,
          orb/giop/TransportManager.java,
          orb/iiop/ClientIIOPConnection.java, orb/iiop/IIOPConnection.java,
          orb/iiop/IIOPFactories.java, orb/iiop/IIOPListener.java,
          orb/iiop/IIOPProfile.java, orb/iiop/ServerIIOPConnection.java,
          orb/policies/PolicyManager.java,
          orb/portableInterceptor/ClientInterceptorIterator.java,
          orb/portableInterceptor/ClientRequestInfoImpl.java,
          orb/portableInterceptor/CodecImpl.java,
          orb/portableInterceptor/Codec_CDR_1_0_Impl.java,
          orb/portableInterceptor/IORInterceptorIterator.java,
          orb/portableInterceptor/InterceptorManager.java,
          orb/portableInterceptor/ORBInitInfoImpl.java,
          orb/portableInterceptor/ServerInterceptorIterator.java,
          orb/portableInterceptor/ServerRequestInfoImpl.java,
          orb/standardInterceptors/CodeSetInfoInterceptor.java,
          orb/standardInterceptors/IORInterceptorInitializer.java,
          orb/standardInterceptors/SASComponentInterceptor.java,
          orb/standardInterceptors/SSLComponentInterceptor.java,
          orb/util/FixIOR.java, orb/util/PingObject.java,
          orb/util/PrintIOR.java, poa/POA.java, poa/POAManagerMonitor.java,
          poa/POAManagerMonitorImpl.java,
          poa/POAManagerMonitorLightImpl.java, poa/POAMonitor.java,
          poa/POAMonitorImpl.java, poa/POAMonitorLightImpl.java,
          poa/RequestController.java, poa/RequestProcessor.java,
          poa/RequestQueue.java, poa/util/POAUtil.java,
          proxy/ProxyClientForwardInterceptor.java,
          proxy/ProxyClientInitializer.java, proxy/ProxyImpl.java,
          proxy/ProxyServerForwardInterceptor.java,
          proxy/ProxyServerInitializer.java, security/build.xml,
          security/level2/AccessDecisionImpl.java,
          security/level2/CredentialsImpl.java,
          security/level2/CurrentImpl.java,
          security/level2/PrincipalAuthenticatorImpl.java,
          security/level2/ServerAccessDecisionInterceptor.java,
          security/level2/ServerInitializer.java,
          security/level2/SunJssePrincipalAuthenticatorImpl.java,
          security/sas/GSSUPContextSpi.java,
          security/sas/GSSUPMechFactory.java,
          security/sas/GSSUPNameSpi.java, security/sas/GSSUPProvider.java,
          security/sas/GSSUPProviderInitializer.java,
          security/sas/GssUpContext.java, security/sas/JsseContext.java,
          security/sas/KerberosContext.java, security/sas/NullContext.java,
          security/sas/SASClientInterceptor.java,
          security/sas/SASInitializer.java,
          security/sas/SASTargetInterceptor.java, security/ssl/build.xml,
          security/ssl/iaik/SSLServerSocketFactory.java,
          security/ssl/iaik/SSLSetup.java,
          security/ssl/iaik/SSLSocketFactory.java,
          security/ssl/iaik/SecurityServiceInitializer.java,
          security/ssl/iaik/ServerInvocationInterceptor.java,
          security/ssl/sun_jsse/KeyStoreUtil.java,
          security/ssl/sun_jsse/SSLServerSocketFactory.java,
          security/ssl/sun_jsse/SSLSocketFactory.java,
          security/ssl/sun_jsse/SecurityServiceInitializer.java,
          security/ssl/sun_jsse/ServerInvocationInterceptor.java,
          security/ssl/sun_jsse/build.xml, security/util/CertUtils.java,
          trading/TradingService.java,
          trading/db/simple/offers/AnyValue.java,
          trading/db/simple/offers/OfferDatabaseImpl.java,
          trading/impl/LinkImpl.java, trading/impl/LookupImpl.java,
          trading/impl/OfferUtil.java, trading/test/ExampleSetup.java,
          trading/util/QueryPropagator.java, trading/util/Semaphore.java,
          trading/util/TimeoutThread.java, trading/util/TimerListNode.java,
          transaction/ClientContextTransferInterceptor.java,
          transaction/ServerContextTransferInterceptor.java,
          transaction/TransactionCurrentImpl.java,
          transaction/TransactionInitializer.java,
          transaction/TransactionService.java, util/Debug.java,
          util/Environment.java, util/LogKitLoggerFactory.java,
          util/LoggerFactory.java, util/ObjectUtil.java, util/Time.java,
          util/Version.java, util/threadpool/ConsumerTie.java,
          util/threadpool/ThreadPool.java: Joined in changes from the
          CONFIG_FEATURE branch.

2004-04-26  Andre Spiegel  <spiegel@gnu.org>

        * poa/RequestQueue.java:
          (add): Log a warning if the request queue is full.

2004-04-26  Andre Spiegel  <spiegel@gnu.org>

        * poa/RPPoolManager.java:
          (logger): New instance field.  (c'tor): New logger arg, set the
          above field.
          (getProcessor): Log a warning if the thread pool is exhausted.

2004-04-26  Andre Spiegel  <spiegel@gnu.org>

        * poa/RequestController.java:
          (getPoolManager): Pass the logger to the RPPoolManager.

2004-04-26  Andre Spiegel  <spiegel@gnu.org>

        * orb/iiop/ClientIIOPConnection.java:
          (connect, createSocket): Rewritten to use
          jacorb.connection.client.pending_reply_timeout as a timeout for
          connection attempts.  This is done by spawning a separate thread for
          connecting, not with the corresponding TCP/IP socket-level timeout.
          This ensures compatibility with JDKs prior to JDK 1.4.  (Patch by
          Marc Heide.)

2004-04-26  Andre Spiegel  <spiegel@gnu.org>

        * orb/giop/GIOPConnection.java:
          (write): Pass jacorb.connection.client.pending_reply_timeout down to
          the transport layer connect method.

2004-04-24  Andre Spiegel  <spiegel@gnu.org>

        * idl/ValueDecl.java:
          (printClass): When inheriting from an abstract interface, use the
          type name without "Operations" appended.

2004-04-24  Andre Spiegel  <spiegel@gnu.org>

        * idl/Interface.java:
          (abstractInterfaces): Protected instead of private, so that we can
          use it from ValueDecl as well.

2004-04-21  Gerald Brose  <gerald.brose@acm.org>

        * idl/: parser.cup, parser.java, sym.java: added an extra option
          -in <file> to the IDL compiler which will accept files that do not
          end in ".idl"

2004-04-21  Gerald Brose  <gerald.brose@acm.org>

        * idl/: ValueBase.java, parser.cup, parser.java, sym.java: made
          type CORBA:ValueBase usable

2004-04-19  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/SASClientInterceptor.java: Check for null service
          context value

2004-03-29  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractMessage.java: code cleanup whitespace

2004-03-18  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * util/LogKitLoggerFactory.java:
          (getPriorityForNamedLogger) trim string read from Environment to
          remove trailing spaces.

2004-03-18  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: engine/AbstractDeliverTask.java,
          engine/AbstractFilterTask.java, engine/AbstractTask.java,
          engine/FilterProxyConsumerTask.java,
          engine/FilterProxySupplierTask.java,
          engine/FilterSupplierAdminTask.java,
          engine/PullFromSupplierTask.java, engine/PushAnyOperation.java,
          engine/PushOperation.java, engine/PushSequenceOperation.java,
          engine/PushStructuredOperation.java,
          engine/PushToConsumerTask.java, engine/RetryException.java,
          engine/RetryStrategy.java, engine/TaskFactory.java,
          engine/TaskProcessor.java,
          engine/TaskProcessorRetryStrategy.java,
          engine/TimerDeliverTask.java, engine/WaitRetryStrategy.java,
          interfaces/MessageConsumer.java, servant/AbstractProxy.java,
          servant/AbstractProxySupplier.java,
          servant/ProxyPullConsumerImpl.java,
          servant/ProxyPullSupplierImpl.java,
          servant/ProxyPushConsumerImpl.java,
          servant/ProxyPushSupplierImpl.java,
          servant/SequenceProxyPullConsumerImpl.java,
          servant/SequenceProxyPullSupplierImpl.java,
          servant/SequenceProxyPushConsumerImpl.java,
          servant/SequenceProxyPushSupplierImpl.java,
          servant/StructuredProxyPullConsumerImpl.java,
          servant/StructuredProxyPullSupplierImpl.java,
          servant/StructuredProxyPushConsumerImpl.java,
          servant/StructuredProxyPushSupplierImpl.java: whitespace

          cleaned up retry mechanism

          added doc

2004-03-18  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/ECProxyPushSupplierImpl.java: whitespace

2004-03-18  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/: AbstractAdmin.java,
          ConsumerAdminTieImpl.java: adapted to EventListener IF

2004-03-18  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/FilterConsumerAdminTask.java: code cleanup

          whitespace

2004-03-18  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/interfaces/: ProxyCreationRequestEventListener.java,
          ProxyEvent.java, ProxyEventListener.java: combined interfaces
          ProxyCreationEventListener and ProxyEventListener

2004-03-18  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/EventChannelImpl.java: fixed imports

2004-03-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/util/QoSPropertySet.java: removed unused member
          variable

2004-03-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/StructuredEventMessage.java: synchronized access to
          member anyValue_

2004-03-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/EventChannelImpl.java: code cleanup

2004-03-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/EventChannelFactoryImpl.java: removed unused member

2004-03-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AnyMessage.java: synchronized access to member
          structuredEventValue_

2004-03-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/ChannelContext.java: removed superfluous code

2004-03-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: AnyMessage.java, StructuredEventMessage.java:
          added toString method

2004-03-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractMessage.java: whitespace

2004-03-13  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * poa/POA.java:
          (makeDestructionComplete) added whitespace in log statement

2004-03-12  Simon McQueen  <sm@prismtechnologies.com>

        * naming/namemanager/NSTableCellRenderer.java: Fixed compile error.
          Color.blue not Color.BLUE.

2004-03-11  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/parser.cup: Added print unrecognized option to cup file as
          well.

2004-03-05  Gerald Brose  <gerald.brose@acm.org>

        * idl/EnumType.java:
          (parse) changed error message for name clashes

2004-03-05  Gerald Brose  <gerald.brose@acm.org>

        * util/Environment.java:
          (initLogging) after the most recent fix, the default logger would
          never log to file, so fixed that again.

2004-03-04  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/SASClientInterceptor.java: Handle 1 byte service
          context

2004-03-04  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/GSSUPContextSpi.java,
          security/sas/GSSUPCredentialSpi.java,
          security/sas/GSSUPMechFactory.java,
          security/sas/GSSUPNameSpi.java,
          security/sas/SASTargetInterceptor.java, orb/ServantDelegate.java,
          orb/portableInterceptor/ClientInterceptorIterator.java: Debug
          messages

2004-03-04  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/README: information was merged into the programming
          guide

2004-03-04  Gerald Brose  <gerald.brose@acm.org>

        * naming/namemanager/NSTableCellRenderer.java: [no log message]

2004-03-03  Gerald Brose  <gerald.brose@acm.org>

        * naming/: NameServer.java, namemanager/ContextNode.java,
          namemanager/Handler.java, namemanager/NSTable.java,
          namemanager/NSTableModel.java, namemanager/NSTree.java,
          namemanager/NameManager.java, namemanager/ObjectDialog.java: GUI
          enhancements (added shortcuts, e.g) and a bug fix (synchronization
          problem that results in ArrayyOutOfBoundsException when doing an
          unbind)

2004-03-03  Gerald Brose  <gerald.brose@acm.org>

        * util/Environment.java:
          (initLogging) explic call to set log file on logger factory, fix for
          #466

2004-03-03  Gerald Brose  <gerald.brose@acm.org>

        * util/LogKitLoggerFactory.java: new defaultTarget field and
          corresponding code  in getNamedLogger(String name, LogTarget
          target), new method setDefaultLogFile() all used to fix #466 (thnx,
          Simon!)

2004-03-03  Gerald Brose  <gerald.brose@acm.org>

        * util/LoggerFactory.java:
          (setDefaultLogFile) new method, used in fixing #466

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * util/Debug.java:
          (output) log messages with level != WARN were logged with level WARN

          whitespace

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/TaskProcessor.java: javadoc

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: EventChannelFactoryImpl.java, Main.java:
          (EventChannelFactoryImpl) now extends JacORB specific extension of
          CosNotification.idl. This is a management IF.

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/ChannelContext.java: renamed variables

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/conf/: Configuration.java, Default.java: added new
          properties

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/StructuredEventMessage.java: whitespace

          (startTime_)
          (stopTime_) explicitely set to null before usage

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/TaskProcessor.java:
          (scheduleTimedPushTask) check if MessageConsumer is not disposed
          before scheduling it for delivery

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/SupplierAdminTieImpl.java: javadoc

          renamed member key to id

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/StructuredProxyPullConsumerImpl.java:
          whitespace

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: servant/ProxyPushSupplierImpl.java,
          SubscriptionManager.java: [no log message]

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/AbstractProxyConsumer.java: QosPropertySet
          has been moved to new package.

          QoS defaults are now managed in class QoSPropertySet

          (checkMessageProperties) dont throw BAD_QOS if Message has
          Start/StopTimeSupported set.

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/: AbstractProxy.java,
          ConsumerAdminTieImpl.java:
          (mapping_filter)
          (lifetime_filter)  return CORBA null ref instead of Java null if no
          filter was set

          renamed member key to id

          QoSPropertySet has been moved to package util

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/AbstractAdmin.java: QosPropertySet has been
          moved to new package.

          QoS defaults are now managed in class QoSPropertySet

          renamed member key to id

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: queue/EventQueueFactory.java,
          servant/AbstractProxySupplier.java,
          servant/SequenceProxyPushSupplierImpl.java,
          EventChannelImpl.java: QosPropertySet has been moved to new
          package.

          QoS defaults are now managed in class QoSPropertySet

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/ServantFactory.java: removed superfluous
          class

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: servant/AdminPropertySet.java,
          servant/PropertySet.java, servant/PropertySetListener.java,
          servant/QoSPropertySet.java, util/AdminPropertySet.java,
          util/PropertySet.java, util/PropertySetListener.java,
          util/QoSPropertySet.java: moved to package util

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/interfaces/MessageConsumer.java: added method
          isDisposed

2004-03-03  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/AbstractDeliverTask.java: added doc

          changed log level

2004-03-03  Simon McQueen  <sm@prismtechnologies.com>

        * util/Environment.java: Fixed comments.

2004-03-01  francisco

        * orb/CDRInputStream.java:
          - Improve debugging info in MARSHAL exceptions.
          - Fix alignment bug in read_codebase(). This bug showed up
            when unmarshaling a valuetype that contains a Java long
            (IDL long long) field was marshaled with codebase info.

2004-02-27  Gerald Brose  <gerald.brose@acm.org>

        * util/Debug.java: (output(Logger logger, int msg_level, Throwable
          e)) added so that stack traces can be output more conveniently from
          our code.

          Also changed a number of output methods so that now the integer log
          priority is actually honored.

2004-02-26  Gerald Brose  <gerald.brose@acm.org>

        * orb/portableInterceptor/ClientRequestInfoImpl.java: (c'tor)
          applied patch from OCI to avoid unchecked cast (?)

2004-02-25  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/filter/: EvaluationContext.java,
          FilterConstraint.java, FilterUtils.java: whitespace

          (setMessage) renamed setMessagea to setMessage

2004-02-25  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: FilterImpl.java, MappingFilterImpl.java:
          (match)
          (match_structured) match on empty filter should return false

2004-02-25  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/filter/FilterUtils.java:
          (calcConstraintKey) empty domain_name or type_name should be mapped
          to "*". thanks to John Farrell for reporting this bug.

2004-02-25  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/filter/FilterConstraint.java: rootNode_ is null if
          the filter expression was "". this wasn't handled correctly. thanks
          to John Farrell for reporting this bug.

2004-02-25  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/filter/EvaluationResult.java: whitespace

          code cleanup

2004-02-24  David R Robison  <drrobison@openroadsconsulting.com>

        * idl/parser.java: Print unrecognized option

2004-02-24  David R Robison  <drrobison@openroadsconsulting.com>

        * idl/ValueInheritanceSpec.java: Remove redeclaration of Vector v

2004-02-24  Gerald Brose  <gerald.brose@acm.org>

        * orb/Delegate.java:
          (try_rebind) added a line supplied by OCI so that lastFailedIOR is
          reset to null (fixes a location forwarding problem).

2004-02-24  Simon McQueen  <sm@prismtechnologies.com>

        * orb/iiop/ClientIIOPConnection.java:
          (checkSSL): Fixed bug #464.

          SSL should now work if client is configured to require it.

2004-02-24  Simon McQueen  <sm@prismtechnologies.com>

        * security/ssl/sun_jsse/SSLSocketFactory.java: Fixed incorrect
          error message.

2004-02-24  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: FilterFactoryImpl.java, FilterImpl.java,
          MappingFilterImpl.java: fixed bug reported by John Farrell
          news://news.gmane.org:119/200402241510.49869.Farrell_John_W@cat.com

          an ConstraintExp that contains an empty EventType seq  should behave
          as if EventType {"*", "*"} has been specified.

2004-02-24  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/ConstraintEntry.java: whitespace

          renamed variable

2004-02-23  David R Robison  <drrobison@openroadsconsulting.com>

        * idl/ValueDecl.java: setInheritanceSpec() to getInheritanceSpec()

2004-02-23  Simon McQueen  <sm@prismtechnologies.com>

        * poa/POA.java:
          (_invoke): Beefed up the debug level log output for WrongAdapter
          circumstances.

2004-02-20  Gerald Brose  <gerald.brose@acm.org>

        * idl/StructType.java:
          (printStructClass) fix for bug #462

2004-02-20  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/util/EventTypeUtil.java: Utility Class for CORBA
          EventTypes

2004-02-20  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/: engine/PullFromSupplierTask.java,
          engine/TaskProcessor.java, interfaces/MessageSupplier.java,
          interfaces/TimerEventSupplier.java, servant/AbstractProxy.java,
          servant/AbstractProxyConsumer.java,
          servant/AbstractProxyConsumerI.java,
          servant/AbstractProxySupplier.java,
          servant/ProxyPullConsumerImpl.java,
          servant/ProxyPullSupplierImpl.java,
          servant/ProxyPushConsumerImpl.java,
          servant/ProxyPushSupplierImpl.java,
          servant/SequenceProxyPullConsumerImpl.java,
          servant/SequenceProxyPullSupplierImpl.java,
          servant/SequenceProxyPushConsumerImpl.java,
          servant/SequenceProxyPushSupplierImpl.java,
          servant/StructuredProxyPullConsumerImpl.java,
          servant/StructuredProxyPullSupplierImpl.java,
          servant/StructuredProxyPushConsumerImpl.java,
          servant/StructuredProxyPushSupplierImpl.java: renamed interface
          TimerEventSupplier to MessageSupplier

          moved State Control (connected/disconnected) for Proxies to the
          Baseclasses

          javadoc

          whitespace

2004-02-20  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractMessage.java: javadoc

2004-02-20  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/filter/etcl/AbstractTCLNode.java: javadoc

          whitespace

2004-02-19  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/FilterImpl.java: fixed a bug

          (news://news.gmane.org:119/200402191446.17527.Farrell_John_W@cat.com).Thanks a lot to John Farrell for reporting the bug and providing the
          fix.

          whitespace.

2004-02-18  Gerald Brose  <gerald.brose@acm.org>

        * naming/: Name.java, NameServer.java, NamingContextImpl.java,
          namemanager/ContextNode.java, namemanager/Handler.java,
          namemanager/NSTable.java, namemanager/NSTableModel.java,
          namemanager/NSTree.java, namemanager/NameManager.java,
          namemanager/ObjectDialog.java: Added the bindObject operation to
          the GUI and display contexts in table

2004-02-16  Gerald Brose  <gerald.brose@acm.org>

        * util/Version.java: Version update for 2.1

2004-02-14  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/EventChannelFactoryImpl.java:
        (shutdown) the estimated shutdown time is now based on the number
        of connected Consumers and Suppliers

        * notification/EventChannelImpl.java:
        added method getNumberOfConnectedClients

        * notification/Main.java: whitespace

2004-02-13  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/EventChannelFactoryImpl.java: code cleanup

        replaced Vector with ArrayList

        * notification/EventChannelImpl.java: code cleanup

        * notification/EventTypeSet.java: whitespace

        * notification/MessageFactory.java: code cleanup

        whitespace

        * notification/engine/AbstractDeliverTask.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/PushToConsumerTask.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ConsumerAdminTieImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminTieImpl.java:
        (deliverMessage) ProxySuppliers do not catch exception
        Disconnected anymore. instead the calling PushToConsumerTask
        destroys the ProxySupplier.

        (runPullEvent) may throw Disconnected now too. this causes the
        ProxyConsumer to be destroyed.

        whitespace

        * notification/interfaces/TimerEventSupplier.java: added dispose
        operation so that dispose() can be called if pull operation raises
        Disconnected

        * notification/interfaces/MessageConsumer.java:
        (deliverMessage) changed signature. push operations may raise
        Disconnected not NotConnected.

        * notification/engine/TaskProcessor.java: whitespace

2004-02-13  Gerald Brose  <gerald.brose@acm.org>

        * idl/Interface.java:  comment change only

2004-02-13  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/EnumType.java, idl/Interface.java: Correct accessor

        * idl/TypeMap.java: printStackTrace->getLogger().debug

        * idl/JacIDL.java: Make the error output consistent

        * idl/lexer.java: Removed some printStackTrace

        * idl/parser.cup, idl/parser.java, idl/sym.java: Updated doc and
        regenerated parser.

2004-02-13  Gerald Brose  <gerald.brose@acm.org>

        * idl/parser.cup: renamed j2me flag to cldc10

2004-02-13  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/AbstractMessage.java: organized imports

2004-02-13  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/GlobalInputStream.java, idl/ScopedName.java, idl/build.xml,
        idl/parser.cup, idl/parser.java, idl/sym.java: Remove deprecated
        -i option on the compiler. Updated docs.

2004-02-13  Nicolas Noffke  <nicolas.noffke@web.de>

        * security/sas/SASClientInterceptor.java:
        (receive_reply, receive_exception) fixed bug: calling
        ri.get_reply_service_context() instead of
        ri.get_request_service_context()

2004-02-13  Simon McQueen  <sm@prismtechnologies.com>

        * orb/IIOPAddress.java (equals): Fix for out of memory error
        caused by using object equality rather than .equals()

2004-02-12  Gerald Brose  <gerald.brose@acm.org>

        * util/Version.java: new intermediate date

        * orb/giop/ReplyPlaceholder.java:
        (timeout) method tentatively commented out, seems not to get used
        by any code

        * orb/giop/GIOPConnectionManager.java: use new logging

        * orb/giop/GIOPConnection.java:
        (receiveMessages) added returning message buffer to buffer manager
        in two error cases to avoid potential memory leakage

        * idl/parser.java, idl/sym.java: *** empty log message ***

        * idl/EnumType.java: (printEnumClass) j2me behavior

        * idl/Interface.java:
        (printStub) new code supplied by Nokia for J2ME compatibility

        * idl/parser.cup: new option -j2me

2004-02-11  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/engine/PushToConsumerTask.java: whitespace

        reset errorcounter after successful delivery

        * notification/engine/TaskProcessor.java: whitespace

        added doc

        * notification/engine/FilterConsumerAdminTask.java: code cleanup

        * notification/engine/AbstractTaskPool.java: whitespace

        * notification/engine/AbstractFilterTask.java: doc

        * notification/engine/AbstractDeliverTask.java:
        renamed variable target_ to messageConsumer_

        removed commented out code

2004-02-11  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/SASTargetInterceptor.java: _is_a and _non_existent
        fix - this helps with the Name service

        * security/sas/SASClientInterceptor.java: _is_a fix

2004-02-09  Gerald Brose  <gerald.brose@acm.org>

        * orb/giop/ServerGIOPConnection.java:
        (close) new method to override super class' close and to
        unregister the connection from its manager. Fixes #456 and #458

        * orb/portableInterceptor/CodecFactoryImpl.java: uses new
        CodecImpl implementation

2004-02-09  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ConsumerAdminTieImpl.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminTieImpl.java,
        notification/servant/AbstractAdmin.java: added support for
        operations offer_change and subscription_change

        * notification/EventChannelImpl.java,
        notification/EventTypeSet.java, notification/OfferManager.java,
        notification/SubscriptionManager.java: support for operations
        offer_change and subscription_change

        * notification/MessageFactory.java: *** empty log message ***

        * notification/EventChannelFactoryImpl.java: modified log message

        * notification/ChannelContext.java: whitespace

        * notification/AnyMessage.java: replaced string literal with constant

2004-02-09  Gerald Brose  <gerald.brose@acm.org>

        * orb/IIOPAddress.java: cosmetics (coding style)

2004-02-09  Andre Spiegel  <spiegel@gnu.org>

        * orb/IIOPAddress.java: Revert back to version 1.7, but change
        equals() and hashCode() to use the IP address for all comparisons,
        not the host name.

2004-02-08  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/MessageFactory.java: an Any that is wrapped in a
        StructuredEvent is extracted by the Channel before its processed
        further.

        Similarly, a StructuredEvent wrapped in an Any is extracted before
        further processing.

        See page 2-11 in the Spec.

        * notification/FilterManager.java, notification/KeyedListEntry.java:
        removed superfluous class KeyedListEntry

        * notification/AbstractMessage.java, notification/AnyMessage.java,
        notification/StructuredEventMessage.java:
        (match) moved method to superclass

        * notification/CollectionsWrapper.java: whitespace

        * notification/engine/TaskProcessor.java: renamed method
        processEventInternal to processMessageInternal

        * notification/engine/FilterProxySupplierTask.java: replaced
        Hashtable with HashMap

2004-02-06  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/portableInterceptor/ClientRequestInfoImpl.java: Logger name
        match other interceptor logger

2004-02-06  Gerald Brose  <gerald.brose@acm.org>

        * orb/portableInterceptor/CodecImpl.java: replaces old
        Codec_CDR_1_0_Impl

2004-02-06  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/SASTargetInterceptor.java: Debug messages

2004-02-06  Gerald Brose  <gerald.brose@acm.org>

        * orb/ORB.java: added policyManager field and getPolicyManager()
        operation

        * orb/Delegate.java:
        (get_client_policy) now also checks for policies at the ORB-level

        * orb/policies/PolicyManager.java, orb/policies/PolicyUtil.java:
        *** empty log message ***

2004-02-05  Nick Cross  <nick.cross@prismtechnologies.com>

        * naming/NamingContextImpl.java, orb/Delegate.java,
        orb/giop/ClientConnection.java,
        orb/giop/ClientConnectionManager.java,
        orb/giop/GIOPConnection.java, orb/iiop/ClientIIOPConnection.java,
        orb/iiop/IIOPConnection.java,
        orb/standardInterceptors/SASComponentInterceptor.java,
        proxy/ProxyImpl.java, security/sas/GSSUPContextSpi.java,
        security/sas/GSSUPNameSpi.java,
        security/sas/GSSUPProviderInitializer.java,
        security/sas/GssUpContext.java, security/sas/JsseContext.java,
        security/sas/KerberosContext.java, security/sas/NullContext.java,
        security/sas/SASClientInterceptor.java,
        security/sas/SASInitializer.java,
        security/sas/SASTargetInterceptor.java,
        util/threadpool/ThreadPool.java:
        org.jacorb.util.Debug.getNamedLogger -> Debug.getNamedLogger

2004-02-05  David R Robison  <drrobison@openroadsconsulting.com>

        * orb/iiop/ClientIIOPConnection.java: AdironTest TLS_CSIv2_UP UP -
        test now working

2004-02-05  Nick Cross  <nick.cross@prismtechnologies.com>

        * security/sas/ATLASPolicyImpl.java,
        security/sas/GSSUPContextSpi.java,
        security/sas/GSSUPMechFactory.java,
        security/sas/GSSUPNameSpi.java,
        security/sas/GSSUPProviderInitializer.java,
        security/sas/GssUpContext.java, security/sas/ISASContext.java,
        security/sas/JsseContext.java, security/sas/KerberosContext.java,
        security/sas/NullContext.java,
        security/sas/SASClientInterceptor.java,
        security/sas/SASInitializer.java, security/sas/SASPolicyImpl.java,
        security/sas/SASTargetInterceptor.java: Whitespace only - tab
        removal

2004-02-05  David R Robison  <drrobison@openroadsconsulting.com>

        * orb/util/PrintIOR.java: Print SAS target name

2004-02-05  Nick Cross  <nick.cross@prismtechnologies.com>

        * imr/ImplementationRepositoryImpl.java: Removed stacktrace

        * imr/ServerStartupDaemonImpl.java: printStackTrace -> Debug.output

2004-02-05  David R Robison  <drrobison@openroadsconsulting.com>

        * orb/util/PrintIOR.java: tabs to spaces

        * security/sas/GSSUPNameSpi.java, security/sas/GssUpContext.java,
        security/sas/NullContext.java: AdironTest IIOP_CSIv2 Basic - test
        now works

        * orb/util/PrintIOR.java: removed reference to org.ietf.jgss

2004-02-05  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/util/PrintIOR.java: Whitespace only

2004-02-05  Simon McQueen  <sm@prismtechnologies.com>

        * imr/ImplementationRepositoryImpl.java: Fixed use of request
        stream header target for all fomats of TargetAddress.

        * orb/giop/LocateRequestInputStream.java,
        orb/giop/RequestInputStream.java: Removed use of
        ParsedIOR.unfiyTargetAddress which was coercing all
        TargetAddresses to GIOP 1.0 form.

        * orb/dsi/ServerRequest.java (Constructor): Changed initialisation
        of object_key attribute for general case TargetAddress.

        * orb/ParsedIOR.java (unfiyTargetAddress, extractObjectKey): First
        method removed and replaced by the second.  This allows the
        extraction of an object key from a TargetAddress without modifying
        the TargetAddress object.  Now works for all profiles rather than
        just IIOP.

2004-02-05  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/standardInterceptors/SASComponentInterceptor.java:
        Whitespace only (tab removal)

2004-02-04  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/ServantDelegate.java,
        orb/portableInterceptor/ServerRequestInfoImpl.java: Fix for bug
        #444: pass non-null arguments to _all_interfaces().

2004-02-04  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/GSSUPNameSpi.java, security/sas/GssUpContext.java,
        security/sas/ISASContext.java, security/sas/JsseContext.java,
        security/sas/KerberosContext.java,
        security/sas/SASClientInterceptor.java,
        security/sas/SASTargetInterceptor.java: Interoperability Tests
        with Adiron

        * orb/util/PrintIOR.java: SAS tag components

2004-02-04  Francisco Reverbel  <reverbel@ime.usp.br>

        * orb/portableInterceptor/InterceptorManager.java: WeakHashMap
        currents (from Threads to PICurrent instances) replaced by a
        ThreadLocal variable (piCurrent). Before this change, multiple
        PICurrent instances could somehow be associated with the same
        thread. (This was happening in JBoss, which uses a PICurrent for
        the transaction context.)

2004-02-04  Gerald Brose  <gerald.brose@acm.org>

        * util/Version.java: changed to 2.1 beta (CVS)

        * naming/ContextLister.java: removed ^M's...

        * idl/JacIDL.java: changed default debug level to 1

        * orb/IIOPAddress.java: fix for bug# 453: rely internally on
        java.net.InetAddress as the representation, especially for
        equals() and hashCode().

        * orb/Delegate.java: minor logging changes

        * orb/giop/GIOPConnection.java: more logger changes

        * orb/giop/ClientConnection.java: added about four words of
        javadoc comment

        * orb/iiop/IIOPProfile.java:
        (equals) compare only the primaryAddress (as in hashCode()!)

        * util/threadpool/ThreadPool.java, orb/giop/ClientConnection.java:
        updates for new logging framework

        * orb/Delegate.java: logging code changed

        * orb/ORB.java: first step towards policy manager, new field added

        * orb/giop/ClientConnectionManager.java: updates for new logging
        framework

        * orb/giop/GIOPConnection.java:
        (readMessage) updates for new logging framework

        * orb/iiop/IIOPConnection.java: updated logging to new logger
        framework

        * orb/iiop/ClientIIOPConnection.java: updated logging to logger
        framework

2004-02-03  Francisco Reverbel  <reverbel@ime.usp.br>

        * util/Environment.java: Revert change of the "jacorb.implname"
        property (from "jacorb.impl_name" back to
        "jacorb.implname"). Applications that rely on this property were
        throwing OBJECT_NOT_EXIST ("object key not previously generated!")
        due to the implname not being set.

2004-02-02  Gerald Brose  <gerald.brose@acm.org>

        * idl/ValueDecl.java:
        (print) added check so that no code is generated for included
        definitions

2004-02-01  Francisco Reverbel  <reverbel@ime.usp.br>

        * util/Environment.java: Property name changed back to
        "jacorb.interop.strict_check_on_tc_creation"
        (instead of "jacorb.strict_check_on_tc_creation"), as the name
        with "interop" appears in the regression tests and in the
        .jacorb.properties template.

        * poa/RequestProcessor.java: Instead of leaving the wait loop, a
        RequestProcessor thread now ignores InterruptedException while it
        waits for a new task.

2004-02-01  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/SASTargetInterceptor.java,
        orb/portableInterceptor/InterceptorManager.java: SAS Intrerceptors

2004-01-30  Gerald Brose  <gerald.brose@acm.org>

        * idl/IdlSymbol.java, idl/Literal.java, idl/build.xml,
        idl/fixed_token.java, idl/lexer.java, idl/parser.cup,
        idl/parser.java, idl/runtime/char_token.java,
        idl/runtime/double_token.java, idl/runtime/float_token.java,
        idl/runtime/int_token.java, idl/runtime/long_token.java,
        idl/runtime/lr_parser.java, idl/runtime/str_token.java,
        idl/runtime/symbol.java, idl/runtime/token.java,
        idl/runtime/virtual_parse_stack.java, idl/str_token.java,
        idl/sym.java: Incorporated Java_CUP runtime classes into the
        JacORB package name space to avoid clashes with newer java_cup
        libararies used elsewhere.

2004-01-30  Nick Cross  <nick.cross@prismtechnologies.com>

        * naming/NamingContextImpl.java, orb/CDROutputStream.java,
        poa/POAManagerMonitorImpl.java, poa/POAMonitorImpl.java,
        util/Debug.java, util/Environment.java: As Alphonse has made
        jacorb.log.default.log_pattern configurable removed
        jacorb.log.timestamp. Simplified environment more.

2004-01-30  David R Robison  <drrobison@openroadsconsulting.com>

        * orb/portableInterceptor/InterceptorManager.java:
        Let PICcurrent pass to target methods

2004-01-30  Nick Cross  <nick.cross@prismtechnologies.com>

        * util/LogKitLoggerFactory.java: Whitespace only

2004-01-30  Nicolas Noffke  <nicolas.noffke@web.de>

        * security/sas/SASTargetInterceptor.java:
        (constructor) assigning value of useSsl from Boolean.valueOf()
        instead of Boolean.getBoolean()

2004-01-29  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxyConsumer.java,
        notification/servant/AbstractProxyConsumerI.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/AdminPropertySet.java,
        notification/servant/ConsumerAdminTieImpl.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/ManageableServant.java,
        notification/servant/PropertySet.java,
        notification/servant/PropertySetListener.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/QoSPropertySet.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/ServantFactory.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/SupplierAdminTieImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java:
        cleanup.

        make better use of inheritance hierarchy.
        fixed a wrong value returned by Proxy.MyType().

        rewrote QoS Settings Management.

        * notification/queue/EventQueueFactory.java:
        replaced references to PropertyManager with QoSPropertySet

        * notification/interfaces/FilterStage.java: renamed method

        * notification/engine/TaskProcessor.java:
        set Name for ClockDaemon Thread

        * notification/engine/TaskFactory.java,
        notification/engine/PushToConsumerTask.java: whitespace

        * notification/engine/FilterProxySupplierTask.java: added doc

        whitespace

        * notification/engine/FilterProxyConsumerTask.java,
        notification/engine/FilterConsumerAdminTask.java: renamed method

        * notification/conf/Configuration.java,
        notification/conf/Default.java: added properties:
        "jacorb.notification.consumer.max_number"
        "jacorb.notification.supplier.max_number"
        "jacorb.notification.start_time_supported"
        "jacorb.notification.stop_time_supported"
        "jacorb.notification.proxy.destroy_causes_disconnect"

        * notification/EventChannelImpl.java,
        notification/EventTypeIdentifier.java,
        notification/FilterFactoryImpl.java, notification/FilterImpl.java,
        notification/FilterManager.java, notification/KeyedListEntry.java,
        notification/Main.java, notification/MessageFactory.java,
        notification/StructuredEventMessage.java: further code cleanup

        * notification/EventChannelFactoryImpl.java: cleanup

        * notification/ConstraintEntry.java: added method getConstraintKey.

        * notification/ChannelContext.java: cleanup

        * notification/ApplicationContext.java: removed references to
        removed classes

        * notification/AbstractMessage.java: modified log output

        * notification/properties.html, notification/README.PROPERTIES:
        merged into ProgrammingGuide

        * notification/PropertyManager.java,
        notification/PropertyValidator.java: removed

        * notification/util/TaskExecutor.java: changed log output

2004-01-28  David R Robison  <drrobison@openroadsconsulting.com>

        * security/sas/ATLASPolicyFactory.java,
        security/sas/ATLASPolicyImpl.java, security/sas/GssUpContext.java,
        security/sas/ISASContext.java, security/sas/JsseContext.java,
        security/sas/KerberosContext.java,
        security/sas/SASClientInitializer.java,
        security/sas/SASClientInterceptor.java,
        security/sas/SASInitializer.java,
        security/sas/SASPolicyFactory.java,
        security/sas/SASPolicyImpl.java,
        security/sas/SASTargetInitializer.java,
        security/sas/SASTargetInterceptor.java,
        orb/standardInterceptors/IORInterceptorInitializer.java,
        orb/standardInterceptors/SASComponentInterceptor.java: SASPolicy

2004-01-28  Andre Spiegel  <spiegel@gnu.org>

        * orb/iiop/IIOPListener.java (createEndPointProfile): Make the
        IIOPAddress from either the symbolic or the numeric host name,
        depending on what we need later (jacorb.dns.enable).  Fix for bug
        #447.

2004-01-28  David R Robison  <drrobison@openroadsconsulting.com>

        * util/LogKitLoggerFactory.java: Use text for debug levels

2004-01-28  Nicolas Noffke  <nicolas.noffke@web.de>

        * orb/giop/GIOPConnection.java:
        removed debug code that unintentionally got into my last commit

        * orb/giop/BiDirConnectionClientInterceptor.java:
        (fix for bug #449) non bidir connections will have their request
        listener replaced if necessary

        * orb/giop/ClientConnection.java:
        (fix for bug #449) added method getGIOPConnection() so the
        BiDirConnectionClientInterceptor gets access to the GIOPConnection

        * orb/giop/GIOPConnection.java:
        (fix for bug #449) made getRequestListener() protected so it can
        be accessed by the BiDirConnectionClientInterceptor.

2004-01-26  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * util/LogKitLoggerFactory.java: PatternFormat used by console
        logger can be set by new property jacorb.log.default.log_pattern

        (getNamedLogger) if no priority is set for the requested logger use
        the priority of the parent logger.

        (getNamedLogger) null LogTarget defaults to consoleTarget

2004-01-24  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/properties.html: Properties as HTML

2004-01-23  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/util/AbstractObjectPool.java: removed debugging code

        * notification/filter/FilterConstraint.java: removed unnecessary
        Reference to class

        * notification/AbstractAdmin.java,
        notification/AbstractMessage.java,
        notification/AbstractProxy.java,
        notification/AbstractProxySupplier.java,
        notification/AnyMessage.java,
        notification/ApplicationContext.java,
        notification/ChannelContext.java,
        notification/ConfigurableProperties.java,
        notification/Constants.java, notification/ConstraintEntry.java,
        notification/ConsumerAdminTieImpl.java,
        notification/EvaluationContext.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventChannelImpl.java,
        notification/FilterFactoryImpl.java, notification/FilterImpl.java,
        notification/FilterManager.java, notification/MessageFactory.java,
        notification/MessageUtils.java,
        notification/ProxyPullConsumerImpl.java,
        notification/ProxyPullSupplierImpl.java,
        notification/ProxyPushConsumerImpl.java,
        notification/ProxyPushSupplierImpl.java,
        notification/README.PROPERTIES,
        notification/SequenceProxyPullConsumerImpl.java,
        notification/SequenceProxyPullSupplierImpl.java,
        notification/SequenceProxyPushConsumerImpl.java,
        notification/SequenceProxyPushSupplierImpl.java,
        notification/StructuredEventMessage.java,
        notification/StructuredProxyPullConsumerImpl.java,
        notification/StructuredProxyPullSupplierImpl.java,
        notification/StructuredProxyPushConsumerImpl.java,
        notification/StructuredProxyPushSupplierImpl.java,
        notification/SupplierAdminTieImpl.java, notification/build.xml,
        notification/conf/Configuration.java,
        notification/conf/Default.java,
        notification/engine/AbstractDeliverTask.java,
        notification/engine/AbstractFilterTask.java,
        notification/engine/AbstractTask.java,
        notification/engine/FilterConsumerAdminTask.java,
        notification/engine/FilterProxyConsumerTask.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/FilterSupplierAdminTask.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/PushToConsumerTask.java,
        notification/engine/TaskFactory.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TimerDeliverTask.java,
        notification/filter/ComponentName.java,
        notification/filter/DynamicEvaluator.java,
        notification/filter/EvaluationContext.java,
        notification/filter/EvaluationException.java,
        notification/filter/EvaluationResult.java,
        notification/filter/FilterConstraint.java,
        notification/filter/FilterUtils.java,
        notification/filter/ParseException.java,
        notification/filter/RuntimeVariable.java,
        notification/filter/etcl/AbstractTCLNode.java,
        notification/filter/etcl/AbstractTCLVisitor.java,
        notification/filter/etcl/AndOperator.java,
        notification/filter/etcl/ArrayOperator.java,
        notification/filter/etcl/AssocOperator.java,
        notification/filter/etcl/BoolValue.java,
        notification/filter/etcl/ComponentPositionOperator.java,
        notification/filter/etcl/CurrentTimeNode.java,
        notification/filter/etcl/DefaultOperator.java,
        notification/filter/etcl/DivOperator.java,
        notification/filter/etcl/DomainNameShorthandNode.java,
        notification/filter/etcl/DotOperator.java,
        notification/filter/etcl/ETCLComponentName.java,
        notification/filter/etcl/EqOperator.java,
        notification/filter/etcl/EventNameShorthandNode.java,
        notification/filter/etcl/ExistOperator.java,
        notification/filter/etcl/GtOperator.java,
        notification/filter/etcl/GteOperator.java,
        notification/filter/etcl/IdentValue.java,
        notification/filter/etcl/ImmutableEvaluationResult.java,
        notification/filter/etcl/ImplicitOperator.java,
        notification/filter/etcl/ImplicitOperatorNode.java,
        notification/filter/etcl/InOperator.java,
        notification/filter/etcl/LtOperator.java,
        notification/filter/etcl/LteOperator.java,
        notification/filter/etcl/MessageUtils.java,
        notification/filter/etcl/MinusOperator.java,
        notification/filter/etcl/MultOperator.java,
        notification/filter/etcl/NeqOperator.java,
        notification/filter/etcl/NotOperator.java,
        notification/filter/etcl/NumberValue.java,
        notification/filter/etcl/OrOperator.java,
        notification/filter/etcl/PlusOperator.java,
        notification/filter/etcl/PropertyShorthandNode.java,
        notification/filter/etcl/RuntimeVariableNode.java,
        notification/filter/etcl/StaticTypeChecker.java,
        notification/filter/etcl/StaticTypeException.java,
        notification/filter/etcl/StringValue.java,
        notification/filter/etcl/SubstrOperator.java,
        notification/filter/etcl/TCLCleanUp.java,
        notification/filter/etcl/TypeNameShorthandNode.java,
        notification/filter/etcl/UnionPositionOperator.java,
        notification/filter/etcl/VisitorException.java,
        notification/filter/etcl/grammar/CommonTokenTypes.txt,
        notification/filter/etcl/grammar/comp-lexer.g,
        notification/filter/etcl/grammar/tcl-lexer.g,
        notification/filter/etcl/grammar/tcl.g,
        notification/interfaces/AdminEvent.java,
        notification/interfaces/FilterStage.java,
        notification/interfaces/Message.java,
        notification/interfaces/ProxyCreationRequestEvent.java,
        notification/interfaces/ProxyDisposedEvent.java,
        notification/interfaces/ProxyEvent.java,
        notification/servant/AbstractAdmin.java,
        notification/servant/AbstractProxy.java,
        notification/servant/AbstractProxySupplier.java,
        notification/servant/ConsumerAdminTieImpl.java,
        notification/servant/ECProxyPullConsumerImpl.java,
        notification/servant/ECProxyPullSupplierImpl.java,
        notification/servant/ECProxyPushConsumerImpl.java,
        notification/servant/ECProxyPushSupplierImpl.java,
        notification/servant/FilterStageListManager.java,
        notification/servant/ManageableServant.java,
        notification/servant/ProxyPullConsumerImpl.java,
        notification/servant/ProxyPullSupplierImpl.java,
        notification/servant/ProxyPushConsumerImpl.java,
        notification/servant/ProxyPushSupplierImpl.java,
        notification/servant/SequenceProxyPullConsumerImpl.java,
        notification/servant/SequenceProxyPullSupplierImpl.java,
        notification/servant/SequenceProxyPushConsumerImpl.java,
        notification/servant/SequenceProxyPushSupplierImpl.java,
        notification/servant/ServantFactory.java,
        notification/servant/StructuredProxyPullConsumerImpl.java,
        notification/servant/StructuredProxyPullSupplierImpl.java,
        notification/servant/StructuredProxyPushConsumerImpl.java,
        notification/servant/StructuredProxyPushSupplierImpl.java,
        notification/servant/SupplierAdminTieImpl.java: general cleanup to
        simplify dependencies

        moved Admins and Proxies to package notification.servant

        moved Filter related Stuff to package notification.filter

        moved AST classes in package notification.filter.etcl

        added javadoc

        whitespace

        * notification/queue/EventQueueFactory.java:
        replaced Hashtable by HashMap

        whitespace

        * notification/queue/BoundedPriorityEventQueue.java,
        notification/queue/BoundedDeadlineEventQueue.java: replaced Vector
        by ArrayList

        whitespace

        * notification/queue/AbstractBoundedEventQueue.java: whitespace

        * notification/util/WildcardMap.java: replaced Vector by ArrayList

        added javadoc

        added whitespace

2004-01-17  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/ConstraintEntry.java,
        notification/EventChannelFactoryImpl.java,
        notification/FilterImpl.java,
        notification/SequenceProxyPushSupplierImpl.java,
        notification/StructuredProxyPushSupplierImpl.java,
        notification/SupplierAdminTieImpl.java:
        (*) renamed getConstraintEvaluator -> getFilterConstraint

        * notification/queue/EventQueue.java: cleanup, fixed javadoc

        * notification/queue/QueueUtil.java,
        notification/queue/EventQueueFactory.java: cleanup, added private
        ctor

        * notification/util/TaskExecutor.java: cleanup

        * notification/util/TaskExecutor.java: cosmetics

        * notification/engine/TaskProcessor.java,
        notification/engine/TimerDeliverTask.java,
        notification/engine/AbstractTask.java,
        notification/engine/AbstractDeliverTask.java,
        notification/AbstractProxySupplier.java: whitespace

2004-01-16  Alphonse Bendt  <bendt@inf.fu-berlin.de>

        * notification/EventChannelFactoryImpl.java: commented out
        references to not yet checked in classes

        * notification/README.PROPERTIES: added new property
        jacorb.notification.proxysupplier.threadpolicy

        * notification/EvaluationContext.java:
        (*) removed references to removed class ResultExtractor

        * notification/build.xml: added target clean.classes that only
        cleans compiled classes and leaves generated sources (antlr)
        intact.

        * notification/AbstractAdmin.java,
        notification/AbstractMessage.java,
        notification/AbstractProxy.java,
        notification/AbstractProxySupplier.java,
        notification/ApplicationContext.java,
        notification/ChannelContext.java,
        notification/ConfigurableProperties.java,
        notification/Constants.java,
        notification/ConsumerAdminTieImpl.java,
        notification/EventChannelFactoryImpl.java,
        notification/EventChannelImpl.java, notification/FilterImpl.java,
        notification/MessageFactory.java, notification/MessageUtils.java,
        notification/ProxyPullConsumerImpl.java,
        notification/ProxyPullSupplierImpl.java,
        notification/ProxyPushConsumerImpl.java,
        notification/ProxyPushSupplierImpl.java,
        notification/SequenceProxyPullConsumerImpl.java,
        notification/SequenceProxyPullSupplierImpl.java,
        notification/SequenceProxyPushSupplierImpl.java,
        notification/StructuredEventMessage.java,
        notification/StructuredProxyPullConsumerImpl.java,
        notification/StructuredProxyPullSupplierImpl.java,
        notification/StructuredProxyPushConsumerImpl.java,
        notification/StructuredProxyPushSupplierImpl.java,
        notification/SupplierAdminTieImpl.java:
        (*) reflect changes in package interfaces and util cleanup

        (AbstractAdmin) renamed getThisRef to getCorbaRef

        (AbstractProxy) renamed getThisRef to getCorbaRef

        * notification/engine/AbstractDeliverTask.java,
        notification/engine/AbstractFilterTask.java,
        notification/engine/AbstractTask.java,
        notification/engine/AbstractTaskPool.java,
        notification/engine/FilterConsumerAdminTask.java,
        notification/engine/FilterProxyConsumerTask.java,
        notification/engine/FilterProxySupplierTask.java,
        notification/engine/FilterSupplierAdminTask.java,
        notification/engine/PullFromSupplierTask.java,
        notification/engine/PushToConsumerTask.java,
        notification/engine/Task.java,
        notification/engine/TaskConfigurator.java,
        notification/engine/TaskErrorHandler.java,
        notification/engine/TaskFactory.java,
        notification/engine/TaskFinishHandler.java,
        notification/engine/TaskProcessor.java,
        notification/engine/TimerDeliverTask.java:
        (Task) remove superfluous interface Task

        (TaskErrorHandler) remove superfluous interface
        TaskErrorHandler. method handleTaskError is moved to AbstractTask

        (TaskFinishHandler) remove superfluous interface TaskFinishHandler

        (*Task) simplified structure and control flow

        (*) reflect changes in package interfaces

        * notification/util/AbstractObjectPool.java:
        (c'tor) added parameter name

        (various) use parameter name during logging

        * notification/util/TaskExecutor.java, notification/util/ThreadPool.java:
        renamed class ThreadPool to TaskExecutor

        * notification/interfaces/EventConsumer.java,
        notification/interfaces/FilterStage.java,
        notification/interfaces/Message.java,
        notification/interfaces/MessageConsumer.java: renamed
        EventConsumer to MessageConsumer

        (MessageConsumer) added Method getExecutor

        * notification/MappingFilterImpl.java: cleanup, cosmetics

        * notification/Main.java: cosmetics

2004-01-16  Nicolas Noffke  <nicolas.noffke@web.de>

        * util/Environment.java: removed unused members, cleaned up
        readValue[s] methods

2004-01-16  Gerald Brose  <gerald.brose@acm.org>

        * orb/ORB.java:
        (getReference) changed repId to
        "IDL:omg.org/CORBA/Object:1.0" (org and omg were the wrong way
        around!)

        * orb/ParsedIOR.java:
        (createObjectIOR) changed repId to
        "IDL:omg.org/CORBA/Object:1.0" (org and omg were the wrong way
        around!)

2004-01-15  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/AliasTypeSpec.java, idl/ArrayDeclarator.java,
        idl/ArrayTypeSpec.java, idl/Case.java, idl/ConstDecl.java,
        idl/Definition.java, idl/Definitions.java, idl/ElementSpec.java,
        idl/EnumType.java, idl/Environment.java, idl/FixedPointType.java,
        idl/GlobalInputStream.java, idl/IdlSymbol.java,
        idl/Interface.java, idl/InterfaceBody.java, idl/JacIDL.java,
        idl/MemberList.java, idl/Method.java, idl/Module.java,
        idl/OpDecl.java, idl/ParamDecl.java, idl/PrimaryExpr.java,
        idl/RaisesExpr.java, idl/ScopedName.java, idl/SequenceType.java,
        idl/StructType.java, idl/TypeDeclaration.java, idl/TypeMap.java,
        idl/TypeSpec.java, idl/UnionType.java, idl/Value.java,
        idl/ValueAbsDecl.java, idl/ValueBoxDecl.java, idl/ValueDecl.java,
        idl/lexer.java, idl/parser.cup, idl/parser.java, idl/sym.java:
        Removed commented out code. Cleaned up exception
        propogation. System.out/err->logger.

        * idl/AliasTypeSpec.java, idl/ArrayDeclarator.java,
        idl/ArrayTypeSpec.java, idl/ConstExprEvaluator.java,
        idl/ConstrTypeSpec.java, idl/ExceptionHolderTypeSpec.java,
        idl/IdlSymbol.java, idl/InterfaceBody.java, idl/Literal.java,
        idl/Member.java, idl/NameTable.java, idl/ObjectTypeSpec.java,
        idl/ReplyHandlerTypeSpec.java, idl/TemplateTypeSpec.java,
        idl/TypeCodeTypeSpec.java, idl/VectorType.java: Whitespace only

2004-01-15  Simon McQueen  <sm@prismtechnologies.com>

        * orb/CDROutputStream.java: Fixed message in marshal exception.

        Thanks to Timothy Wall for supplying the fix.

2004-01-14  Andre Spiegel  <spiegel@gnu.org>

        * orb/util/PrintIOR.java (printAlternateAddress): New method.
        (printTaggedComponents): Use it.

2004-01-14  Nick Cross  <nick.cross@prismtechnologies.com>

        * idl/OpDecl.java, idl/GlobalInputStream.java,
        idl/ScopedName.java, idl/TypeDeclaration.java, idl/TypeSpec.java,
        idl/Value.java: Whitespace only

2004-01-14  Nicolas Noffke  <nicolas.noffke@web.de>

        * util/Environment.java:
        (readValues) fix for bug #442
        jacorb.connection.client.pending_reply_timeout wasn't read in
        because the wrong readValue() method was used.

2004-01-12  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/giop/ClientConnection.java: Whitespace only

2004-01-12  Simon McQueen  <sm@prismtechnologies.com>

        * idl/JacIDL.java: Changed format of i2jpackage nested element
        from: <i2jpackage>x:y<i2jpackage> to <i2jpackage names="x:y"/> to
        allow for variable substitution.

        This fixes bug #437. Thanks to Peter Kanis for the report and fix.

2004-01-12  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/giop/CodeSet.java, orb/util/PingObject.java: Whitespace only

2004-01-09  Nick Cross  <nick.cross@prismtechnologies.com>

        * poa/POA.java, poa/POAMonitorImpl.java: Whitespace only

2004-01-07  Nick Cross  <nick.cross@prismtechnologies.com>

        * orb/giop/ClientGIOPConnection.java,
        orb/giop/GIOPConnection.java, orb/giop/ServerGIOPConnection.java:
        Change protection levels; use inheritance hierarchy better.

        * orb/CDROutputStream.java, orb/giop/MessageOutputStream.java:
        Remove getInternalBuffer call; use inheritance instead.

        * orb/CDRInputStream.java, proxy/ProxyImpl.java:
        Rename getBuffer to getBufferCopy to match CDROutputStream

